'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  display: inline-block;\n'], ['\n  display: inline-block;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  padding: 5px;\n  margin: 5px;\n  display: flex;\n  align-items: center;\n  flex-direction: ', ';\n'], ['\n  padding: 5px;\n  margin: 5px;\n  display: flex;\n  align-items: center;\n  flex-direction: ', ';\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  margin-right: 6px;\n  width: 14px;\n  height: 14px;\n  margin: 5px;\n  border-radius: 50%;\n  background-color: ', ';\n\n'], ['\n  margin-right: 6px;\n  width: 14px;\n  height: 14px;\n  margin: 5px;\n  border-radius: 50%;\n  background-color: ', ';\n\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// import { convertHexToRGBA } from '../Theme/colorManipulator';

var defaultBackgroundColor = '#ccc';

var isValidType = function isValidType(type) {
  return type === 'error' || type === 'danger' || type === 'warning' || type === 'success' || type === 'info' || type === 'default';
};

/*
const getPulse = theme =>
  keyframes`
   0% {
    box-shadow: 0 0 0 0 ${convertHexToRGBA(theme.palette.semantic.error, 0.9)};
    filter: brightness(98%);
  }
  50% {
    filter: brightness(106%);
  }
  70% {
    box-shadow: 0 0 0 5px rgba(204,169,44, 0);
    filter: brightness(110%);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(204,169,44, 0);
    filter: brightness(98%);
  }
`;

const getGlowAnimation = (type, theme) => {
  const color = theme.palette.semantic[type];

  if (!color) { return keyframes``; }

  const t = keyframes`
      0% {
        box-shadow: 0 0 4px transparent;
        filter: brightness(98%);
      }
      50% {
        filter: brightness(110%);
        box-shadow: 0 0 4px ${convertHexToRGBA(color, 0.9)};
      }
      100% {
        box-shadow: 0 0 4px transparent;
        filter: brightness(98%);
      }
    `;
  return t;
};
*/

var StatusBadgeInlineWrapperUI = _styledComponents2.default.div(_templateObject);

var StatusBadgeWrapperUI = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var labelBefore = _ref.labelBefore;
  return labelBefore ? 'row-reverse' : 'row';
});

var StatusBadgeUI = _styledComponents2.default.div(_templateObject3, function (_ref2) {
  var type = _ref2.type,
      theme = _ref2.theme;
  return type === 'default' ? defaultBackgroundColor : theme.palette.semantic[type] || theme.palette.semantic.info // fallback
  ;
});

var StatusBadge = function StatusBadge(_ref3) {
  var label = _ref3.label,
      type = _ref3.type,
      labelBefore = _ref3.labelBefore,
      style = _ref3.style;

  var cleanType = isValidType(type) ? type : 'default';

  return _react2.default.createElement(
    StatusBadgeInlineWrapperUI,
    null,
    _react2.default.createElement(
      StatusBadgeWrapperUI,
      { labelBefore: labelBefore },
      _react2.default.createElement(StatusBadgeUI, { type: cleanType, label: label, labelBefore: labelBefore, style: style }),
      label
    )
  );
};

StatusBadge.propsTypes = {
  type: _propTypes2.default.oneOf(['error', 'warning', 'info', 'success', 'danger']),
  label: _propTypes2.default.any
};

StatusBadge.defaultProps = {
  type: 'default'
};

exports.default = StatusBadge;