'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * TODO: Some of thos compos still use context or import the theme directly, fix it
 */
var IsDarkComponent = function (_Component) {
  _inherits(IsDarkComponent, _Component);

  function IsDarkComponent() {
    _classCallCheck(this, IsDarkComponent);

    return _possibleConstructorReturn(this, (IsDarkComponent.__proto__ || Object.getPrototypeOf(IsDarkComponent)).apply(this, arguments));
  }

  _createClass(IsDarkComponent, [{
    key: 'getChildContext',
    value: function getChildContext() {
      return {
        isDarkTheme: this.isDarkTheme.bind(this)
      };
    }
  }, {
    key: 'isDarkTheme',
    value: function isDarkTheme() {
      var isDark = this.props.isDark;


      return isDark;
    }
  }]);

  return IsDarkComponent;
}(_react.Component);

IsDarkComponent.childContextTypes = {
  isDarkTheme: _propTypes2.default.func
};
exports.default = IsDarkComponent;