'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  box-sizing: border-box;\n  border-radius: 3px;\n  overflow: hidden;\n  box-shadow: 0 1px 6px 1px rgba(35, 35, 35, .2);\n  border: 1px solid #cecece;\n'], ['\n  box-sizing: border-box;\n  border-radius: 3px;\n  overflow: hidden;\n  box-shadow: 0 1px 6px 1px rgba(35, 35, 35, .2);\n  border: 1px solid #cecece;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var CardUI = _styledComponents2.default.div(_templateObject);

var Card = function Card(_ref) {
  var children = _ref.children,
      style = _ref.style;
  return _react2.default.createElement(
    CardUI,
    { style: style },
    ' ',
    children,
    ' '
  );
};

Card.displayName = 'Card';

exports.default = Card;