'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  border: 0,
  minWidth: '400px',
  maxWidth: '400px'
};

var IFrame = function IFrame(_ref) {
  var src = _ref.src,
      style = _ref.style;
  return _react2.default.createElement('iframe', { title: src, style: _extends({}, styles, style), src: src });
};

IFrame.propTypes = {
  src: _propTypes2.default.src
};

IFrame.defaultProps = {
  src: 'about:blank'
};

exports.default = IFrame;