'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * TODO: Some of thos compos still use context or import the theme directly, fix it
 */
var TypeProvider = function (_Component) {
  _inherits(TypeProvider, _Component);

  function TypeProvider() {
    _classCallCheck(this, TypeProvider);

    return _possibleConstructorReturn(this, (TypeProvider.__proto__ || Object.getPrototypeOf(TypeProvider)).apply(this, arguments));
  }

  _createClass(TypeProvider, [{
    key: 'getChildContext',
    value: function getChildContext() {
      return {
        getTypeDefinition: this.getTypeDefinition.bind(this)
      };
    }
  }, {
    key: 'getTypeDefinition',
    value: function getTypeDefinition(value) {
      var types = this.props.types;
      // eslint-disable-next-line valid-typeof

      var converter = (types || []).find(function (t) {
        return (typeof value === 'undefined' ? 'undefined' : _typeof(value)) === t.type;
      });
      if (!converter) {
        return undefined;
      }
      return converter.Component;
    }
  }, {
    key: 'render',
    value: function render() {
      var children = this.props.children;

      return _react2.default.createElement(
        'div',
        null,
        children
      );
    }
  }]);

  return TypeProvider;
}(_react.Component);

TypeProvider.childContextTypes = {
  getTypeDefinition: _propTypes2.default.func
};
exports.default = TypeProvider;