'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonBaseMixin = undefined;

var _templateObject = _taggedTemplateLiteral([';\n  background-color: ', ';\n  border-color: ', ';\n  color: ', ';\n\n  /* those next line overwritte the \'.root a\' selector rules from uxi NON-StyledComponent theme/css\n  * TODO: remove the overwrite once the .root a rules doesn\'t interfere anymore */\n  * { color: inherit }\n  svg { fill: ', ';}\n\n  &:hover, &:focus {\n    border-color: ', ';\n    color: ', ';\n    background-color: ', ';\n    * { color: inherit }\n    svg { fill: ', ';}\n  }\n\n  /* DISABLED STYLES: (overrides types styles) */\n  cursor: ', ';\n\n  ', '\n\n  ', ';\n\n  svg {\n    ', ';\n  }\n\n  &:hover {\n    ', ';\n    ', ';\n    svg {\n      ', ';\n    }\n  }\n\n'], [';\n  background-color: ', ';\n  border-color: ', ';\n  color: ', ';\n\n  /* those next line overwritte the \'.root a\' selector rules from uxi NON-StyledComponent theme/css\n  * TODO: remove the overwrite once the .root a rules doesn\'t interfere anymore */\n  * { color: inherit }\n  svg { fill: ', ';}\n\n  &:hover, &:focus {\n    border-color: ', ';\n    color: ', ';\n    background-color: ', ';\n    * { color: inherit }\n    svg { fill: ', ';}\n  }\n\n  /* DISABLED STYLES: (overrides types styles) */\n  cursor: ', ';\n\n  ', '\n\n  ', ';\n\n  svg {\n    ', ';\n  }\n\n  &:hover {\n    ', ';\n    ', ';\n    svg {\n      ', ';\n    }\n  }\n\n']);

var _styledComponents = require('styled-components');

var _utils = require('./utils');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
var ButtonBaseMixin = exports.ButtonBaseMixin = (0, _styledComponents.css)(_templateObject, function (_ref) {
  var theme = _ref.theme,
      type = _ref.type;
  return (0, _utils.getTypeColor)(theme, type);
}, function (_ref2) {
  var theme = _ref2.theme,
      type = _ref2.type;
  return type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.lightGrey;
}, function (_ref3) {
  var theme = _ref3.theme,
      type = _ref3.type;
  return type ? '#fff' : theme.palette.darkGrey;
}, function (_ref4) {
  var theme = _ref4.theme,
      type = _ref4.type;
  return type ? '#fff' : theme.palette.darkGrey;
}, function (_ref5) {
  var theme = _ref5.theme,
      type = _ref5.type;
  return type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.grey;
}, function (_ref6) {
  var theme = _ref6.theme,
      type = _ref6.type;
  return type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey;
}, function (_ref7) {
  var type = _ref7.type,
      theme = _ref7.theme;
  return type ? '#fff' : theme.palette.lightGrey;
}, function (_ref8) {
  var theme = _ref8.theme,
      type = _ref8.type;
  return type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey;
}, function (_ref9) {
  var disabled = _ref9.disabled;
  return disabled ? 'normal' : 'pointer';
}, function (_ref10) {
  var disabled = _ref10.disabled,
      theme = _ref10.theme;
  return disabled ? 'background-color: ' + theme.palette.lightGrey + ';\n    color: ' + theme.palette.grey + ';' : '';
}, function (_ref11) {
  var disabled = _ref11.disabled;
  return disabled ? 'border-color: transparent;' : '';
}, function (_ref12) {
  var disabled = _ref12.disabled,
      palette = _ref12.theme.palette;
  return disabled ? 'fill: ' + palette.grey : '';
}, function (_ref13) {
  var disabled = _ref13.disabled,
      palette = _ref13.theme.palette;
  return disabled ? 'background-color: ' + palette.lightGrey + '; color: ' + palette.grey : '';
}, function (_ref14) {
  var disabled = _ref14.disabled;
  return disabled ? 'border-color: transparent;' : '';
}, function (_ref15) {
  var disabled = _ref15.disabled,
      palette = _ref15.theme.palette;
  return disabled ? 'fill: ' + palette.grey : '';
});

exports.default = ButtonBaseMixin;