'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getButtonDivUI = exports.UnstyledButtonDivUI = exports.OutlineButtonDivUI = exports.FlatButtonDivUI = exports.ButtonDivUI = exports.getButtonLinkUI = exports.UnstyledButtonLinkUI = exports.OutlineButtonLinkUI = exports.FlatButtonLinkUI = exports.ButtonLinkUI = exports.getButtonUI = exports.UnstyledButtonUI = exports.OutlineButtonUI = exports.FlatButtonUI = exports.ButtonUI = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  line-height: 1;\n  ', ';\n  ', ';\n'], ['\n  line-height: 1;\n  ', ';\n  ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  line-height: 1;\n  ', ';\n  ', ';\n  text-decoration: none;\n  &:hover { text-decoration: none }\n'], ['\n  line-height: 1;\n  ', ';\n  ', ';\n  text-decoration: none;\n  &:hover { text-decoration: none }\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  line-height: 1;\n  ', ';\n  ', ';\n  & a:hover {\n    text-decoration: none;\n  }\n'], ['\n  line-height: 1;\n  ', ';\n  ', ';\n  & a:hover {\n    text-decoration: none;\n  }\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _ButtonCommonMixin = require('./ButtonCommonMixin');

var _ButtonBaseMixin = require('./ButtonBaseMixin');

var _FlatButtonBaseMixin = require('./FlatButtonBaseMixin');

var _OutlineButtonBaseMixin = require('./OutlineButtonBaseMixin');

var _UnstyledButtonBaseMixin = require('./UnstyledButtonBaseMixin');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var attrs = function attrs(_ref) {
  var onMouseOut = _ref.onMouseOut;
  return {
    onMouseOut: onMouseOut || function (_ref2) {
      var target = _ref2.target,
          currentTarget = _ref2.currentTarget;

      if (document && document.activeElement && document.activeElement === target) {
        if (target.blur) target.blur();
      } else if (document && document.activeElement && document.activeElement === currentTarget) {
        if (currentTarget.blur) currentTarget.blur();
      } else if (document && target.contains(document.activeElement)) {
        if (document.activeElement && document.activeElement.blur) {
          document.activeElement.blur();
        }
      } else if (document && currentTarget.contains(document.activeElement)) {
        if (document.activeElement && document.activeElement.blur) {
          document.activeElement.blur();
        }
      }
    }
  };
};

var ButtonUI = exports.ButtonUI = _styledComponents2.default.button.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject, _ButtonCommonMixin.ButtonCommonMixin, _ButtonBaseMixin.ButtonBaseMixin);

var FlatButtonUI = exports.FlatButtonUI = _styledComponents2.default.button.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject, _ButtonCommonMixin.ButtonCommonMixin, _FlatButtonBaseMixin.FlatButtonBaseMixin);
var OutlineButtonUI = exports.OutlineButtonUI = _styledComponents2.default.button.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject, _ButtonCommonMixin.ButtonCommonMixin, _OutlineButtonBaseMixin.OutlineButtonBaseMixin);
var UnstyledButtonUI = exports.UnstyledButtonUI = _styledComponents2.default.button.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject, _ButtonCommonMixin.ButtonCommonMixin, _UnstyledButtonBaseMixin.UnstyledButtonBaseMixin);
/* eslint-enable indent */
var getButtonUI = exports.getButtonUI = function getButtonUI(buttonType) {
  if (buttonType === 'FlatButton') return FlatButtonUI;
  if (buttonType === 'OutlineButton') return OutlineButtonUI;
  if (buttonType === 'UnstyledButton') return UnstyledButtonUI;
  return ButtonUI;
};

var ButtonLinkUI = exports.ButtonLinkUI = _styledComponents2.default.a.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject2, _ButtonCommonMixin.ButtonCommonMixin, _ButtonBaseMixin.ButtonBaseMixin);
var FlatButtonLinkUI = exports.FlatButtonLinkUI = _styledComponents2.default.a.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject2, _ButtonCommonMixin.ButtonCommonMixin, _FlatButtonBaseMixin.FlatButtonBaseMixin);
var OutlineButtonLinkUI = exports.OutlineButtonLinkUI = _styledComponents2.default.a.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject2, _ButtonCommonMixin.ButtonCommonMixin, _OutlineButtonBaseMixin.OutlineButtonBaseMixin);
var UnstyledButtonLinkUI = exports.UnstyledButtonLinkUI = _styledComponents2.default.a.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject2, _ButtonCommonMixin.ButtonCommonMixin, _UnstyledButtonBaseMixin.UnstyledButtonBaseMixin);
var getButtonLinkUI = exports.getButtonLinkUI = function getButtonLinkUI(buttonType) {
  if (buttonType === 'FlatButton') return FlatButtonLinkUI;
  if (buttonType === 'OutlineButton') return OutlineButtonLinkUI;
  if (buttonType === 'UnstyledButton') return UnstyledButtonLinkUI;
  return ButtonLinkUI;
};

var ButtonDivUI = exports.ButtonDivUI = _styledComponents2.default.div.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject3, _ButtonCommonMixin.ButtonCommonMixin, _ButtonBaseMixin.ButtonBaseMixin);
var FlatButtonDivUI = exports.FlatButtonDivUI = _styledComponents2.default.div.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject3, _ButtonCommonMixin.ButtonCommonMixin, _FlatButtonBaseMixin.FlatButtonBaseMixin);
var OutlineButtonDivUI = exports.OutlineButtonDivUI = _styledComponents2.default.div.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject3, _ButtonCommonMixin.ButtonCommonMixin, _OutlineButtonBaseMixin.OutlineButtonBaseMixin);
var UnstyledButtonDivUI = exports.UnstyledButtonDivUI = _styledComponents2.default.div.attrs(function (props) {
  return _extends({}, attrs(props));
})(_templateObject3, _ButtonCommonMixin.ButtonCommonMixin, _UnstyledButtonBaseMixin.UnstyledButtonBaseMixin);
var getButtonDivUI = exports.getButtonDivUI = function getButtonDivUI(buttonType) {
  if (buttonType === 'FlatButton') return FlatButtonDivUI;
  if (buttonType === 'OutlineButton') return OutlineButtonDivUI;
  if (buttonType === 'UnstyledButton') return UnstyledButtonDivUI;
  return ButtonDivUI;
};