'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnstyledButtonBaseMixin = undefined;

var _templateObject = _taggedTemplateLiteral([';\n  background-color: transparent;\n  border-color: transparent;\n  font-size: inherit;\n  text-transform: none;\n  &, button {\n    margin: 0;\n    padding: 0;\n    border: none;\n  }\n  button div, & div {\n    margin: 0;\n  }\n  & > div {\n    width: 100%;\n    height: 100%;\n    display: flex;\n    justify-content: center\n  }\n\n  &:focus, &:hover {\n    ', ';\n    color: ', ';\n    background-color: ', ';\n  }\n'], [';\n  background-color: transparent;\n  border-color: transparent;\n  font-size: inherit;\n  text-transform: none;\n  &, button {\n    margin: 0;\n    padding: 0;\n    border: none;\n  }\n  button div, & div {\n    margin: 0;\n  }\n  & > div {\n    width: 100%;\n    height: 100%;\n    display: flex;\n    justify-content: center\n  }\n\n  &:focus, &:hover {\n    ', ';\n    color: ', ';\n    background-color: ', ';\n  }\n']);

var _styledComponents = require('styled-components');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// import { getTypeColor } from './utils';

/* eslint-disable indent */
var UnstyledButtonBaseMixin = exports.UnstyledButtonBaseMixin = (0, _styledComponents.css)(_templateObject, function (_ref) {
  var disabled = _ref.disabled,
      theme = _ref.theme;
  return !disabled ? 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline : '';
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.focusHighlightText;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.focusHighlight;
});

exports.default = UnstyledButtonBaseMixin;