'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  display: flex;\n  background: white;\n  width: 100%;\n  height: 100%;\n  border-radius: 0 0 3px 3px;\n  box-shadow:\n    0 1px 20px 0px hsla(0, 0%, 0%, 0.29),\n    0 1px 5px 0px hsla(0, 0%, 0%, 0.18)\n  ;\n'], ['\n  display: flex;\n  background: white;\n  width: 100%;\n  height: 100%;\n  border-radius: 0 0 3px 3px;\n  box-shadow:\n    0 1px 20px 0px hsla(0, 0%, 0%, 0.29),\n    0 1px 5px 0px hsla(0, 0%, 0%, 0.18)\n  ;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  width: 100%;\n  height: 100%;\n  display: flex;\n  align-items: center;\n  cursor: normal;\n\n  &:before, &:after {\n    transition: ', ';\n  }\n  &:before {\n    content: \'\';\n    position: absolute;\n    top: 0;\n    right: 0;\n    bottom: 0;\n    left: 0;\n    border: 1px solid;\n    border-color: ', ';\n    border-color: transparent;\n  }\n  &:after {\n    content: \'\u25BE\';\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    right: 0;\n    width: 32px;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    opacity: .35;\n    transform: translateY(60px);\n  }\n\n  &:hover, &:active, &:focus {\n    &:before {\n      border-color: ', ';\n      transition: ', ';\n    }\n    &:after {\n      transform: translateY(16px);\n      transition: ', ';\n    }\n  }\n'], ['\n  width: 100%;\n  height: 100%;\n  display: flex;\n  align-items: center;\n  cursor: normal;\n\n  &:before, &:after {\n    transition: ', ';\n  }\n  &:before {\n    content: \'\';\n    position: absolute;\n    top: 0;\n    right: 0;\n    bottom: 0;\n    left: 0;\n    border: 1px solid;\n    border-color: ', ';\n    border-color: transparent;\n  }\n  &:after {\n    content: \'\u25BE\';\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    right: 0;\n    width: 32px;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    opacity: .35;\n    transform: translateY(60px);\n  }\n\n  &:hover, &:active, &:focus {\n    &:before {\n      border-color: ', ';\n      transition: ', ';\n    }\n    &:after {\n      transform: translateY(16px);\n      transition: ', ';\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _DropDownv = require('../DropDownv2');

var _DropDownv2 = _interopRequireDefault(_DropDownv);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var CellDetail = _styledComponents2.default.div(_templateObject);

var CellContent = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var transition = _ref.theme.transition;
  return transition.defaultAll;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.palette.accent.light;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.palette.accent.light;
}, function (_ref4) {
  var transition = _ref4.theme.transition;
  return transition.defaultAll;
}, function (_ref5) {
  var transition = _ref5.theme.transition;
  return transition.defaultAll;
});

var CellWithPopOver = function CellWithPopOver(props) {
  var cellDetail = props.cellDetail,
      cellContent = props.cellContent;


  return _react2.default.createElement(_DropDownv2.default, {
    style: { display: 'flex' },
    isFullWidth: true,
    box: _react2.default.createElement(
      CellDetail,
      null,
      cellDetail
    ),
    trigger: _react2.default.createElement(
      CellContent,
      null,
      cellContent
    )
  });
};

CellWithPopOver.displayName = 'CellWithPopOver';

exports.default = CellWithPopOver;