'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  ', ';\n  position: absolute;\n  right: 0;\n  top: 0;\n  height: calc(100% + 32px);\n  height: 100%;\n  width: 0px;\n  width: 6px;\n  max-width: 6px;\n  background: grey;\n  opacity: 0;\n  &, &:hover, &:active {\n    cursor: col-resize;\n  }\n  &:hover {\n    opacity: ', ';\n    /* &:after {\n      transition: all 280ms cubic-bezier(.5,1,.5,1);\n      opacity: .7;\n    } */\n  }\n  /* transition: all 280ms cubic-bezier(.5,1,.5,1); */\n  transition: none;\n  /* &:after {\n    transition: all 280ms cubic-bezier(.5,1,.5,1);\n    content: \'\u25C2\u2758\u25B8\';\n    position: absolute;\n    right: 0;\n    top: calc(100% - 4px);\n    margin-right: 50%;\n    transform: translateX(50%);\n    width: auto;\n    opacity: 0;\n  } */\n'], ['\n  ', ';\n  position: absolute;\n  right: 0;\n  top: 0;\n  height: calc(100% + 32px);\n  height: 100%;\n  width: 0px;\n  width: 6px;\n  max-width: 6px;\n  background: grey;\n  opacity: 0;\n  &, &:hover, &:active {\n    cursor: col-resize;\n  }\n  &:hover {\n    opacity: ', ';\n    /* &:after {\n      transition: all 280ms cubic-bezier(.5,1,.5,1);\n      opacity: .7;\n    } */\n  }\n  /* transition: all 280ms cubic-bezier(.5,1,.5,1); */\n  transition: none;\n  /* &:after {\n    transition: all 280ms cubic-bezier(.5,1,.5,1);\n    content: \'\u25C2\u2758\u25B8\';\n    position: absolute;\n    right: 0;\n    top: calc(100% - 4px);\n    margin-right: 50%;\n    transform: translateX(50%);\n    width: auto;\n    opacity: 0;\n  } */\n']),
    _templateObject2 = _taggedTemplateLiteral(['display: block; visibility: visible; pointer-events: all;'], ['display: block; visibility: visible; pointer-events: all;']),
    _templateObject3 = _taggedTemplateLiteral(['display: none; visibility: none; pointer-events: none;'], ['display: none; visibility: none; pointer-events: none;']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable no-nested-ternary */
var ResizeHandler = _styledComponents2.default.div.attrs(function (props) {
  return {
    onMouseDown: function onMouseDown(e) {
      e.stopPropagation();
      e.preventDefault(); // prevents drag start
      props.onResizeStart(e, props.property);
    }
  };
})(_templateObject, function (_ref) {
  var resizable = _ref.resizable;
  return resizable ? (0, _styledComponents.css)(_templateObject2) : (0, _styledComponents.css)(_templateObject3)
  // eslint-disable-next-line indent
  ;
}, function (_ref2) {
  var isResizing = _ref2.isResizing,
      isBeingResized = _ref2.isBeingResized;
  return isResizing ? isBeingResized ? 0.7 : 0 : 0.2;
});
/* eslint-disable-enable no-nested-ternary */

ResizeHandler.displayName = 'ResizeHandler';

exports.default = ResizeHandler;