'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  fill: ', ';\n'], ['\n  fill: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  ', ';\n\n  display: flex;\n  flex-flow: column nowrap;\n  justify-content: center;\n  align-items: center;\n  width: 32px;\n  height: 100%;\n  cursor: pointer;\n\n\n  ', ':first-child,\n  ', ':last-child {\n    display: inherit;\n  }\n\n  ', ':first-child {\n    ', ';\n  }\n  ', ':last-child {\n    ', ';\n    transform: rotate(180deg);\n  }\n'], ['\n  ', ';\n\n  display: flex;\n  flex-flow: column nowrap;\n  justify-content: center;\n  align-items: center;\n  width: 32px;\n  height: 100%;\n  cursor: pointer;\n\n\n  ', ':first-child,\n  ', ':last-child {\n    display: inherit;\n  }\n\n  ', ':first-child {\n    ', ';\n  }\n  ', ':last-child {\n    ', ';\n    transform: rotate(180deg);\n  }\n']),
    _templateObject3 = _taggedTemplateLiteral(['fill: ', ';'], ['fill: ', ';']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _buttonResetStyles = require('../Button/buttonResetStyles');

var _DataGrid = require('./DataGrid');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Triangle = _styledComponents2.default.svg.attrs(function (props) {
  return _extends({}, props, {
    focusable: 'false',
    viewBox: '0 0 500 500',
    width: '10px',
    height: '10px',
    children: _react2.default.createElement('polygon', { points: '250,110 100,450 400,450' })
  });
})(_templateObject, function (_ref) {
  var theme = _ref.theme;
  return theme.palette.midDarkGrey;
});

var SortHandlerButton = _styledComponents2.default.button.attrs(function (props) {
  return {
    onClick: function onClick() {
      if (props.onClick) {
        props.onClick.apply(props, arguments);
      }
      props.onSortChange();
    },
    onSortChange: undefined
  };
})(_templateObject2, _buttonResetStyles.buttonResetStylesCSSString, Triangle, Triangle, Triangle, function (_ref2) {
  var sortDirection = _ref2.sortDirection,
      palette = _ref2.theme.palette;
  return sortDirection === _DataGrid.SORTS.ASC ? (0, _styledComponents.css)(_templateObject3, palette.accent.main) : '';
}, Triangle, function (_ref3) {
  var sortDirection = _ref3.sortDirection,
      palette = _ref3.theme.palette;
  return sortDirection === _DataGrid.SORTS.DESC ? (0, _styledComponents.css)(_templateObject3, palette.accent.main) : '';
});

var SortHandler = function SortHandler(props) {
  return _react2.default.createElement(
    SortHandlerButton,
    props,
    _react2.default.createElement(Triangle, null),
    _react2.default.createElement(Triangle, null)
  );
};

SortHandler.displayName = 'SortHandler';

exports.default = SortHandler;