'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  table-layout: fixed;\n  width: 100%;\n  border-collapse: ', ';\n  overflow-x: auto;\n  ', ';\n'], ['\n  table-layout: fixed;\n  width: 100%;\n  border-collapse: ', ';\n  overflow-x: auto;\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var TableUi = _styledComponents2.default.table(_templateObject, function (_ref) {
  var borderCollapse = _ref.borderCollapse;
  return borderCollapse || 'collapse';
}, function (_ref2) {
  var isResizing = _ref2.isResizing,
      isReordering = _ref2.isReordering;
  return isResizing || isReordering ? 'user-select: none' : '';
});

var Table = function Table(props) {
  return _react2.default.createElement(TableUi, props);
};

Table.defaultProps = {
  borderCollapse: 'collapse'
};

Table.displayName = 'Table';

exports.default = Table;