'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var C = exports.C = {
  SET_SELECTED: 'SET_SELECTED',
  SET_EXTRA_COL_WIDTH: 'SET_EXTRA_COL_WIDTH',
  SET_DISPLAY: 'SET_DISPLAY',
  SET_COLUMNS: 'SET_COLUMNS',
  SHOW_COLUMN: 'SHOW_COLUMN',
  HIDE_COLUMN: 'HIDE_COLUMN',
  SET_IS_RESIZING: 'SET_IS_RESIZING',
  SET_IS_REORDERING: 'SET_IS_REORDERING',
  SET_COLUMN_W: 'SET_COLUMN_W',
  SET_CURR_COLUMN_W: 'SET_CURR_COLUMN_W',
  SET_NEXT_COLUMN_W: 'SET_NEXT_COLUMN_W',
  SET_COLUMN_ORDER: 'SET_COLUMN_ORDER',
  STORE_C_RECT_HEIGHT: 'STORE_C_RECT_HEIGHT'
};

var setSelected = exports.setSelected = function setSelected(payload) {
  return { type: C.SET_SELECTED, payload: payload };
};

var setExtraColumnWidth = exports.setExtraColumnWidth = function setExtraColumnWidth(payload) {
  return { type: C.SET_EXTRA_COL_WIDTH, payload: payload };
};

var setDisplay = exports.setDisplay = function setDisplay(payload) {
  return { type: C.SET_DISPLAY, payload: payload };
};

var storeContentRectHeight = exports.storeContentRectHeight = function storeContentRectHeight(payload) {
  return { type: C.STORE_C_RECT_HEIGHT, payload: payload };
};
var setColumns = exports.setColumns = function setColumns(payload) {
  return { type: C.SET_COLUMNS, payload: payload };
};

var showColumn = exports.showColumn = function showColumn(payload) {
  return { type: C.SHOW_COLUMN, payload: payload };
};
var hideColumn = exports.hideColumn = function hideColumn(payload) {
  return { type: C.HIDE_COLUMN, payload: payload };
};

var setIsResizing = exports.setIsResizing = function setIsResizing(payload) {
  return { type: C.SET_IS_RESIZING, payload: payload };
};
var setColumnWidth = exports.setColumnWidth = function setColumnWidth(payload) {
  return { type: C.SET_COLUMN_W, payload: payload };
};
var setCurrColumnWidth = exports.setCurrColumnWidth = function setCurrColumnWidth(payload) {
  return { type: C.SET_CURR_COLUMN_W, payload: payload };
};
var setNextColumnWidth = exports.setNextColumnWidth = function setNextColumnWidth(payload) {
  return { type: C.SET_NEXT_COLUMN_W, payload: payload };
};

var setIsReordering = exports.setIsReordering = function setIsReordering(payload) {
  return { type: C.SET_IS_REORDERING, payload: payload };
};
var setColumOrder = exports.setColumOrder = function setColumOrder(payload) {
  return { type: C.SET_COLUMN_ORDER, payload: payload };
};

exports.default = {
  showColumn: showColumn,
  hideColumn: hideColumn,
  setIsResizing: setIsResizing,
  setColumnWidth: setColumnWidth
};