'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  &, & * {\n    ', ';\n  }\n\n  width: 100%;\n  position: relative;\n  ', ';\n  ', ';\n'], ['\n  &, & * {\n    ', ';\n  }\n\n  width: 100%;\n  position: relative;\n  ', ';\n  ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  ', '\n  transform-origin: center;\n  transform: rotate(0deg);\n  ', ';\n  transition: ', ';\n  margin-left: 6px;\n'], ['\n  ', '\n  transform-origin: center;\n  transform: rotate(0deg);\n  ', ';\n  transition: ', ';\n  margin-left: 6px;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  display: flex;\n  align-items : center;\n  justify-content: center;\n\n  list-style: none;\n  list-style-type: none;\n  &::-webkit-details-marker {\n    display: none;\n  }\n\n  ', ';\n;'], ['\n  display: flex;\n  align-items : center;\n  justify-content: center;\n\n  list-style: none;\n  list-style-type: none;\n  &::-webkit-details-marker {\n    display: none;\n  }\n\n  ', ';\n;']),
    _templateObject4 = _taggedTemplateLiteral(['\n  width: 100%;\n'], ['\n  width: 100%;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Icons = require('../Icons');

var _Layout = require('../Layout');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// import enhanceWithClickOutside from 'react-click-outside';


/* eslint-disable indent */
/* eslint-disable no-nested-ternary */
var Details = _styledComponents2.default.details.attrs(function (_ref) {
  var onToggle = _ref.onToggle,
      open = _ref.open;
  return {
    onToggle: onToggle,
    open: open
  };
})(_templateObject, function (_ref2) {
  var transition = _ref2.theme.transition;
  return transition.defaultAll;
}, function (_ref3) {
  var anchor = _ref3.anchor;
  return anchor === 'top' ? '' : 'min-height: 18px;';
}, function (_ref4) {
  var anchor = _ref4.anchor,
      isOpen = _ref4.isOpen;
  return anchor === 'top' ? '' : isOpen ? 'margin-bottom: 18px;' : '';
});

var SummaryIcon = _styledComponents2.default.div(_templateObject2, _Layout.flexCSSString, function (_ref5) {
  var isOpen = _ref5.isOpen;
  return isOpen ? 'transform: rotate(90deg)' : '';
}, function (_ref6) {
  var transition = _ref6.theme.transition;
  return transition.defaultAll;
});

var Summary = _styledComponents2.default.summary(_templateObject3, function (_ref7) {
  var anchor = _ref7.anchor,
      isOpen = _ref7.isOpen;
  return anchor === 'top' ? '' : 'position: absolute; bottom: ' + (isOpen ? '-18px' : 0) + '; left: 0; right: 0;';
});

var SubContent = _styledComponents2.default.div(_templateObject4);
/* eslint-enable indent */
/* eslint-enable no-nested-ternary */

var Disclosure = function (_Component) {
  _inherits(Disclosure, _Component);

  function Disclosure(props) {
    _classCallCheck(this, Disclosure);

    // this.isControlled = this.props.isOpen !== undefined;

    var _this = _possibleConstructorReturn(this, (Disclosure.__proto__ || Object.getPrototypeOf(Disclosure)).call(this, props));

    _this.state = {
      isOpen: /* this.isControlled ? this.props.isOpen : */false
    };

    _this.handleToggle = _this.handleToggle.bind(_this);
    return _this;
  }

  _createClass(Disclosure, [{
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps, prevState) {
      if (prevState.isOpen !== this.state.isOpen) {
        if (this.ref) {
          if (this.state.isOpen) {
            this.ref.setAttribute('open', true);
          } else {
            this.ref.removeAttribute('open');
          }
        }
      }
    }
  }, {
    key: 'handleToggle',
    value: function handleToggle() {
      this.setState({
        isOpen: !this.state.isOpen
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          isOpenProp = _props.isOpen,
          detail = _props.detail,
          summary = _props.summary,
          anchor = _props.anchor;


      var isOpen = this.isControlled ? isOpenProp : this.state.isOpen;

      return _react2.default.createElement(
        Details,
        {
          innerRef: function innerRef(node) {
            _this2.ref = node;
          },
          onToggle: function onToggle(_ref8) {
            var _ref8$target = _ref8.target,
                target = _ref8$target === undefined ? {} : _ref8$target;
            return _this2.setState({ isOpen: target.open });
          },
          anchor: anchor,
          isOpen: isOpen
        },
        _react2.default.createElement(
          Summary,
          { anchor: anchor, isOpen: isOpen },
          summary || (isOpen ? 'Show less' : 'Show more'),
          _react2.default.createElement(
            SummaryIcon,
            { isOpen: isOpen },
            _react2.default.createElement(_Icons.Arrowright, { size: '12' })
          )
        ),
        _react2.default.createElement(
          SubContent,
          null,
          detail
        )
      );
    }
  }]);

  return Disclosure;
}(_react.Component);

// export default enhanceWithClickOutside(Disclosure);


Disclosure.PropTypes = {
  isOpen: _propTypes2.default.bool
};
Disclosure.defaultProps = {
  // isOpen: undefined,
  anchor: 'bottom'
};
exports.default = Disclosure;