'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  top: 0;\n  right: 0;\n  z-index: 3;\n  height: 48px;\n  margin: 0 auto;\n  padding: 0;\n  position: absolute;\n  left: 0;\n  background-color: ', ';\n  & div.uxi-menu-item a {\n    color: ', ' !important;\n    &:hover {\n      color: ', ' !important;\n    }\n  };\n'], ['\n  top: 0;\n  right: 0;\n  z-index: 3;\n  height: 48px;\n  margin: 0 auto;\n  padding: 0;\n  position: absolute;\n  left: 0;\n  background-color: ', ';\n  & div.uxi-menu-item a {\n    color: ', ' !important;\n    &:hover {\n      color: ', ' !important;\n    }\n  };\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// import ThemeComponent from '../Base/ThemeComponent';
// import GlobalHeaderStyle from './GlobalHeader.style';

var Header = _styledComponents2.default.header(_templateObject, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.primary.main;
}, function (_ref2) {
  var palette = _ref2.theme.palette;
  return palette.white;
}, function (_ref3) {
  var palette = _ref3.theme.palette;
  return palette.accent.main;
});

var GlobalHeader = function GlobalHeader(props) {
  var children = props.children;
  // const isDark = this.isDarkThemeFromTheme();
  // const isContainedResult = isContained ? true : this.context.isFixedWidth();

  // const globalHeaderMergedStyle = this.getStyle('GlobalHeader', GlobalHeaderStyle.header);

  // const finalStyles = {
  //   paddingLeft: this.context.uxiTheme.padding.breathPadding,
  //   paddingRight: this.context.uxiTheme.padding.breathPadding,
  //   height: this.context.uxiTheme.dimensions.mainHeaderHeight,
  //   ...this.context.uxiTheme.fontsAndColor.fontsAndColor,
  // };

  // if (isContainedResult) {
  //   return (
  //     <header style={mergedStyle}>
  //       <div className="uxi_container">
  //         {children}
  //       </div>
  //     </header>
  //   );
  // }

  return _react2.default.createElement(
    Header,
    { style: { height: '80px' } },
    children
  );
};

exports.default = GlobalHeader;