'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Administrator = function Administrator(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.74 16.01',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M7.1,0a3.63,3.63,0,1,0,3.62,3.62A3.63,3.63,0,0,0,7.1,0Zm0,6A2.36,2.36,0,1,1,9.45,3.62,2.36,2.36,0,0,1,7.1,6Z' }),
          _react2.default.createElement('path', { d: 'M0,16H9.52V14.42H1.58v-.11c0-2.19,2.27-3.72,5.52-3.72a8.48,8.48,0,0,1,2.42.33V9.29A10.69,10.69,0,0,0,7.1,9C2.92,9,0,11.19,0,14.31Z' }),
          _react2.default.createElement('path', { d: 'M16.74,12.62v-.23a.47.47,0,0,0-.47-.47h-.78a2.38,2.38,0,0,0-.25-.59l.55-.55a.47.47,0,0,0,0-.67L15.63,10A.47.47,0,0,0,15,10l-.55.55a2.59,2.59,0,0,0-.6-.24V9.48A.47.47,0,0,0,13.35,9h-.22a.47.47,0,0,0-.47.47v.78a2.43,2.43,0,0,0-.6.24L11.51,10a.48.48,0,0,0-.67,0l-.16.16a.48.48,0,0,0,0,.67l.56.55a2.06,2.06,0,0,0-.25.59h-.78a.47.47,0,0,0-.47.47v.23a.47.47,0,0,0,.47.47H11a2.06,2.06,0,0,0,.25.59l-.56.56a.47.47,0,0,0,0,.66l.16.16a.46.46,0,0,0,.67,0l.55-.55a2.45,2.45,0,0,0,.6.25v.78a.47.47,0,0,0,.47.47h.22a.47.47,0,0,0,.47-.47v-.78a2.63,2.63,0,0,0,.6-.25l.55.55a.45.45,0,0,0,.66,0l.16-.16a.45.45,0,0,0,0-.66l-.55-.56a2.38,2.38,0,0,0,.25-.59h.78A.47.47,0,0,0,16.74,12.62Zm-3.5,1.05a1.17,1.17,0,1,1,1.17-1.16A1.17,1.17,0,0,1,13.24,13.67Z' })
        )
      )
    )
  );
};

Administrator.propTypes = {
  color: _propTypes2.default.string
};

Administrator.defaultProps = {
  color: 'currentColor'
};

exports.default = Administrator;