'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Announcement = function Announcement(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 13.57',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M16,12.76V0H14.58V1L14.5,1,1.42,3.88V3.24H0V9.52H1.42V8.88l1,.23v2.94a.71.71,0,0,0,.54.69l3.24.81a.72.72,0,0,0,.74-.26l2-2.72,5.6,1.24v1Zm-9.9-.7L3.85,11.5V9.42l3.62.8Zm8.36-1.73-13-2.9V5.33l.08,0L14.58,2.4v8Z' })
        )
      )
    )
  );
};

Announcement.propTypes = {
  color: _propTypes2.default.string
};

Announcement.defaultProps = {
  color: 'currentColor'
};

exports.default = Announcement;