'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Anonymize = function Anonymize(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 19.08 10.97',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M4.4,11a4.66,4.66,0,0,1-1.64-.3,4.14,4.14,0,0,1-2.62-3A6.53,6.53,0,0,1,0,6.31,6.32,6.32,0,0,1,6.31,0h6.46a6.32,6.32,0,0,1,6.31,6.31,5.89,5.89,0,0,1-.14,1.33,4.13,4.13,0,0,1-2.61,3A4.7,4.7,0,0,1,11.86,10a4,4,0,0,0-4.64,0A4.74,4.74,0,0,1,4.4,11ZM6.31,1.5A4.82,4.82,0,0,0,1.5,6.31a4.88,4.88,0,0,0,.11,1A2.62,2.62,0,0,0,3.29,9.27a3.26,3.26,0,0,0,3.05-.44,5.51,5.51,0,0,1,6.41,0,3.23,3.23,0,0,0,3,.44,2.63,2.63,0,0,0,1.69-1.95,4.87,4.87,0,0,0,.1-1A4.82,4.82,0,0,0,12.77,1.5Z' }),
          _react2.default.createElement('path', { d: 'M6.05,6.54A3.35,3.35,0,0,1,3.37,5.2a.37.37,0,0,1,0-.45,3.35,3.35,0,0,1,5.36,0,.38.38,0,0,1,0,.45A3.36,3.36,0,0,1,6.05,6.54ZM4.16,5A2.66,2.66,0,0,0,7.94,5,2.68,2.68,0,0,0,4.16,5Z' }),
          _react2.default.createElement('path', { d: 'M13.06,6.54A3.36,3.36,0,0,1,10.38,5.2a.37.37,0,0,1,0-.45,3.35,3.35,0,0,1,5.36,0,.37.37,0,0,1,0,.45A3.36,3.36,0,0,1,13.06,6.54ZM11.17,5A2.66,2.66,0,0,0,15,5,2.68,2.68,0,0,0,11.17,5Z' })
        )
      )
    )
  );
};

Anonymize.propTypes = {
  color: _propTypes2.default.string
};

Anonymize.defaultProps = {
  color: 'currentColor'
};

exports.default = Anonymize;