'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Archive = function Archive(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M14.22,0H1.78A1.78,1.78,0,0,0,0,1.78V14.22A1.78,1.78,0,0,0,1.78,16H14.22A1.78,1.78,0,0,0,16,14.22V1.78A1.78,1.78,0,0,0,14.22,0Zm0,14.22H1.78V8.91H14.22ZM1.78,7.09V1.78H14.22V7.09Z' }),
          _react2.default.createElement('circle', { cx: '8', cy: '4.59', r: '0.84' }),
          _react2.default.createElement('circle', { cx: '8', cy: '11.52', r: '0.84' })
        )
      )
    )
  );
};

Archive.propTypes = {
  color: _propTypes2.default.string
};

Archive.defaultProps = {
  color: 'currentColor'
};

exports.default = Archive;