'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Barchart = function Barchart(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 10.33',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M16,4.76a.71.71,0,0,0-.71-.71H11.14V.71A.71.71,0,0,0,10.43,0H5.57a.71.71,0,0,0-.71.71V3.24H.71A.71.71,0,0,0,0,3.95V9.62a.71.71,0,0,0,.71.71H15.29A.71.71,0,0,0,16,9.62ZM4.86,8.91H1.42V4.66H4.86Zm4.86,0H6.28V1.42H9.72Zm4.86,0H11.14V5.47h3.44Z' })
        )
      )
    )
  );
};

Barchart.propTypes = {
  color: _propTypes2.default.string
};

Barchart.defaultProps = {
  color: 'currentColor'
};

exports.default = Barchart;