'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Code = function Code(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.18 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M5.14,4.81a.85.85,0,0,0-.06-1.2.85.85,0,0,0-1.2.05L.23,7.56a.85.85,0,0,0,0,1.17l3.66,3.9a.86.86,0,0,0,.5.25v0h.12a.89.89,0,0,0,.57-.23.85.85,0,0,0,0-1.2L2,8.16,5.11,4.83Z' }),
          _react2.default.createElement('path', { d: 'M16,7.54,12.3,3.64a.87.87,0,0,0-1.19,0,.85.85,0,0,0-.27.59.84.84,0,0,0,.22.61l3.11,3.33L11,11.45a.8.8,0,0,0-.23.57.84.84,0,0,0,.85.85.91.91,0,0,0,.63-.28L16,8.7A.85.85,0,0,0,16,7.54Z' }),
          _react2.default.createElement('path', { d: 'M9.73,0A.8.8,0,0,0,9.1.13a.84.84,0,0,0-.37.55L5.81,15a.8.8,0,0,0,.11.63.85.85,0,0,0,.54.37.45.45,0,0,0,.18,0,.83.83,0,0,0,.83-.68L10.38,1A.84.84,0,0,0,9.73,0Z' })
        )
      )
    )
  );
};

Code.propTypes = {
  color: _propTypes2.default.string
};

Code.defaultProps = {
  color: 'currentColor'
};

exports.default = Code;