'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Comment = function Comment(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.49 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M3.55,16a.37.37,0,0,0,.39,0l3.7-2.78h7.29a1.56,1.56,0,0,0,1.55-1.55v-10A1.56,1.56,0,0,0,14.94,0H1.55A1.56,1.56,0,0,0,0,1.55v10a1.56,1.56,0,0,0,1.55,1.55H3.35v2.48A.37.37,0,0,0,3.55,16ZM1.43,11.71V1.43H15.06V11.71H7.17L4.78,13.51V11.71Z' })
        )
      )
    )
  );
};

Comment.propTypes = {
  color: _propTypes2.default.string
};

Comment.defaultProps = {
  color: 'currentColor'
};

exports.default = Comment;