'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Consuming = function Consuming(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 15.75 15.27',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '10.86', cy: '10.99', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '7.68', cy: '7.99', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '7.68', cy: '1.5', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '7.68', cy: '13.77', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '4.49', cy: '10.99', r: '1.5' }),
          _react2.default.createElement('path', { d: 'M10,4.28V5.64a6.56,6.56,0,0,1,4.47,6.1h1.3A7.89,7.89,0,0,0,10,4.28Z' }),
          _react2.default.createElement('path', { d: 'M5.38,5.79V4.39A7.84,7.84,0,0,0,0,11.74H1.3A6.54,6.54,0,0,1,5.38,5.79Z' })
        )
      )
    )
  );
};

Consuming.propTypes = {
  color: _propTypes2.default.string
};

Consuming.defaultProps = {
  color: 'currentColor'
};

exports.default = Consuming;