'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Copylink = function Copylink(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M13.17,8.77l1.69-1.69a3.89,3.89,0,0,0,0-5.49l-.46-.46a3.89,3.89,0,0,0-5.49,0L6.13,3.92a3.89,3.89,0,0,0,0,5.49l.23.23A.88.88,0,1,0,7.61,8.39l-.23-.23a2.12,2.12,0,0,1,0-3l2.79-2.79a2.12,2.12,0,0,1,3,0l.46.46a2.12,2.12,0,0,1,0,3L11.92,7.53a.88.88,0,0,0,0,1.25A.9.9,0,0,0,13.17,8.77Z' }),
          _react2.default.createElement('path', { d: 'M2.94,7.11l-1.8,1.8a3.88,3.88,0,0,0,0,5.49l.46.46h0a3.88,3.88,0,0,0,5.49,0l2.79-2.79a3.89,3.89,0,0,0,0-5.49l-.23-.23a.9.9,0,0,0-1.25,0,.88.88,0,0,0,0,1.25l.23.23a2.12,2.12,0,0,1,0,3L5.83,13.62a2.12,2.12,0,0,1-3,0l-.46-.46a2.12,2.12,0,0,1,0-3l1.8-1.8a.88.88,0,0,0,0-1.25A.9.9,0,0,0,2.94,7.11Z' })
        )
      )
    )
  );
};

Copylink.propTypes = {
  color: _propTypes2.default.string
};

Copylink.defaultProps = {
  color: 'currentColor'
};

exports.default = Copylink;