'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Crunchbase = function Crunchbase(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '10.91', cy: '9.23', r: '1.64' }),
          _react2.default.createElement('path', { d: 'M8,0a8,8,0,1,0,8,8A8,8,0,0,0,8,0ZM5.09,10.86a1.64,1.64,0,0,0,1.49-1H7.63a2.63,2.63,0,1,1,0-1.28h-1a1.64,1.64,0,1,0-1.51,2.26Zm5.83,1a2.62,2.62,0,0,1-1.64-.57v.35h-1V4.14h1v3a2.63,2.63,0,1,1,1.64,4.69Z' })
        )
      )
    )
  );
};

Crunchbase.propTypes = {
  color: _propTypes2.default.string
};

Crunchbase.defaultProps = {
  color: 'currentColor'
};

exports.default = Crunchbase;