'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Delete = function Delete(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 11.73 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M1.6,16h8.54a1.6,1.6,0,0,0,1.6-1.6V4.27H0V14.4A1.6,1.6,0,0,0,1.6,16ZM1.48,5.75h8.77v8.77H1.48Z' }),
          _react2.default.createElement('polygon', { points: '0 3.19 11.73 3.19 11.73 1.71 8.31 1.71 8.31 0 3.42 0 3.42 1.71 0 1.71 0 3.19' }),
          _react2.default.createElement('rect', { x: '3.42', y: '7.69', width: '1.48', height: '4.9' }),
          _react2.default.createElement('rect', { x: '6.83', y: '7.69', width: '1.48', height: '4.9' })
        )
      )
    )
  );
};

Delete.propTypes = {
  color: _propTypes2.default.string
};

Delete.defaultProps = {
  color: 'currentColor'
};

exports.default = Delete;