'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Discussion = function Discussion(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.22 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M16.22,1.18A1.18,1.18,0,0,0,15,0H5.59A1.18,1.18,0,0,0,4.41,1.18V8.27A1.18,1.18,0,0,0,5.59,9.45h5.12l2.68,2a.29.29,0,0,0,.47-.23V9.45H15a1.18,1.18,0,0,0,1.18-1.18ZM15,8.27H12.68V9.45L11.1,8.27H5.59V1.18H15Z' }),
          _react2.default.createElement('path', { d: 'M11.81,10.9H10.63v1.78H5.12L3.54,13.86V12.68H1.18V5.59H3.3V4.41H1.18A1.18,1.18,0,0,0,0,5.59v7.09a1.18,1.18,0,0,0,1.18,1.18H2.36v1.92a.22.22,0,0,0,.36.18l2.79-2.09h5.12a1.18,1.18,0,0,0,1.18-1.18Z' })
        )
      )
    )
  );
};

Discussion.propTypes = {
  color: _propTypes2.default.string
};

Discussion.defaultProps = {
  color: 'currentColor'
};

exports.default = Discussion;