'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Erase = function Erase(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        id: 'Layer_1',
        'data-name': 'Layer 1',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 24 24',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement('path', { d: 'M22.89,21H13.37l9.92-9.93a2,2,0,0,0,0-2.91L16.74,1.6a2.08,2.08,0,0,0-2.92,0L.71,14.72a2,2,0,0,0,0,2.91L4.07,21h-3a1,1,0,1,0,0,2H22.89a1,1,0,1,0,0-2ZM15.28,2.69l6.93,6.93-2,2L13.27,4.7ZM12,6l6.93,6.93L12,19.82,5.07,12.89ZM1.79,16.17l2-2L10.63,21h-4Z' })
    )
  );
};

Erase.propTypes = {
  color: _propTypes2.default.string
};

Erase.defaultProps = {
  color: 'currentColor'
};

exports.default = Erase;