'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Fullscreen = function Fullscreen(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 15.99',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '5.4 9.43 1.66 13.17 1.63 10.01 0 9.99 0.06 15.93 6 15.99 5.99 14.37 2.82 14.33 6.2 10.96 6.2 10.96 6.57 10.59 5.4 9.43' }),
          _react2.default.createElement('polygon', { points: '15.94 0.06 10 0 10.02 1.63 13.18 1.66 9.8 5.03 9.8 5.03 9.43 5.4 10.6 6.57 14.34 2.82 14.37 5.99 16 6 15.94 0.06' })
        )
      )
    )
  );
};

Fullscreen.propTypes = {
  color: _propTypes2.default.string
};

Fullscreen.defaultProps = {
  color: 'currentColor'
};

exports.default = Fullscreen;