'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Idbadge = function Idbadge(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 14.38',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M2.33,11.24A2.26,2.26,0,0,1,4.76,8.81h0a2.26,2.26,0,0,1,2.43,2.43Z' }),
          _react2.default.createElement('circle', { cx: '4.76', cy: '6.38', r: '1.62' }),
          _react2.default.createElement('rect', { x: '8.91', y: '6.48', width: '4.66', height: '1.42' }),
          _react2.default.createElement('rect', { x: '8.91', y: '9.72', width: '4.66', height: '1.42' }),
          _react2.default.createElement('path', { d: 'M14.48,1.62H10.21l0-.07a2.31,2.31,0,0,0-4.37,0l0,.07H1.52A1.52,1.52,0,0,0,0,3.14v9.72a1.52,1.52,0,0,0,1.52,1.52h13A1.52,1.52,0,0,0,16,12.86V3.14A1.52,1.52,0,0,0,14.48,1.62ZM8,1.42a.91.91,0,1,1-.91.91A.91.91,0,0,1,8,1.42ZM1.42,13V3H5.79l0,.07a2.31,2.31,0,0,0,4.37,0l0-.07h4.37V13Z' })
        )
      )
    )
  );
};

Idbadge.propTypes = {
  color: _propTypes2.default.string
};

Idbadge.defaultProps = {
  color: 'currentColor'
};

exports.default = Idbadge;