'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Idea = function Idea(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 11.77 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M9.59,1.31a5.88,5.88,0,1,0-7.43,9.12.35.35,0,0,1,.14.24V11a3.54,3.54,0,0,0,.05.52H3.89A2,2,0,0,1,3.82,11v-.29a1.83,1.83,0,0,0-.7-1.41A4.37,4.37,0,0,1,4.93,1.61a4.57,4.57,0,0,1,.94-.1A4.37,4.37,0,0,1,8.63,9.28a1.78,1.78,0,0,0-.68,1.38V11a2,2,0,0,1-.08.52H9.41A3.54,3.54,0,0,0,9.46,11v-.32a.3.3,0,0,1,.12-.21,5.88,5.88,0,0,0,0-9.14Z' }),
          _react2.default.createElement('path', { d: 'M8.6,13.21H3.17a.54.54,0,0,1,0-1.08H8.6a.54.54,0,0,1,0,1.08Z' }),
          _react2.default.createElement('path', { d: 'M7.85,14.61H3.91a.54.54,0,0,1,0-1.08H7.85a.54.54,0,0,1,0,1.08Z' }),
          _react2.default.createElement('path', { d: 'M7.35,16H4.42a.54.54,0,0,1,0-1.08H7.35a.54.54,0,0,1,0,1.08Z' })
        )
      )
    )
  );
};

Idea.propTypes = {
  color: _propTypes2.default.string
};

Idea.defaultProps = {
  color: 'currentColor'
};

exports.default = Idea;