'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Instagram = function Instagram(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '11.3 6.25 11.3 4.97 11.3 4.78 11.11 4.78 9.83 4.78 9.83 6.25 11.3 6.25' }),
          _react2.default.createElement('path', { d: 'M8,9.65A1.53,1.53,0,1,0,6.43,8.12,1.53,1.53,0,0,0,8,9.65Z' }),
          _react2.default.createElement('path', { d: 'M8,0a8,8,0,1,0,8,8A8,8,0,0,0,8,0Zm4.31,7.23v3.56a1.68,1.68,0,0,1-1.68,1.68H5.29a1.68,1.68,0,0,1-1.68-1.68V5.45A1.68,1.68,0,0,1,5.29,3.77h5.34a1.68,1.68,0,0,1,1.68,1.68Z' }),
          _react2.default.createElement('path', { d: 'M10.34,8.12a2.38,2.38,0,1,1-4.58-.89H4.46v3.56a.83.83,0,0,0,.83.83h5.34a.83.83,0,0,0,.83-.83V7.23h-1.3A2.36,2.36,0,0,1,10.34,8.12Z' })
        )
      )
    )
  );
};

Instagram.propTypes = {
  color: _propTypes2.default.string
};

Instagram.defaultProps = {
  color: 'currentColor'
};

exports.default = Instagram;