'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Issue = function Issue(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 13.91',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('rect', { x: '7.4', y: '5.22', width: '1.2', height: '3.7' }),
          _react2.default.createElement('rect', { x: '7.4', y: '9.87', width: '1.2', height: '1.18' }),
          _react2.default.createElement('path', { d: 'M8.59.34a.69.69,0,0,0-1.18,0L.09,12.88a.69.69,0,0,0,.59,1H15.31a.69.69,0,0,0,.59-1ZM1.74,12.62,8,1.89,8.09,2l6.17,10.58Z' })
        )
      )
    )
  );
};

Issue.propTypes = {
  color: _propTypes2.default.string
};

Issue.defaultProps = {
  color: 'currentColor'
};

exports.default = Issue;