'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Iteration = function Iteration(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M3.48,3.48A6.39,6.39,0,0,1,14.4,8H16A8,8,0,0,0,2.35,2.35L.8.8V5.6H5.6Z' }),
          _react2.default.createElement('path', { d: 'M12.52,12.52A6.39,6.39,0,0,1,1.6,8H0a8,8,0,0,0,13.65,5.65L15.2,15.2V10.4H10.4Z' })
        )
      )
    )
  );
};

Iteration.propTypes = {
  color: _propTypes2.default.string
};

Iteration.defaultProps = {
  color: 'currentColor'
};

exports.default = Iteration;