'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Listul = function Listul(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 14.2',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '0 5.8 0 4.2 1.59 5 0 5.8' }),
          _react2.default.createElement('rect', { x: '3.52', y: '4.2', width: '12.48', height: '1.59' }),
          _react2.default.createElement('polygon', { points: '0 10 0 8.4 1.59 9.2 0 10' }),
          _react2.default.createElement('rect', { x: '3.52', y: '8.4', width: '12.48', height: '1.59' }),
          _react2.default.createElement('rect', { y: '12.61', width: '12.48', height: '1.59' }),
          _react2.default.createElement('rect', { width: '12.48', height: '1.59' })
        )
      )
    )
  );
};

Listul.propTypes = {
  color: _propTypes2.default.string
};

Listul.defaultProps = {
  color: 'currentColor'
};

exports.default = Listul;