'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Manipulation = function Manipulation(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 14.28 17.86',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M5,.65v2.5A.81.81,0,0,0,5.78,4h6.28a1.57,1.57,0,0,1,1.57,1.57v.25a1.56,1.56,0,0,1-1.57,1.56H2.21A1.56,1.56,0,0,0,.65,8.9v.19a1.56,1.56,0,0,0,1.56,1.56H8.78a1.56,1.56,0,0,1,1.56,1.56h0a1.56,1.56,0,0,1-1.56,1.56H5.72a.82.82,0,0,0-.81.82v2.62' })
        )
      )
    )
  );
};

Manipulation.propTypes = {
  color: _propTypes2.default.string
};

Manipulation.defaultProps = {
  color: 'currentColor'
};

exports.default = Manipulation;