'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Merge = function Merge(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.5 16.5',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M15.14,4.87H11.63V1.36A1.36,1.36,0,0,0,10.27,0H1.36A1.36,1.36,0,0,0,0,1.36v8.9a1.36,1.36,0,0,0,1.36,1.36H4.87v3.51A1.36,1.36,0,0,0,6.23,16.5h8.9a1.36,1.36,0,0,0,1.36-1.36V6.23A1.36,1.36,0,0,0,15.14,4.87ZM6.31,10.18H1.45V1.45h8.72V6.33H15V15H6.32Z' })
        )
      )
    )
  );
};

Merge.propTypes = {
  color: _propTypes2.default.string
};

Merge.defaultProps = {
  color: 'currentColor'
};

exports.default = Merge;