'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var News = function News(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 13.23',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('rect', { x: '6.53', y: '4.67', width: '6.48', height: '1.3' }),
          _react2.default.createElement('rect', { x: '6.53', y: '7.26', width: '6.48', height: '1.3' }),
          _react2.default.createElement('path', { d: 'M16,1.9A1.9,1.9,0,0,0,14.1,0H5.38a1.9,1.9,0,0,0-1.9,1.9V5.36H1.61A1.61,1.61,0,0,0,0,7v3.82a2.45,2.45,0,0,0,2.44,2.44H14.1a1.9,1.9,0,0,0,1.9-1.9ZM3.2,11.54a1,1,0,0,1-.75.29,1.05,1.05,0,0,1-1.05-1V7a.22.22,0,0,1,.21-.21H3.49v4.08A1,1,0,0,1,3.2,11.54Zm11.41-.21a.51.51,0,0,1-.5.5H4.67l.05-.14a2.37,2.37,0,0,0,.16-.86V1.9a.51.51,0,0,1,.5-.5H14.1a.51.51,0,0,1,.5.5Z' })
        )
      )
    )
  );
};

News.propTypes = {
  color: _propTypes2.default.string
};

News.defaultProps = {
  color: 'currentColor'
};

exports.default = News;