'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Nosorting = function Nosorting(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 17.1 17.27',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '3.42 0 3.42 14.18 1.16 11.97 0 13.11 4.24 17.27 8.49 13.11 7.33 11.97 5.07 14.18 5.07 0 3.42 0' }),
          _react2.default.createElement('polygon', { points: '13.67 17.27 13.67 3.08 15.93 5.29 17.09 4.16 12.85 0 8.61 4.16 9.77 5.3 12.03 3.08 12.02 17.27 13.67 17.27' })
        )
      )
    )
  );
};

Nosorting.propTypes = {
  color: _propTypes2.default.string
};

Nosorting.defaultProps = {
  color: 'currentColor'
};

exports.default = Nosorting;