'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Phone = function Phone(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 9.6 16.25',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M8.12,0H1.48A1.48,1.48,0,0,0,0,1.48v13.3a1.48,1.48,0,0,0,1.48,1.48H8.12A1.48,1.48,0,0,0,9.6,14.77V1.48A1.48,1.48,0,0,0,8.12,0Zm.19,12.92v2h-7v-2Zm-7-1.29v-7h7v7Zm0-8.31v-2h7v2Z' })
        )
      )
    )
  );
};

Phone.propTypes = {
  color: _propTypes2.default.string
};

Phone.defaultProps = {
  color: 'currentColor'
};

exports.default = Phone;