'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Picture = function Picture(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M5.51,8.34,4.76,9.55a.41.41,0,0,0,.35.63h5.78a.41.41,0,0,0,.35-.63l-2-3.15a.41.41,0,0,0-.7,0L7.14,8.69a.41.41,0,0,1-.7,0l-.22-.36A.41.41,0,0,0,5.51,8.34Z' }),
          _react2.default.createElement('path', { d: 'M3.64,11.64V5.09H2.18v6.55a1.46,1.46,0,0,0,1.45,1.45H16V11.64Z' }),
          _react2.default.createElement('path', { d: 'M12.36,10.91h1.45V4.36a1.46,1.46,0,0,0-1.45-1.45H0V4.36H12.36Z' }),
          _react2.default.createElement('rect', { x: '2.18', width: '1.45', height: '2.18' }),
          _react2.default.createElement('rect', { x: '12.36', y: '13.82', width: '1.45', height: '2.18' })
        )
      )
    )
  );
};

Picture.propTypes = {
  color: _propTypes2.default.string
};

Picture.defaultProps = {
  color: 'currentColor'
};

exports.default = Picture;