'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Position = function Position(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.59 15.75',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M0,4.09v10.1a1.56,1.56,0,0,0,1.56,1.56H15a1.56,1.56,0,0,0,1.56-1.56V4.09A1.56,1.56,0,0,0,15,2.53h-.12V1.68H13.47v.84H11.54V.72A.72.72,0,0,0,10.82,0H5.77a.72.72,0,0,0-.72.72V2.53H3.12V1.68H1.68v.84H1.56A1.56,1.56,0,0,0,0,4.09ZM6.49,1.43h3.62V2.53H6.49ZM1.43,4H15.16V14.32H1.43Z' })
        )
      )
    )
  );
};

Position.propTypes = {
  color: _propTypes2.default.string
};

Position.defaultProps = {
  color: 'currentColor'
};

exports.default = Position;