'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Presentation = function Presentation(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M16,1.5A1.51,1.51,0,0,0,14.5,0H1.5A1.51,1.51,0,0,0,0,1.5V9.62a1.51,1.51,0,0,0,1.5,1.5H6.33L1.46,16h2l3.89-3.89V16H8.69V12.11L12.59,16h2L9.67,11.13H14.5A1.51,1.51,0,0,0,16,9.62ZM14.61,9.74H1.39V4.63H14.61Zm0-6.5H1.39V1.38H14.62Z' })
        )
      )
    )
  );
};

Presentation.propTypes = {
  color: _propTypes2.default.string
};

Presentation.defaultProps = {
  color: 'currentColor'
};

exports.default = Presentation;