'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Profile = function Profile(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 14.2 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M7.1,0a3.62,3.62,0,1,0,3.62,3.62A3.63,3.63,0,0,0,7.1,0Zm0,6A2.35,2.35,0,1,1,9.45,3.62,2.36,2.36,0,0,1,7.1,6Z' }),
          _react2.default.createElement('path', { d: 'M7.1,9C2.92,9,0,11.19,0,14.31V16H14.2V14.31C14.2,11.19,11.28,9,7.1,9Zm5.52,5.41h-11v-.11c0-2.19,2.27-3.72,5.52-3.72s5.52,1.53,5.52,3.72Z' })
        )
      )
    )
  );
};

Profile.propTypes = {
  color: _propTypes2.default.string
};

Profile.defaultProps = {
  color: 'currentColor'
};

exports.default = Profile;