'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Robot = function Robot(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 18.85 17.1',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '7.74', cy: '3.28', r: '0.72' }),
          _react2.default.createElement('path', { d: 'M11,2.56a.72.72,0,1,0,.72.72A.72.72,0,0,0,11,2.56Z' }),
          _react2.default.createElement('path', { d: 'M18.69,12.36l-2-2a1.66,1.66,0,0,0-1.59-2.17,1.66,1.66,0,0,0-1.34.68,1.79,1.79,0,0,0-1-.31H9.94V6.92H14a.55.55,0,0,0,.55-.55V.55A.55.55,0,0,0,14,0H4.77a.55.55,0,0,0-.55.55V6.37a.55.55,0,0,0,.55.55H8.84V8.58H6a1.77,1.77,0,0,0-1,.31,1.69,1.69,0,0,0-1.35-.68A1.67,1.67,0,0,0,2,9.88a1.4,1.4,0,0,0,.06.41L.16,12.17a.56.56,0,0,0,0,.78l2.71,2.7.77-.77L1.33,12.56l1.34-1.34a1.59,1.59,0,0,0,1,.33,1.52,1.52,0,0,0,.57-.11v5.11a.55.55,0,0,0,.55.55H14a.55.55,0,0,0,.55-.55V11.44a1.56,1.56,0,0,0,.57.11,1.65,1.65,0,0,0,.93-.28l1.48,1.48-2.32,2.31.78.78,2.7-2.7a.54.54,0,0,0,.16-.39A.51.51,0,0,0,18.69,12.36ZM5.32,1.1h8.13V5.82H5.32ZM3.65,10.45a.58.58,0,0,1-.57-.57.57.57,0,0,1,.57-.57.56.56,0,0,1,.57.57A.57.57,0,0,1,3.65,10.45ZM13.45,16H5.32V10.35A.68.68,0,0,1,6,9.68h6.78a.67.67,0,0,1,.67.67Zm1.67-5.55a.58.58,0,0,1-.57-.57.58.58,0,0,1,1.15,0A.58.58,0,0,1,15.12,10.45Z' })
        )
      )
    )
  );
};

Robot.propTypes = {
  color: _propTypes2.default.string
};

Robot.defaultProps = {
  color: 'currentColor'
};

exports.default = Robot;