'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Rule = function Rule(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 12.72 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M9.07,0H1.43A1.43,1.43,0,0,0,0,1.43V14.57A1.43,1.43,0,0,0,1.43,16h9.85a1.44,1.44,0,0,0,1.44-1.43V3.64ZM1.23,14.77V1.23h7V4.51h3.28V14.77Z' }),
          _react2.default.createElement('polygon', { points: '2.79 8.14 3.54 7.4 4.28 8.14 4.81 7.61 4.07 6.87 4.81 6.12 4.28 5.59 3.54 6.34 2.79 5.59 2.26 6.12 3.01 6.87 2.26 7.61 2.79 8.14' }),
          _react2.default.createElement('polygon', { points: '3.48 11.14 2.79 10.45 2.26 10.98 3.48 12.2 5.18 10.51 4.65 9.98 3.48 11.14' }),
          _react2.default.createElement('rect', { x: '6.66', y: '6.29', width: '3.61', height: '1' }),
          _react2.default.createElement('rect', { x: '6.66', y: '10.46', width: '3.61', height: '1' })
        )
      )
    )
  );
};

Rule.propTypes = {
  color: _propTypes2.default.string
};

Rule.defaultProps = {
  color: 'currentColor'
};

exports.default = Rule;