'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Sar = function Sar(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 12.72 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M9.4,7.78A1,1,0,0,0,8,7.78a1,1,0,0,0-.15,1.16L6.29,10.53l.36.36.25-.26.36.37.36-.36-.36-.36.1-.11.36.36.36-.35-.36-.37.51-.51A1,1,0,0,0,9.4,9.15a1,1,0,0,0,.28-.69A1,1,0,0,0,9.4,7.78Zm-.14.68a.53.53,0,0,1-.16.38A.55.55,0,0,1,8.72,9a.57.57,0,0,1-.39-.16.52.52,0,0,1-.15-.38.54.54,0,0,1,.15-.38.57.57,0,0,1,.39-.16.55.55,0,0,1,.54.54Z' }),
          _react2.default.createElement('path', { d: 'M12.72,9.65V.7A.7.7,0,0,0,12,0H.7A.7.7,0,0,0,0,.7v9a3.93,3.93,0,0,0,1.67,3.21l4.29,3a.73.73,0,0,0,.8,0l4.29-3A3.93,3.93,0,0,0,12.72,9.65Zm-2.47,2.06L6.36,14.45,2.47,11.71A2.53,2.53,0,0,1,1.39,9.65V1.39h9.94V9.65A2.53,2.53,0,0,1,10.25,11.71Z' }),
          _react2.default.createElement('path', { d: 'M6.35,3.86A1.48,1.48,0,1,0,7.84,5.34,1.48,1.48,0,0,0,6.35,3.86Zm0,2.44a1,1,0,1,1,1-1A1,1,0,0,1,6.35,6.3Z' }),
          _react2.default.createElement('path', { d: 'M6.35,7.54c-1.71,0-2.9.89-2.9,2.17v.69H5.3V9.75H4.1v0c0-.9.92-1.52,2.25-1.52a3.44,3.44,0,0,1,1,.13V7.65A4.48,4.48,0,0,0,6.35,7.54Z' })
        )
      )
    )
  );
};

Sar.propTypes = {
  color: _propTypes2.default.string
};

Sar.defaultProps = {
  color: 'currentColor'
};

exports.default = Sar;