'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Server = function Server(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M16,1.5A1.5,1.5,0,0,0,14.5,0H1.5A1.5,1.5,0,0,0,0,1.5V9.63a1.5,1.5,0,0,0,1.5,1.5H7.31v3.5H3.25V16h9.5V14.63H8.69v-3.5H14.5A1.5,1.5,0,0,0,16,9.63ZM14.63,9.75H1.37V6.25H14.63Zm0-4.88H1.37V1.37H14.63Z' }),
          _react2.default.createElement('circle', { cx: '3.86', cy: '3.12', r: '0.81' }),
          _react2.default.createElement('circle', { cx: '3.86', cy: '8', r: '0.81' })
        )
      )
    )
  );
};

Server.propTypes = {
  color: _propTypes2.default.string
};

Server.defaultProps = {
  color: 'currentColor'
};

exports.default = Server;