'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Skill = function Skill(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 19.31 15.75',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M4,12.27l.44.22A10.48,10.48,0,0,0,9.65,14a10.49,10.49,0,0,0,5.23-1.47l.44-.22a.76.76,0,0,0,.42-.68V7.15l3.08-1.23a.76.76,0,0,0,.06-1.39L10,.08a.78.78,0,0,0-.68,0L.42,4.52a.78.78,0,0,0-.34.35A1,1,0,0,0,0,5.21v5.13a.76.76,0,0,0,1.53,0v-4l2,.81v4.44A.76.76,0,0,0,4,12.27Zm10.24-1.16-.94.47a8.16,8.16,0,0,1-7.27,0l-.94-.47V7.76L9.37,9.47a.77.77,0,0,0,.57,0l4.29-1.71Zm-11.59-6,7-3.51.06,0,7,3.48-7,2.81Z' }),
          _react2.default.createElement('path', { d: 'M.76,12.44a.76.76,0,0,0-.76.76V15a.76.76,0,0,0,1.53,0V13.21A.76.76,0,0,0,.76,12.44Z' })
        )
      )
    )
  );
};

Skill.propTypes = {
  color: _propTypes2.default.string
};

Skill.defaultProps = {
  color: 'currentColor'
};

exports.default = Skill;