'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Spreadsheet = function Spreadsheet(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 12.72 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M9.07,0H1.43A1.44,1.44,0,0,0,0,1.43V14.57A1.44,1.44,0,0,0,1.43,16h9.85a1.44,1.44,0,0,0,1.43-1.43V3.64ZM8.21,1.23V4.51h3.28v3H1.23V1.23Zm-7,10V8.35H5.94v2.93ZM6.77,8.35h4.72v2.93H6.77ZM1.23,14.77V12.11H11.49v2.67Z' })
        )
      )
    )
  );
};

Spreadsheet.propTypes = {
  color: _propTypes2.default.string
};

Spreadsheet.defaultProps = {
  color: 'currentColor'
};

exports.default = Spreadsheet;