'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Start = function Start(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 13.94 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M0,.82V15.18a.81.81,0,0,0,.41.71.8.8,0,0,0,.82,0L13.54,8.7a.81.81,0,0,0,0-1.41L1.23.11A.82.82,0,0,0,.82,0,.82.82,0,0,0,.41.11.81.81,0,0,0,0,.82ZM1.55,2.1,11.66,8,1.55,13.9Z' })
        )
      )
    )
  );
};

Start.propTypes = {
  color: _propTypes2.default.string
};

Start.defaultProps = {
  color: 'currentColor'
};

exports.default = Start;