'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Textfile = function Textfile(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 12.84 15.75',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '9.93 9.2 9.93 6.55 2.91 6.55 2.91 9.2 4.11 9.2 4.11 7.75 5.82 7.75 5.82 11.64 4.36 11.64 4.36 12.84 8.48 12.84 8.48 11.64 7.02 11.64 7.02 7.75 8.73 7.75 8.73 9.2 9.93 9.2' }),
          _react2.default.createElement('path', { d: 'M1.33,0A1.33,1.33,0,0,0,0,1.33V14.42a1.33,1.33,0,0,0,1.33,1.33H11.51a1.33,1.33,0,0,0,1.33-1.33V3.26L9.58,0ZM11.64,14.55H1.2V1.2H8.73V4.11h2.91Z' })
        )
      )
    )
  );
};

Textfile.propTypes = {
  color: _propTypes2.default.string
};

Textfile.defaultProps = {
  color: 'currentColor'
};

exports.default = Textfile;