'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Twitter = function Twitter(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M8,0a8,8,0,1,0,8,8A8,8,0,0,0,8,0Zm3.79,6.06q0,.13,0,.25A5.56,5.56,0,0,1,3.24,11l.47,0a3.92,3.92,0,0,0,2.43-.84A2,2,0,0,1,4.31,8.83a1.92,1.92,0,0,0,.37,0,2,2,0,0,0,.51-.07A2,2,0,0,1,3.62,6.88v0a2,2,0,0,0,.89.24,2,2,0,0,1-.6-2.61,5.55,5.55,0,0,0,4,2,2,2,0,0,1,3.33-1.78,3.91,3.91,0,0,0,1.24-.47,2,2,0,0,1-.86,1.08A3.88,3.88,0,0,0,12.76,5,4,4,0,0,1,11.79,6.06Z' })
        )
      )
    )
  );
};

Twitter.propTypes = {
  color: _propTypes2.default.string
};

Twitter.defaultProps = {
  color: 'currentColor'
};

exports.default = Twitter;