'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Upload = function Upload(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 15.75 15.78',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '11.46 3.59 7.88 0 4.29 3.59 5.24 4.54 7.2 2.58 7.2 9.63 8.55 9.63 8.55 2.58 10.51 4.54 11.46 3.59' }),
          _react2.default.createElement('path', { d: 'M15.75,15.78V9.63h-5l-1.6,1.6H6.55L5,9.63H0v6.15ZM1.35,11h3L6,12.58H9.75l1.6-1.6h3v3.45H1.35Z' })
        )
      )
    )
  );
};

Upload.propTypes = {
  color: _propTypes2.default.string
};

Upload.defaultProps = {
  color: 'currentColor'
};

exports.default = Upload;