'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Workspace = function Workspace(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 12.67',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M15.93,11,14.71,7.33V.75A.75.75,0,0,0,14,0H2a.75.75,0,0,0-.75.75V7.33L.07,11a1.28,1.28,0,0,0,.15,1.17,1.28,1.28,0,0,0,1.06.52H14.71A1.25,1.25,0,0,0,15.93,11ZM13.22,1.49V6.71H2.78V1.49ZM1.58,11.18l1-3H13.43l1,3Z' }),
          _react2.default.createElement('rect', { x: '6.51', y: '8.94', width: '2.98', height: '1.49' })
        )
      )
    )
  );
};

Workspace.propTypes = {
  color: _propTypes2.default.string
};

Workspace.defaultProps = {
  color: 'currentColor'
};

exports.default = Workspace;