'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAppropriateIcon = undefined;

var _index = require('./index');

var Icons = _interopRequireWildcard(_index);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var capitalize = function capitalize(x) {
  return x.charAt(0).toUpperCase() + x.slice(1);
};

var getAppropriateIcon = exports.getAppropriateIcon = function getAppropriateIcon() {
  var identifier = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

  var cleanedIdentifer = capitalize(identifier.toLowerCase());
  return Icons[cleanedIdentifer] ? Icons[cleanedIdentifer] : Icons.Circle;
};

exports.default = getAppropriateIcon;