'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _RatioBox = require('../Box/RatioBox');

var _RatioBox2 = _interopRequireDefault(_RatioBox);

var _Img = require('./Img');

var _Img2 = _interopRequireDefault(_Img);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// assume the height basde on the width if no height is provided
var makeHeightStylePropIfNeeded = function makeHeightStylePropIfNeeded(props) {
  var heightPropObj = {};

  if ('style' in props) {
    if ('width' in props.style) {
      if (!('height' in props.style)) {
        heightPropObj.height = props.style.width;
      }
    }
    return _extends({}, props, {
      style: _extends({}, props.style, heightPropObj)
    });
  }
  return props;
};

var SquareImg = function SquareImg(props) {
  return _react2.default.createElement(
    _RatioBox2.default,
    {
      style: {
        width: makeHeightStylePropIfNeeded(props).style.width,
        height: makeHeightStylePropIfNeeded(props).style.height
      }
    },
    _react2.default.createElement(_Img2.default, makeHeightStylePropIfNeeded(props))
  );
};

exports.default = SquareImg;