'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    0% {\n      transform: translate(-50%, -50%) rotate(0deg);\n    }\n    100% {\n      transform: translate(-50%, -50%) rotate(360deg);\n    }\n  '], ['\n    0% {\n      transform: translate(-50%, -50%) rotate(0deg);\n    }\n    100% {\n      transform: translate(-50%, -50%) rotate(360deg);\n    }\n  ']),
    _templateObject2 = _taggedTemplateLiteral(['\n  display: flex;\n  align-items: center;\n  animation: ', ' 1.5s infinite linear;\n  transform-origin: center;\n  top: 7px;\n  position: relative;\n  left: 7px;\n'], ['\n  display: flex;\n  align-items: center;\n  animation: ', ' 1.5s infinite linear;\n  transform-origin: center;\n  top: 7px;\n  position: relative;\n  left: 7px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Icons = require('../Icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var getAnim = function getAnim() {
  var bollox = (0, _styledComponents.keyframes)(_templateObject);
  return bollox;
};

var LoaderUI = _styledComponents2.default.div(_templateObject2, function () {
  return getAnim();
});

var Loader = function Loader(_ref) {
  var color = _ref.color,
      size = _ref.size;
  return _react2.default.createElement(
    LoaderUI,
    { color: color },
    _react2.default.createElement(_Icons.Loading, { size: size, fill: color })
  );
};

Loader.displayName = 'Loader';

Loader.defaultProps = {
  color: '#25bcbc'
};

exports.default = Loader;