'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  cursor: pointer;\n  ', ';\n\n'], ['\n  cursor: pointer;\n  ', ';\n\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  opacity: 0;\n  cursor: pointer;\n  box-sizing: border-box;\n  margin: 0;\n'], ['\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  opacity: 0;\n  cursor: pointer;\n  box-sizing: border-box;\n  margin: 0;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  ', ';\n  padding: 6px;\n  /* margin: 0 4px */\n  display: flex ;\n  align-items: center;\n\n  border-radius: ', ';\n\n  transition: ', ';\n\n  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n    /* waiting for Edge to support focus-within */\n    ', ';\n  }\n\n  &:not(:hover) {\n    &:focus-within {\n      ', ';\n    }\n  }\n'], ['\n  ', ';\n  padding: 6px;\n  /* margin: 0 4px */\n  display: flex ;\n  align-items: center;\n\n  border-radius: ', ';\n\n  transition: ', ';\n\n  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n    /* waiting for Edge to support focus-within */\n    ', ';\n  }\n\n  &:not(:hover) {\n    &:focus-within {\n      ', ';\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Icons = require('../Icons');

var _Ripples = require('../Motion/Ripples');

var _Ripples2 = _interopRequireDefault(_Ripples);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
var LabeLUI = _styledComponents2.default.label(_templateObject, function (_ref) {
  var label = _ref.label,
      labelBefore = _ref.labelBefore;
  return label // eslint-disable-line no-nested-ternary
  ? labelBefore ? 'margin-right: 8px' : ' margin-left: 8px' : '';
});

var InputUI = _styledComponents2.default.input.attrs(function () {
  return (/*  props  */{
      onMouseOut: function onMouseOut(_ref2) {
        var target = _ref2.target;
        return target.blur && target.blur();
      }
    }
  );
})(_templateObject2);

var Wrapper = _styledComponents2.default.div(_templateObject3, function (_ref3) {
  var checker = _ref3.checker,
      palette = _ref3.theme.palette;
  return checker ? 'svg { fill: ' + palette.accent.main + ' !important; }' : '';
}, function (_ref4) {
  var radius = _ref4.theme.radius;
  return radius;
}, function (_ref5) {
  var transition = _ref5.theme.transition;
  return transition.defaultAll;
}, function (_ref6) {
  var hasFocus = _ref6.hasFocus,
      theme = _ref6.theme;
  return hasFocus ? '\n      bowShadow: ' + theme.outlineShadow + '; outline: ' + theme.outline + '\n    ' : '';
}, function (_ref7) {
  var disabled = _ref7.disabled,
      inert = _ref7.inert,
      theme = _ref7.theme;
  return !inert || !disabled ? 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline : '';
});
/* eslint-enable indent */

// const posAbs = {
//   position: 'absolute',
//   width: '100%',
//   height: '100%',
//   top: 0,
//   right: 0,
//   bottom: 0,
//   left: 0,
// };

var styles = {
  wrapper: {
    position: 'relative',
    display: 'flex',
    alignItems: 'center'
  }
};

var counter = 0;

var Checkbox = function (_React$PureComponent) {
  _inherits(Checkbox, _React$PureComponent);

  function Checkbox(props) {
    _classCallCheck(this, Checkbox);

    var _this = _possibleConstructorReturn(this, (Checkbox.__proto__ || Object.getPrototypeOf(Checkbox)).call(this, props));

    var state = {
      hasFocus: false
    };

    _this.isControlled = _this.props.checked !== undefined;
    // if (!this.isControlled) {
    // not controlled, use internal state
    state = _extends({}, state, {
      checked: _this.isControlled // eslint-disable-line no-nested-ternary
      ? props.checked : props.defaultChecked !== undefined ? props.defaultChecked : false
    });
    // }

    _this.state = _extends({}, state);

    _this.onFocus = _this.onFocus.bind(_this);
    _this.onBlur = _this.onBlur.bind(_this);
    return _this;
  }

  _createClass(Checkbox, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      this.isControlled = nextProps.checked !== undefined;
      if (!this.isControlled) {
        // not controlled, use internal state
        this.setState({
          checked: nextProps.defaultChecked !== undefined ? nextProps.defaultChecked : false
        });
      }
    }
  }, {
    key: 'onBlur',
    value: function onBlur() {
      this.setState({
        hasFocus: false
      });
    }
  }, {
    key: 'onFocus',
    value: function onFocus() {
      this.setState({
        hasFocus: true
      });
    }
  }, {
    key: 'getWrapperStyles',
    value: function getWrapperStyles() {
      // disabled
      var _props = this.props,
          disabled = _props.disabled,
          labelBefore = _props.labelBefore;

      return _extends({}, styles.wrapper, disabled ? { opacity: 0.6 } : {}, labelBefore ? { flexDirection: 'row-reverse' } : {});
    }
  }, {
    key: 'handleChange',
    value: function handleChange(event) {
      var checked = event.target.checked;
      if (!this.isControlled) {
        this.setState({ checked: checked });
      }

      var _props2 = this.props,
          onChange = _props2.onChange,
          name = _props2.name;

      if (onChange) {
        onChange(event, checked, name);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props3 = this.props,
          nameProp = _props3.name,
          disabled = _props3.disabled,
          checked = _props3.checked,
          defaultChecked = _props3.defaultChecked,
          label = _props3.label,
          labelBefore = _props3.labelBefore,
          style = _props3.style,
          inputStyle = _props3.inputStyle,
          labelStyle = _props3.labelStyle,
          idProp = _props3.id,
          onClick = _props3.onClick;


      var id = idProp || nameProp || counter + 1;
      var name = nameProp || idProp || counter + 1;

      counter++; // eslint-disable-line no-plusplus

      var hasFocus = this.state.hasFocus;


      var checker = this.isControlled ? checked : this.state.checked;

      var checkAttributes = {};
      if (this.isControlled) {
        checkAttributes.checked = this.props.checked;
      }

      // eslint-disable-next-line no-nested-ternary
      var iconIdentifier = disabled ? checker ? _react2.default.createElement(_Icons.Padlock, null) : _react2.default.createElement(_Icons.Padlock, null) : checker ? _react2.default.createElement(_Icons.Checkbox, { size: 22, color: '#26a29a' }) : _react2.default.createElement(_Icons.Checkboxoutline, { size: 22 });

      /* eslint-disable jsx-a11y/label-has-for */
      var checkboxWrapperStyle = Object.assign({}, {
        display: 'inline-block'
      }, style || {});

      return _react2.default.createElement(
        'div',
        { style: checkboxWrapperStyle, onClick: onClick },
        _react2.default.createElement(
          _Ripples2.default,
          null,
          _react2.default.createElement(
            Wrapper,
            { checker: checker, style: this.getWrapperStyles(), hasFocus: hasFocus },
            iconIdentifier,
            _react2.default.createElement(InputUI, {
              onFocus: this.onFocus,
              onBlur: this.onBlur,
              hasFocus: true,
              id: id,
              style: inputStyle,
              checked: this.isControlled ? checker : undefined // defaultChecked via state
              , defaultChecked: defaultChecked,
              name: name,
              type: 'checkbox',
              disabled: disabled,
              onChange: this.handleChange.bind(this) // eslint-disable-line react/jsx-no-bind
            }),
            _react2.default.createElement(
              LabeLUI,
              { htmlFor: id, labelStyle: labelStyle, label: label, labelBefore: labelBefore },
              label
            )
          )
        )
      );
    }
  }]);

  return Checkbox;
}(_react2.default.PureComponent);

Checkbox.propTypes = {
  onChange: _propTypes2.default.func,
  // icon: PropTypes.string,
  // checkedIcon: PropTypes.string,
  checked: _propTypes2.default.bool,
  disabled: _propTypes2.default.bool,
  name: _propTypes2.default.string, // .isRequired,
  defaultChecked: _propTypes2.default.bool,
  inputStyle: _propTypes2.default.object,
  labelStyle: _propTypes2.default.object
};

Checkbox.defaultProps = {
  name: 'myawesomecheckbox',
  onChange: function onChange() {},
  // icon: 'Checkboxoutline',
  // checkedIcon: 'Checkbox',
  inputStyle: {},
  labelStyle: {},
  checked: undefined,
  defaultChecked: undefined,
  disabled: false
};

exports.default = Checkbox;