'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  display: inline-block;\n  position: relative;\n  /* outline: ', '; */\n'], ['\n  display: inline-block;\n  position: relative;\n  /* outline: ', '; */\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  display: block;\n  padding: 0;\n  width: 100%;\n  cursor: pointer;\n  /* &:hover  {\n    outline: 1px dotted #000;\n    outline: -webkit-focus-ring-color auto 5px;\n  }; */\n'], ['\n  display: block;\n  padding: 0;\n  width: 100%;\n  cursor: pointer;\n  /* &:hover  {\n    outline: 1px dotted #000;\n    outline: -webkit-focus-ring-color auto 5px;\n  }; */\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  width: 100%;\n  height: 100%;\n  opacity: 0;\n  position: absolute;\n  z-index: -1;\n  left: 0;\n  top: 0;\n  right: 0;\n  bottom: 0;\n'], ['\n  width: 100%;\n  height: 100%;\n  opacity: 0;\n  position: absolute;\n  z-index: -1;\n  left: 0;\n  top: 0;\n  right: 0;\n  bottom: 0;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Icons = require('../Icons');

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// import { palette } from '../Theme/palette';

var FileInputWrapperUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var focussed = _ref.focussed;
  return focussed ? '-webkit-focus-ring-color auto 5px' : 'none';
});

var FileInputLabelUI = _styledComponents2.default.label(_templateObject2);

var FileInputUI = _styledComponents2.default.input.attrs(function () {
  return (/* props */{
      type: 'file'
    }
  );
})(_templateObject3);

/* eslint-disable jsx-a11y/label-has-for */

var FileInput = function (_PureComponent) {
  _inherits(FileInput, _PureComponent);

  function FileInput(props) {
    _classCallCheck(this, FileInput);

    var _this = _possibleConstructorReturn(this, (FileInput.__proto__ || Object.getPrototypeOf(FileInput)).call(this, props));

    _this.state = {
      focussed: false
    };
    _this.setBlur = _this.setBlur.bind(_this);
    _this.setFocus = _this.setFocus.bind(_this);
    return _this;
  }

  _createClass(FileInput, [{
    key: 'setFocus',
    value: function setFocus() {
      this.setState({ focussed: true });
    }
  }, {
    key: 'setBlur',
    value: function setBlur() {
      this.setState({ focussed: false });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var props = this.props,
          _props = this.props,
          onChange = _props.onChange,
          multiple = _props.multiple,
          label = _props.label,
          focussed = this.state.focussed;

      /*
      const stateIcon = error // eslint-disable-line no-nested-ternary
        ? <ErrorIcon size="16" color={palette.semantic.error} />
        : (success ? <SuccessIcon size="16" color={palette.semantic.success} /> : null);
      */

      var finalLabel = label || 'UPLOAD';
      // const finalId = id || finalLabel; // TODO => uuid

      return _react2.default.createElement(
        FileInputWrapperUI,
        {
          focussed: focussed
        },
        _react2.default.createElement(
          FileInputLabelUI,
          {
            tabIndex: '-1'
          },
          _react2.default.createElement(
            _Button2.default,
            { inert: true, tabIndex: '-1' },
            _react2.default.createElement(_Icons.Upload, {
              size: '16', style: { paddingRight: '8px', marginBottom: '-2px' }
            }),
            finalLabel,
            _react2.default.createElement(FileInputUI, _extends({
              onFocus: function onFocus() {
                _this2.setFocus.apply(_this2, arguments);
              },
              onBlur: function onBlur() {
                _this2.setFocus.apply(_this2, arguments);
              }
            }, props, {
              multiple: multiple,
              onChange: onChange
              // onFocus={this.setFocus}
              // onBlur={this.setBlur}
            }))
          )
        )
      );
    }
  }]);

  return FileInput;
}(_react.PureComponent);

FileInput.propTypes = {};

FileInput.defaultProps = {
  multiple: false
};

exports.default = FileInput;