'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  opacity: 0;\n  position: relative;\n  bottom: 0;\n  right: 0;\n  width: 0;\n  height: 0;\n  padding: 0;\n  margin: 0;\n'], ['\n  opacity: 0;\n  position: relative;\n  bottom: 0;\n  right: 0;\n  width: 0;\n  height: 0;\n  padding: 0;\n  margin: 0;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\nposition: relative;\n  display: flex;\n  align-items: center;\n  user-select: none;\n  cursor: ', ';;\n  flex-direction: ', ';\n  opacity: ', ';\n  filter: ', ';\n\n  ', ';\n\n'], ['\nposition: relative;\n  display: flex;\n  align-items: center;\n  user-select: none;\n  cursor: ', ';;\n  flex-direction: ', ';\n  opacity: ', ';\n  filter: ', ';\n\n  ', ';\n\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  width: 42px;\n  height: 20px;\n  border-radius: 11px;\n  border: 1px solid transparent;\n  position: relative;\n  transition: background-color .3s ease-out;\n  margin:', ';\n  background-color: ', ';\n  background-color: ', ';\n  &:before, &:after {\n    display: flex;\n    align-items: center;\n    color: white;\n    opacity: .4;\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    font-family: sans-serif;\n  }\n  &:before {\n    content: \'I\';\n    left: 7.5px;\n  };\n  &:after {\n    content: \'0\';\n    right: 6px;\n  }\n'], ['\n  width: 42px;\n  height: 20px;\n  border-radius: 11px;\n  border: 1px solid transparent;\n  position: relative;\n  transition: background-color .3s ease-out;\n  margin:', ';\n  background-color: ', ';\n  background-color: ', ';\n  &:before, &:after {\n    display: flex;\n    align-items: center;\n    color: white;\n    opacity: .4;\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    font-family: sans-serif;\n  }\n  &:before {\n    content: \'I\';\n    left: 7.5px;\n  };\n  &:after {\n    content: \'0\';\n    right: 6px;\n  }\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  /* z-index: 1; */\n  width: 16px;\n  height: 16px;\n  border-radius: 9px;\n  border: 1px solid transparent;\n  position: absolute;\n  margin: 1px;\n  transition: left .3s ease-out;\n  background: white;\n  left: ', ';\n  /* right: ', '; */\n'], ['\n  /* z-index: 1; */\n  width: 16px;\n  height: 16px;\n  border-radius: 9px;\n  border: 1px solid transparent;\n  position: absolute;\n  margin: 1px;\n  transition: left .3s ease-out;\n  background: white;\n  left: ', ';\n  /* right: ', '; */\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n  margin:', ';\n'], ['\n  margin:', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var InputUI = _styledComponents2.default.input(_templateObject);

var LabelWrapper = _styledComponents2.default.label(_templateObject2, function (props) {
  return props.disabled ? 'not-allowed' : 'pointer';
}, function (_ref) {
  var labelBefore = _ref.labelBefore;
  return labelBefore ? 'row-reverse' : 'row';
}, function (props) {
  return props.disabled ? '.7' : 1;
}, function (props) {
  return props.disabled ? 'grayscale(35%) opacity(70%)' : 'none';
}, function (_ref2) {
  var hasFocus = _ref2.hasFocus;
  return hasFocus ? '\n    outline: 2px solid #7AACFE !important; /* for non-webkit browsers */\n    outline: 5px auto -webkit-focus-ring-color !important;\n  ' : '';
});

var SwitchOutterWrapper = _styledComponents2.default.div(_templateObject3, function (_ref3) {
  var label = _ref3.label,
      labelBefore = _ref3.labelBefore;
  return label // eslint-disable-line no-nested-ternary
  ? labelBefore ? '0 0 0 6px' : '0 6px 0 0' : 0;
}, function (_ref4) {
  var checked = _ref4.checked;
  return !checked ? '#9a9a9a' : '#26a29a';
}, function (_ref5) {
  var theme = _ref5.theme,
      checked = _ref5.checked;
  return !checked ? theme.palette.grey : theme.palette.accent.main;
});

var SwitchInnerWrapper = _styledComponents2.default.div(_templateObject4, function (_ref6) {
  var checked = _ref6.checked;
  return !checked ? 0 : 'calc(100% - 20px)';
}, function (_ref7) {
  var checked = _ref7.checked;
  return !checked ? 'auto' : 0;
});

var LabelTextWrapper = _styledComponents2.default.div(_templateObject5, function (_ref8) {
  var label = _ref8.label,
      labelBefore = _ref8.labelBefore;
  return (
    // eslint-disable-next-line no-nested-ternary
    label ? labelBefore ? '0 6px 0 0' : '0 0 0 6px' : 0
  );
});

var styles = {
  outterWrapper: {
    display: 'inline-block'
  }
};

var counter = 0;

var Switch = function (_PureComponent) {
  _inherits(Switch, _PureComponent);

  function Switch(props) {
    _classCallCheck(this, Switch);

    var _this = _possibleConstructorReturn(this, (Switch.__proto__ || Object.getPrototypeOf(Switch)).call(this, props));

    _this.state = {
      hasfocus: false,
      checked: false
    };
    _this.handleChange = _this.handleChange.bind(_this);
    _this.onBlur = _this.onBlur.bind(_this);
    _this.onFocus = _this.onFocus.bind(_this);
    return _this;
  }

  _createClass(Switch, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.isControlled = this.props.checked !== undefined;
      if (!this.isControlled) {
        // not controlled, use internal state
        this.setState({
          checked: this.props.defaultChecked !== undefined ? this.props.defaultChecked : false
        });
      }
    }
  }, {
    key: 'onBlur',
    value: function onBlur() {
      this.setState({
        hasFocus: false
      });
    }
  }, {
    key: 'onFocus',
    value: function onFocus() {
      this.setState({
        hasFocus: true
      });
    }
  }, {
    key: 'handleChange',
    value: function handleChange(event) {
      if (this.props.disabled) {
        return;
      }
      var checked = this.state.checked;
      var onChange = this.props.onChange;

      var newState = !checked;
      if (!this.isControlled) {
        this.setState({
          checked: newState
        });
      }
      if (onChange) {
        onChange({ checked: newState }, event);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          label = _props.label,
          nameProp = _props.name,
          idProp = _props.id,
          labelBefore = _props.labelBefore,
          checked = _props.checked,
          disabled = _props.disabled,
          inputStyle = _props.inputStyle;


      var id = idProp || nameProp || counter + 1;
      var name = nameProp || idProp || counter + 1;

      counter++; // eslint-disable-line no-plusplus

      var hasFocus = this.state.hasFocus;


      var checker = this.isControlled ? checked : this.state.checked;

      return _react2.default.createElement(
        'div',
        { style: styles.outterWrapper },
        _react2.default.createElement(
          LabelWrapper,
          {
            hasFocus: hasFocus,
            labelBefore: labelBefore,
            htmlFor: id,
            disabled: disabled
          },
          _react2.default.createElement(
            SwitchOutterWrapper,
            {
              checked: checker,
              disabled: disabled,
              label: label,
              labelBefore: labelBefore
            },
            _react2.default.createElement(SwitchInnerWrapper, { checked: checker, disabled: disabled })
          ),
          _react2.default.createElement(
            LabelTextWrapper,
            { label: label, labelBefore: labelBefore },
            label
          ),
          _react2.default.createElement(InputUI, {
            onBlur: this.onBlur,
            onFocus: this.onFocus,
            id: id,
            name: name,
            style: inputStyle,
            type: 'checkbox',
            onChange: this.handleChange
          })
        )
      );
    }
  }]);

  return Switch;
}(_react.PureComponent);

Switch.defaultProps = {
  label: undefined,
  inputStyle: {}
};

exports.default = Switch;