'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  display: flex;\n  flex-wrap: wrap;\n  --margin: ', ';\n  /* --modifier: calc(40rem - 100%); */\n  --modifier: ', ';\n  margin: calc(var(--margin) * -1);\n  & > * {\n    flex-grow: 1;\n    flex-basis: calc(var(--modifier) * 999);\n    margin: var(--margin);\n  }\n'], ['\n  display: flex;\n  flex-wrap: wrap;\n  --margin: ', ';\n  /* --modifier: calc(40rem - 100%); */\n  --modifier: ', ';\n  margin: calc(var(--margin) * -1);\n  & > * {\n    flex-grow: 1;\n    flex-basis: calc(var(--modifier) * 999);\n    margin: var(--margin);\n  }\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var FlexHolyAlbatross = _styledComponents2.default.div(_templateObject, function (_ref) {
  var gap = _ref.gap;
  return gap;
}, function (_ref2) {
  var breakpoint = _ref2.breakpoint;
  return 'calc(' + breakpoint + ' - 100%)';
});
FlexHolyAlbatross.defaultProps = {
  gap: '8px',
  breakpoint: '40rem'
};

exports.default = FlexHolyAlbatross;