'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.flexLeftColCSSString = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  ', '\n  ', '\n'], ['\n  ', '\n  ', '\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Flex = require('./Flex');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var flexLeftColCSSString = exports.flexLeftColCSSString = '\n  & > *:first-child {\n    flex-grow: 0;\n    flex-shrink: 1;\n    /* align-self: flex-start; ?? is that desirable ? -fd */\n  }\n  & > *:nth-child(2) {\n    flex-grow: 1;\n    flex-shrink: 1;\n    /* align-self: flex-end; ?? is that desirable ? -fd */\n  }\n';

// TODO: would using flexbasis allow for auto transitionalbe layout ?
var FlexLeftCol = _styledComponents2.default.div(_templateObject, function () {
  return _Flex.flexCSSString;
}, flexLeftColCSSString);

FlexLeftCol.displayName = 'FlexLeftCol';

exports.default = FlexLeftCol;