'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  margin: 0;\n  padding: 0;\n  list-style: none;\n  li {\n    display: ', ';\n    padding-left: ', ';\n    padding-top: ', ';\n    padding-bottom: ', ';\n    &:first-child {\n      padding-left:0;\n    }\n  }\n'], ['\n  margin: 0;\n  padding: 0;\n  list-style: none;\n  li {\n    display: ', ';\n    padding-left: ', ';\n    padding-top: ', ';\n    padding-bottom: ', ';\n    &:first-child {\n      padding-left:0;\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// let count = 0;
// const getKey = () => count++;

var ListWrapper = _styledComponents2.default.ul(_templateObject, function (_ref) {
  var type = _ref.type;
  return type === 'vertical' ? 'block' : 'inline-block';
}, function (_ref2) {
  var type = _ref2.type;
  return type === 'vertical' ? '0' : '12px';
}, function (_ref3) {
  var type = _ref3.type;
  return type === 'vertical' ? '6px' : '0';
}, function (_ref4) {
  var type = _ref4.type;
  return type === 'vertical' ? '6px' : '0';
});

/**
 *  This compo is just a "repeater" it has not styling option
 *  it "just maps stuff" and render in provided compo and DO NOT wraps it
 */
var List = function List(_ref5) {
  var style = _ref5.style,
      children = _ref5.children,
      type = _ref5.type;

  if (_react2.default.Children.count(children) <= 0) {
    return null;
  }
  var wrappedChildren = _react2.default.Children.map(children, function (c, i) {
    var key = c.key ? 'key-' + (c.key || c.name || c.label) : 'index-' + i;
    return _react2.default.createElement(
      'li',
      { key: key },
      c
    );
  });

  return _react2.default.createElement(
    ListWrapper,
    { style: style, type: type },
    wrappedChildren
  );
};

List.propTypes = {
  children: _propTypes2.default.any
};

List.defaultProps = {
  children: []
};

exports.default = List;