'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  width: 100%;\n  height: 100%;\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n'], ['\n  width: 100%;\n  height: 100%;\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  a, a *, a:hover, a:hover * {\n    text-decoration: none;\n    color: ', ';\n  }\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n  ', ';\n  min-width: 180px;\n  max-width: 100vw;\n  justify-content: flex-start;\n  height: ', ';\n  min-height: ', ';\n  max-height: ', ';\n  box-sizing: border-box;\n  ', ';\n  outline: none;\n  &:focus, &:hover {\n    outline: none;\n    background: #ebebeb;\n  }\n  &:focus:hover {\n    background: #ebebeb;\n  }\n'], ['\n  a, a *, a:hover, a:hover * {\n    text-decoration: none;\n    color: ', ';\n  }\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n  ', ';\n  min-width: 180px;\n  max-width: 100vw;\n  justify-content: flex-start;\n  height: ', ';\n  min-height: ', ';\n  max-height: ', ';\n  box-sizing: border-box;\n  ', ';\n  outline: none;\n  &:focus, &:hover {\n    outline: none;\n    background: #ebebeb;\n  }\n  &:focus:hover {\n    background: #ebebeb;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Text = require('../../Text');

var _buttonResetStyles = require('../../Button/buttonResetStyles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var WrapperComponentFn = _styledComponents2.default.div(_templateObject);

var height = '38px';
var iconSize = '18';

var ButtonMenuItemItemFlex = _styledComponents2.default.li.attrs(function () {
  return (/* props */{
      tabIndex: 0
    }
  );
})(_templateObject2, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.darkGrey;
}, _buttonResetStyles.buttonResetStylesCSSString, height, height, height, function (_ref2) {
  var Link = _ref2.Link;
  return Link ? '' : 'padding: 4px 8px';
});

var ButtonMenuItem = function (_Component) {
  _inherits(ButtonMenuItem, _Component);

  function ButtonMenuItem() {
    _classCallCheck(this, ButtonMenuItem);

    return _possibleConstructorReturn(this, (ButtonMenuItem.__proto__ || Object.getPrototypeOf(ButtonMenuItem)).apply(this, arguments));
  }

  _createClass(ButtonMenuItem, [{
    key: 'render',
    // eslint-disable-line react/prefer-stateless-function
    value: function render() {
      var _props = this.props,
          style = _props.style,
          iconProp = _props.icon,
          children = _props.children,
          extra = _props.extra,
          _onClick = _props.onClick,
          shouldClose = _props.shouldClose,
          Link = _props.Link,
          linkProps = _props.linkProps;


      var icon = null;
      if (iconProp) {
        icon = _react2.default.cloneElement(iconProp, { size: iconSize, style: { marginRight: '8px' } });
      }

      var LinkWrapperOrDiv = WrapperComponentFn;

      if (Link && linkProps) {
        LinkWrapperOrDiv = Link;
      }

      return _react2.default.createElement(
        ButtonMenuItemItemFlex,
        {
          Link: Link
          // isOpen={isOpen}
          , style: style,
          onClick: function onClick(e) {
            for (var _len = arguments.length, a = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
              a[_key - 1] = arguments[_key];
            }

            if (shouldClose) {
              shouldClose.apply(undefined, [e].concat(a));
            }
            if (_onClick) {
              _onClick.apply(undefined, [e].concat(a));
            }
          },
          onKeyDown: function onKeyDown(e) {
            for (var _len2 = arguments.length, a = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
              a[_key2 - 1] = arguments[_key2];
            }

            if (e.key === 'Enter' || e.key === ' ') {
              if (shouldClose) {
                shouldClose.apply(undefined, [e].concat(a));
              }
              if (_onClick) {
                _onClick.apply(undefined, [e].concat(a));
              }
            } else if (e.key === 'Escape') {
              if (shouldClose) {
                shouldClose.apply(undefined, [e].concat(a));
              }
            }
          }
        },
        _react2.default.createElement(
          LinkWrapperOrDiv,
          _extends({}, linkProps, {
            style: _extends({
              width: '100%',
              height: '100%'
            }, Link ? { padding: '4px 8px' } : {}, linkProps.style || {})
          }),
          icon,
          _react2.default.createElement(
            _Text.TextEllipsis,
            {
              style: {
                // width: '100%',
                height: '100%',
                // display: 'flex',
                alignItems: 'center'
              }
            },
            _react2.default.createElement(
              'div',
              {
                style: {
                  height: '100%',
                  display: 'flex',
                  alignItems: 'center'
                }
              },
              children
            )
          ),
          _react2.default.createElement(
            'div',
            { style: { marginLeft: 'auto' } },
            extra
          )
        )
      );
    }
  }]);

  return ButtonMenuItem;
}(_react.Component);

ButtonMenuItem.defaultProps = {
  style: {},
  icon: null,
  children: null,
  extra: null,
  onClick: function onClick() {},
  shouldClose: function shouldClose() {},
  Link: undefined,
  linkProps: {}
};

ButtonMenuItem.propTypes = {
  style: _propTypes2.default.object,
  icon: _propTypes2.default.any,
  children: _propTypes2.default.any,
  extra: _propTypes2.default.any,
  onClick: _propTypes2.default.func,
  shouldClose: _propTypes2.default.func,
  Link: _propTypes2.default.func,
  linkProps: _propTypes2.default.object
};

exports.default = ButtonMenuItem;