'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  & a {\n    display: inline-block;\n    width: 100%;\n    color: ', ';\n  }\n  & .uxi-menu-item {\n    padding: 2px;\n    &:hover {\n      background-color: ', ';\n      a {\n        color: ', ';\n      }\n    }\n  }\n'], ['\n  & a {\n    display: inline-block;\n    width: 100%;\n    color: ', ';\n  }\n  & .uxi-menu-item {\n    padding: 2px;\n    &:hover {\n      background-color: ', ';\n      a {\n        color: ', ';\n      }\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _DropDown = require('../internal/DropDown');

var _DropDown2 = _interopRequireDefault(_DropDown);

var _Menu = require('../Menu');

var _Separator = require('./Separator');

var _Separator2 = _interopRequireDefault(_Separator);

var _ThemeComponent2 = require('../Base/ThemeComponent');

var _ThemeComponent3 = _interopRequireDefault(_ThemeComponent2);

var _colorManipulator = require('../Theme/colorManipulator');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// import ReactDOM from 'react-dom';
// import PropTypes from 'prop-types';
// eslint-disable-line import/no-named-as-default


var DropDownMenuUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var theme = _ref.theme,
      isDark = _ref.isDark;
  return isDark ? theme.link.linkOnBgDark : theme.link.linkOnBgLight;
}, function (_ref2) {
  var theme = _ref2.theme;
  return (0, _colorManipulator.lighten)(theme.palette.accent.main, 0.9);
}, function (_ref3) {
  var theme = _ref3.theme,
      isDark = _ref3.isDark;
  return isDark ? theme.link.linkOnBgLightHover : theme.link.linkOnBgDarkHover;
});

/**
 * @deprecated
 */

var DropDownMenu = function (_ThemeComponent) {
  _inherits(DropDownMenu, _ThemeComponent);

  function DropDownMenu() {
    _classCallCheck(this, DropDownMenu);

    return _possibleConstructorReturn(this, (DropDownMenu.__proto__ || Object.getPrototypeOf(DropDownMenu)).apply(this, arguments));
  }

  _createClass(DropDownMenu, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          button = _props.button,
          anchor = _props.anchor;
      // const isDark = this.context.isDarkTheme();

      var isDark = this.props.isDark;

      var items = [];

      _react2.default.Children.forEach(children, function (child) {
        if (child.type === _Separator2.default) {
          items.push(child);
          return;
        } else if (child.type === _Menu.MenuItem) {
          items.push(_react2.default.cloneElement(child, {
            className: child.props.className + ' uxi-menu-item'
          }));
          return;
        }
        items.push(_react2.default.createElement(
          _Menu.MenuItem,
          { className: 'uxi-menu-item' },
          child
        ));
      });

      return _react2.default.createElement(
        DropDownMenuUI,
        { isDark: isDark },
        _react2.default.createElement(_DropDown2.default, {
          anchor: anchor,
          main: button,
          items: items
        })
      );
    }
  }]);

  return DropDownMenu;
}(_ThemeComponent3.default);

exports.default = DropDownMenu;