'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GlobalHeader = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  /* height: 48px; */\n  background: ', ';\n  width: 100%;\n  /* overflow: hidden; */\n'], ['\n  /* height: 48px; */\n  background: ', ';\n  width: 100%;\n  /* overflow: hidden; */\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Layout = require('../Layout');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var GlobalHeaderUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.primary.main;
});

var GlobalHeader = exports.GlobalHeader = function GlobalHeader(props) {
  var menu = props.menu,
      search = props.search,
      children = props.children,
      style = props.style;


  return _react2.default.createElement(
    GlobalHeaderUI,
    { style: style },
    _react2.default.createElement(
      _Layout.FlexRightCol,
      null,
      _react2.default.createElement(
        'div',
        null,
        search
      ),
      _react2.default.createElement(
        'div',
        null,
        menu
      )
    ),
    children
  );
};

GlobalHeader.dispalyName = 'GlobalHeader';

exports.default = GlobalHeader;