'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  /** create context to allow being above\n    * menuPanel in z-index stack order */\n    /* position: */\n    /* ', '; */\n\n  display: flex;\n  flex-direction: column;\n  height: 100%;\n  height: 100vh;\n  height: ', ';\n  text-align: center;\n  width: ', ';\n  background-color: ', ';\n  /* z-index: 99; need to be applied on children */\n  transition:  ', ';\n  @media (min-width: ', ') {\n    width: ', ';\n    transition:  ', ';\n  }\n'], ['\n  /** create context to allow being above\n    * menuPanel in z-index stack order */\n    /* position: */\n    /* ', '; */\n\n  display: flex;\n  flex-direction: column;\n  height: 100%;\n  height: 100vh;\n  height: ', ';\n  text-align: center;\n  width: ', ';\n  background-color: ', ';\n  /* z-index: 99; need to be applied on children */\n  transition:  ', ';\n  @media (min-width: ', ') {\n    width: ', ';\n    transition:  ', ';\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _defaults = require('./defaults');

var _defaults2 = _interopRequireDefault(_defaults);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// eslint-disable-line import/no-named-as-default

var defaultMenuWidth = _defaults2.default.menuWidth,
    defaultBigMenuWidth = _defaults2.default.bigMenuWidth,
    defaultBreakpoint = _defaults2.default.breakpoint;


var getPosition = function getPosition(_ref) {
  var attachToViewport = _ref.attachToViewport;
  return attachToViewport ? 'position: fixed;' + 'top: 0;' + 'bottom: 0;' + 'left: 0' : '';
};
var GlobalMenuDiv = _styledComponents2.default.div(_templateObject, function (props) {
  return getPosition(props);
}, function (_ref2) {
  var attachToViewport = _ref2.attachToViewport;
  return attachToViewport ? '100vh' : '100%';
}, function (_ref3) {
  var menuWidth = _ref3.menuWidth;
  return menuWidth;
}, function (_ref4) {
  var dark = _ref4.theme.palette.primary.dark;
  return dark || '#15303f';
}, function (_ref5) {
  var transition = _ref5.theme.transition;
  return transition.default;
}, function (_ref6) {
  var breakpoint = _ref6.breakpoint;
  return breakpoint;
}, function (_ref7) {
  var bigMenuWidth = _ref7.bigMenuWidth;
  return bigMenuWidth;
}, function (_ref8) {
  var transition = _ref8.theme.transition;
  return transition.default;
});

var GlobalMenuContainer = function GlobalMenuContainer(_ref9) {
  var children = _ref9.children,
      attachToViewport = _ref9.attachToViewport,
      innerStyle = _ref9.innerStyle,
      breakpoint = _ref9.breakpoint,
      menuWidth = _ref9.menuWidth,
      bigMenuWidth = _ref9.bigMenuWidth;
  return _react2.default.createElement(
    'div',
    { style: { position: 'relative' } },
    _react2.default.createElement(
      GlobalMenuDiv,
      {
        attachToViewport: attachToViewport,
        style: innerStyle,
        breakpoint: breakpoint,
        menuWidth: menuWidth,
        bigMenuWidth: bigMenuWidth
      },
      children
    )
  );
};

GlobalMenuContainer.propTypes = {
  children: _propTypes2.default.node
};

GlobalMenuContainer.defaultProps = {
  children: null,
  breakpoint: defaultBreakpoint,
  menuWidth: defaultMenuWidth,
  bigMenuWidth: defaultBigMenuWidth
};

exports.default = GlobalMenuContainer;