'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  margin: 0;\n  padding: 0;\n  div.uxi-menu-item {\n    padding-left: 15px;\n    padding-right:15px;\n    display: inline-block;\n    fontSize: 14px;\n    transition: color 0.5s ease;\n    height: 40px;\n    lineHeight: 40px;\n    cursor: pointer;\n    color: ', ';\n    &:hover {\n      color: ', ';\n    }\n  }\n  div.uxi-menu-item a {\n    text-decoration: none;\n    color: ', ';\n    &:hover {\n      color: ', ';\n    }\n  }\n'], ['\n  margin: 0;\n  padding: 0;\n  div.uxi-menu-item {\n    padding-left: 15px;\n    padding-right:15px;\n    display: inline-block;\n    fontSize: 14px;\n    transition: color 0.5s ease;\n    height: 40px;\n    lineHeight: 40px;\n    cursor: pointer;\n    color: ', ';\n    &:hover {\n      color: ', ';\n    }\n  }\n  div.uxi-menu-item a {\n    text-decoration: none;\n    color: ', ';\n    &:hover {\n      color: ', ';\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _ThemeComponent2 = require('../Base/ThemeComponent');

var _ThemeComponent3 = _interopRequireDefault(_ThemeComponent2);

var _HorizontalMenu = require('./HorizontalMenu.style');

var _HorizontalMenu2 = _interopRequireDefault(_HorizontalMenu);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Root = _styledComponents2.default.div(_templateObject, function (props) {
  return props.menuColor;
}, function (props) {
  return props.menuColorHover;
}, function (props) {
  return props.menuColor;
}, function (props) {
  return props.menuColorHover;
});

var HorizontalMenu = function (_ThemeComponent) {
  _inherits(HorizontalMenu, _ThemeComponent);

  function HorizontalMenu() {
    _classCallCheck(this, HorizontalMenu);

    return _possibleConstructorReturn(this, (HorizontalMenu.__proto__ || Object.getPrototypeOf(HorizontalMenu)).apply(this, arguments));
  }

  _createClass(HorizontalMenu, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          children = _props.children,
          isMain = _props.isMain;

      var globalHeaderMergedStyle = this.getStyle('HorizontalMenu', _HorizontalMenu2.default.root);
      var isDark = this.isDarkThemeFromTheme();

      var menuItems = _react2.default.Children.map(children, function (child, menuNumber) {
        if (_react2.default.isValidElement(child)) {
          return _react2.default.cloneElement(child, {
            fromParentStyle: {
              height: isMain ? _this2.context.uxiTheme.dimensions.mainHeaderHeight : '40px',
              lineHeight: isMain ? _this2.context.uxiTheme.dimensions.mainHeaderHeight : '40px'
            },
            key: 'menuItem-' + menuNumber
          });
        }
        return child;
      });

      return _react2.default.createElement(
        Root,
        {
          className: 'uxi-horizontal-menu',
          style: globalHeaderMergedStyle,
          menuColor: isDark ? this.context.uxiTheme.link.linkOnBgDark.color : this.context.uxiTheme.link.linkOnBgLight.color,
          menuColorHover: isDark ? this.context.uxiTheme.link.linkOnBgDarktHover.color : this.context.uxiTheme.link.linkOnBgLightHover.color
        },
        menuItems
      );
    }
  }]);

  return HorizontalMenu;
}(_ThemeComponent3.default);

exports.default = HorizontalMenu;