'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  width: ', ';\n  max-width: ', ';\n  position: relative;\n  display: flex;\n\n  & *:not(ul) {\n    border-radius: 0 !important;\n  }\n  & > * {\n    width: 100%;\n  }\n\n  &:not(:hover) {\n    z-index: 100;\n  }\n\n  /** handle variance between links and buttons */\n  button.MlMenuItem-interactive-elem {\n    ', ';\n    background: white;\n    text-align: left;\n    max-width: ', ';\n    width: ', ';\n    padding: 8px;\n  }\n  a.MlMenuItem-interactive-elem {\n    width: 100%;\n    display: inline-block;\n    background: white;\n  }\n\n  & .MlMenuItem-interactive-elem {\n    font-size: 14px;\n    line-height: 1.3;\n    display: flex;\n    align-items: center;\n    padding: 8px;\n    text-decoration: none;\n    &:focus, &:hover {\n      ', ';\n      color: ', ';\n      background-color: ', ';\n      text-decoration: none;\n    }\n    & > div > svg {\n      margin-right: 6px;\n    }\n\n    &, &:hover, &focus  {\n      ', ';\n    }\n  }\n\n\n\n  &, & .MlMenuItem-interactive-elem {\n    border-radius: 0;\n  }\n\n  &:first-child, &:first-child > .MlMenuItem-interactive-elem,\n  &:first-child, &:first-child > div > div > div > .MlMenuItem-interactive-elem {\n    border-radius: ', ' !important;\n  }\n\n  &:last-child, &:last-child > .MlMenuItem-interactive-elem,\n  &:last-child, &:last-child > div > div > div > .MlMenuItem-interactive-elem {\n    border-radius: ', ' !important;\n  }\n\n  &:first-child:last-child, &:first-child:last-child > .MlMenuItem-interactive-elem,\n  &:first-child:last-child, &:first-child:last-child > div > div > div > .MlMenuItem-interactive-elem {\n    border-radius: ', ' !important;\n  }\n\n'], ['\n  width: ', ';\n  max-width: ', ';\n  position: relative;\n  display: flex;\n\n  & *:not(ul) {\n    border-radius: 0 !important;\n  }\n  & > * {\n    width: 100%;\n  }\n\n  &:not(:hover) {\n    z-index: 100;\n  }\n\n  /** handle variance between links and buttons */\n  button.MlMenuItem-interactive-elem {\n    ', ';\n    background: white;\n    text-align: left;\n    max-width: ', ';\n    width: ', ';\n    padding: 8px;\n  }\n  a.MlMenuItem-interactive-elem {\n    width: 100%;\n    display: inline-block;\n    background: white;\n  }\n\n  & .MlMenuItem-interactive-elem {\n    font-size: 14px;\n    line-height: 1.3;\n    display: flex;\n    align-items: center;\n    padding: 8px;\n    text-decoration: none;\n    &:focus, &:hover {\n      ', ';\n      color: ', ';\n      background-color: ', ';\n      text-decoration: none;\n    }\n    & > div > svg {\n      margin-right: 6px;\n    }\n\n    &, &:hover, &focus  {\n      ', ';\n    }\n  }\n\n\n\n  &, & .MlMenuItem-interactive-elem {\n    border-radius: 0;\n  }\n\n  &:first-child, &:first-child > .MlMenuItem-interactive-elem,\n  &:first-child, &:first-child > div > div > div > .MlMenuItem-interactive-elem {\n    border-radius: ', ' !important;\n  }\n\n  &:last-child, &:last-child > .MlMenuItem-interactive-elem,\n  &:last-child, &:last-child > div > div > div > .MlMenuItem-interactive-elem {\n    border-radius: ', ' !important;\n  }\n\n  &:first-child:last-child, &:first-child:last-child > .MlMenuItem-interactive-elem,\n  &:first-child:last-child, &:first-child:last-child > div > div > div > .MlMenuItem-interactive-elem {\n    border-radius: ', ' !important;\n  }\n\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n          pointer-events: none;\n          color: \'grey\';\n          background-color: \'#cecece\';\n        '], ['\n          pointer-events: none;\n          color: \'grey\';\n          background-color: \'#cecece\';\n        ']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _UnstyledButton = require('../../Button/UnstyledButton1');

var _MlMenuSeparator = require('./MlMenuSeparator');

var _MlMenuSeparator2 = _interopRequireDefault(_MlMenuSeparator);

var _buttonResetStyles = require('../../Button/buttonResetStyles');

var _MlMenu = require('./MlMenu');

var _MlMenu2 = _interopRequireDefault(_MlMenu);

var _TextEllipsis = require('../../Text/TextEllipsis');

var _TextEllipsis2 = _interopRequireDefault(_TextEllipsis);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
var MlMenuItemUI = _styledComponents2.default.li(_templateObject, function (_ref) {
  var isFullWidth = _ref.isFullWidth;
  return isFullWidth ? '100%' : 'var(--itemWidth)';
}, function (_ref2) {
  var isFullWidth = _ref2.isFullWidth;
  return isFullWidth ? '100%' : 'var(--itemWidth)';
}, _buttonResetStyles.buttonResetStylesCSSString, function (_ref3) {
  var isFullWidth = _ref3.isFullWidth;
  return isFullWidth ? '100%' : 'var(--itemWidth)';
}, function (_ref4) {
  var isFullWidth = _ref4.isFullWidth;
  return isFullWidth ? '100%' : 'var(--itemWidth)';
}, function (_ref5) {
  var disabled = _ref5.disabled,
      theme = _ref5.theme;
  return !disabled ? 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline : '';
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.focusHighlightText;
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.focusHighlight;
}, function (_ref8) {
  var disabled = _ref8.disabled;
  return disabled ? (0, _styledComponents.css)(_templateObject2) : '';
}, function (_ref9) {
  var radius = _ref9.theme.radius;
  return radius + ' ' + radius + ' 0 0';
}, function (_ref10) {
  var radius = _ref10.theme.radius;
  return '0 0 ' + radius + ' ' + radius;
}, function (_ref11) {
  var radius = _ref11.theme.radius;
  return radius;
});
/* eslint-enable indent */

var MlMenuItem = function MlMenuItem(props) {
  var disabled = props.disabled,
      label = props.label,
      icon = props.icon,
      _props$onClick = props.onClick,
      onClick = _props$onClick === undefined ? function () {} : _props$onClick,
      children = props.children,
      type = props.type,
      Link = props.Link,
      to = props.to,
      href = props.href,
      target = props.target,
      isFullWidth = props.isFullWidth,
      onSelfClose = props.onSelfClose;


  var finalIcon = _react2.default.isValidElement(icon) ? _react2.default.cloneElement(icon, { size: 16, paddingRight: '4px' }) : null;

  var InteractiveComp = Link && to ? Link : _UnstyledButton.UnstyledButton;

  var interactiveCompProp = {
    onClick: onClick,
    to: to,
    href: href,
    target: target
  };

  var hasChildren = children && children.length;

  var isSeparator = type === 'SEPARATOR';

  if (isSeparator) {
    return _react2.default.createElement(_MlMenuSeparator2.default, label ? { label: label } : {});
  }
  return _react2.default.createElement(
    MlMenuItemUI,
    { isFullWidth: isFullWidth, disabled: disabled },
    _react2.default.createElement(
      InteractiveComp,
      _extends({
        isFullWidth: true,
        className: 'MlMenuItem-interactive-elem'
      }, interactiveCompProp),
      finalIcon,
      _react2.default.createElement(
        _TextEllipsis2.default,
        { style: { flexGrow: 999 } },
        label
      ),
      hasChildren ? '▸' : null
    ),
    hasChildren ? _react2.default.createElement(_MlMenu2.default, { menuDescriptor: children, onSelfClose: onSelfClose }) : null
  );
};

exports.default = MlMenuItem;