'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuDropDownItem = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n  ', ';\n  min-width: 180px;\n  max-width: 100vw;\n  justify-content: flex-start;\n  height: ', ';\n  min-height: ', ';\n  max-height: ', ';\n  box-sizing: border-box;\n  padding: 0 8px;\n  &:focus, &:hover {\n    background: #ebebeb;\n  }\n'], ['\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n  ', ';\n  min-width: 180px;\n  max-width: 100vw;\n  justify-content: flex-start;\n  height: ', ';\n  min-height: ', ';\n  max-height: ', ';\n  box-sizing: border-box;\n  padding: 0 8px;\n  &:focus, &:hover {\n    background: #ebebeb;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _buttonResetStyles = require('../../Button/buttonResetStyles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var height = '38px';
var iconSize = '18';

var MenuDropDownItemFlex = _styledComponents2.default.button(_templateObject, _buttonResetStyles.buttonResetStylesCSSString, height, height, height);

/**
 * note: can use AvatarWithNameAndExtra if need be to show a 'submenu icon' on the right
 */
var MenuDropDownItem = exports.MenuDropDownItem = function MenuDropDownItem(_ref) {
  var icon = _ref.icon,
      children = _ref.children,
      extra = _ref.extra,
      onClick = _ref.onClick;

  var content = children;

  if (icon) {
    var sizedIcon = _react2.default.cloneElement(icon, { size: iconSize, style: { marginRight: '8px' } });
    content = [sizedIcon, children];
  }

  return _react2.default.createElement(
    MenuDropDownItemFlex,
    {
      onClick: onClick
    },
    content,
    _react2.default.createElement(
      'div',
      { style: { marginLeft: 'auto' } },
      extra
    )
  );
};

exports.default = MenuDropDownItem;