'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ThemeComponent2 = require('../Base/ThemeComponent');

var _ThemeComponent3 = _interopRequireDefault(_ThemeComponent2);

var _MenuItem = require('./MenuItem.style');

var _MenuItem2 = _interopRequireDefault(_MenuItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MenuItem = function (_ThemeComponent) {
  _inherits(MenuItem, _ThemeComponent);

  function MenuItem() {
    _classCallCheck(this, MenuItem);

    return _possibleConstructorReturn(this, (MenuItem.__proto__ || Object.getPrototypeOf(MenuItem)).apply(this, arguments));
  }

  _createClass(MenuItem, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          onClick = _props.onClick,
          isActive = _props.isActive,
          icon = _props.icon;

      var mainItemMergedStyle = this.getStyle('MenuItem', _MenuItem2.default.root);
      var className = isActive ? 'uxi-menu-item uxi-active' : 'uxi-menu-item';
      var iconExtra = {
        marginRight: '10px',
        padding: '5px'
      };

      var iconContent = _react2.default.createElement(
        'div',
        { style: _extends({ width: '24px' }, iconExtra) },
        icon
      );

      if (!icon) {
        return _react2.default.createElement(
          'div',
          {
            role: 'listitem',
            className: className,
            style: mainItemMergedStyle,
            onClick: onClick
          },
          children
        );
      }

      return _react2.default.createElement(
        'div',
        _extends({}, this.props, {
          role: 'listitem',
          className: className,
          style: mainItemMergedStyle,
          onClick: onClick
        }),
        _react2.default.createElement(
          'div',
          { style: { display: 'flex' } },
          iconContent,
          _react2.default.createElement(
            'div',
            { style: { flex: 1 } },
            children
          )
        )
      );
    }
  }]);

  return MenuItem;
}(_ThemeComponent3.default);

MenuItem.defaultProps = {
  onClick: function onClick() {}
};
exports.default = MenuItem;