'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GlobalMenuItemBase = exports.buttonReset = exports.defaults = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  box-sizing: border-box;\n  width: 100%;\n  border: none;\n  background: transparent;\n  border-radius: 0;\n  font: inherit;\n'], ['\n  box-sizing: border-box;\n  width: 100%;\n  border: none;\n  background: transparent;\n  border-radius: 0;\n  font: inherit;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  & { outline: none; }\n  z-index: 99;\n  position: relative;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 100%;\n  box-sizing: border-box;\n  cursor: pointer;\n  margin: 0 auto;\n  padding: 16px 0;\n  &:hover, &:focus {\n    transition: inherit;\n  }\n\n  @media (min-width: ', ') {\n    justify-content: start;\n    padding: ', ';\n    padding: 16px 24px;\n  }\n\n'], ['\n  & { outline: none; }\n  z-index: 99;\n  position: relative;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 100%;\n  box-sizing: border-box;\n  cursor: pointer;\n  margin: 0 auto;\n  padding: 16px 0;\n  &:hover, &:focus {\n    transition: inherit;\n  }\n\n  @media (min-width: ', ') {\n    justify-content: start;\n    padding: ', ';\n    padding: 16px 24px;\n  }\n\n']);

var _styledComponents = require('styled-components');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var defaults = exports.defaults = {
  menuWidth: '68px',
  bigMenuWidth: '216px',
  borderThickness: '4px',
  breakpoint: '960px'
};

var buttonReset = exports.buttonReset = (0, _styledComponents.css)(_templateObject);

var GlobalMenuItemBase = exports.GlobalMenuItemBase = (0, _styledComponents.css)(_templateObject2, function (_ref) {
  var breakpoint = _ref.breakpoint;
  return breakpoint || defaults.breakpoint;
}, '16px 0 16px ' + defaults.borderThickness);

exports.default = defaults;