'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  box-shadow: none;\n  outline: none;\n  display: flex;\n  box-sizing: border-box;\n  /* &:focus-within {\n  }\n  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n    box-shadow: ', ';\n    outline: ', ';\n    button, a { outline: none }\n  } */\n\n  border-radius: ', ';\n  & > div {\n    border-radius: ', ';\n  }\n\n  /* let the ripple effect overflow the component on mobile for better ux\n    since on mobile you\'r thunm or finger will be hiddingthe animation\n\n    no this was a mistake\n  */\n  & > div {\n    overflow: hidden;\n  }\n  & {\n    transition: ', ';\n  }\n  &:not(:hover) {\n    &:focus-within {\n      box-shadow: ', ';\n      outline: ', ';\n    }\n  }\n  @media screen and (min-width: 1024px) {\n    /* & > div {\n      overflow: hidden;\n    } */\n    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n      box-shadow: ', ';\n      outline: ', ';\n      button, a { outline: none }\n    }\n  }\n'], ['\n  box-shadow: none;\n  outline: none;\n  display: flex;\n  box-sizing: border-box;\n  /* &:focus-within {\n  }\n  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n    box-shadow: ', ';\n    outline: ', ';\n    button, a { outline: none }\n  } */\n\n  border-radius: ', ';\n  & > div {\n    border-radius: ', ';\n  }\n\n  /* let the ripple effect overflow the component on mobile for better ux\n    since on mobile you\'r thunm or finger will be hiddingthe animation\n\n    no this was a mistake\n  */\n  & > div {\n    overflow: hidden;\n  }\n  & {\n    transition: ', ';\n  }\n  &:not(:hover) {\n    &:focus-within {\n      box-shadow: ', ';\n      outline: ', ';\n    }\n  }\n  @media screen and (min-width: 1024px) {\n    /* & > div {\n      overflow: hidden;\n    } */\n    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n      box-shadow: ', ';\n      outline: ', ';\n      button, a { outline: none }\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents2.default.div(_templateObject, function (_ref) {
  var focusWithin = _ref.focusWithin,
      outlineShadow = _ref.theme.outlineShadow;
  return focusWithin && outlineShadow;
}, function (_ref2) {
  var focusWithin = _ref2.focusWithin,
      outline = _ref2.theme.outline;
  return focusWithin && outline;
}, function (_ref3) {
  var radius = _ref3.theme.radius;
  return radius;
}, function (_ref4) {
  var radius = _ref4.theme.radius;
  return radius;
}, function (_ref5) {
  var transition = _ref5.theme.transition;
  return transition.defaultAll;
}, function (_ref6) {
  var outlineShadow = _ref6.theme.outlineShadow;
  return outlineShadow;
}, function (_ref7) {
  var outline = _ref7.theme.outline;
  return outline;
}, function (_ref8) {
  var focusWithin = _ref8.focusWithin,
      outlineShadow = _ref8.theme.outlineShadow;
  return focusWithin && outlineShadow;
}, function (_ref9) {
  var focusWithin = _ref9.focusWithin,
      outline = _ref9.theme.outline;
  return focusWithin && outline;
});

var rippleStyle = {
  position: 'absolute',
  borderRadius: '50%',
  opacity: 0,
  width: 35,
  height: 35,
  transform: 'translate(-50%, -50%)',
  pointerEvents: 'none'
};

var wrapStyle = {
  position: 'relative',
  display: 'inline-block'
  // overflow: 'hidden', // move decision to parent compo to have media queries
};

var Ripples = function (_Component) {
  _inherits(Ripples, _Component);

  function Ripples() {
    var _ref10;

    var _temp, _this, _ret;

    _classCallCheck(this, Ripples);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref10 = Ripples.__proto__ || Object.getPrototypeOf(Ripples)).call.apply(_ref10, [this].concat(args))), _this), _this.state = {
      rippleStyle: {},
      focusWithin: false
    }, _this.componentDidMount = function () {
      _this.update();
    }, _this.componentDidUpdate = function () {
      _this.update();
    }, _this.update = function () {
      if (_this.ref) {
        var focusWithin = _this.ref.contains(document.activeElement);
        if (focusWithin !== _this.state.focusWithin) {
          _this.setState({
            focusWithin: focusWithin
          });
        }
      }
    }, _this.storeRef = function (node) {
      _this.ref = node;
    }, _this.handleClick = function (ev) {
      var disabled = _this.props.disabled;

      if (disabled) return false;
      // ev.stopPropagation();
      var _this$props = _this.props,
          onClick = _this$props.onClick,
          color = _this$props.color,
          during = _this$props.during;
      var pageX = ev.pageX,
          clientY = ev.clientY,
          _ev$currentTarget = ev.currentTarget,
          offsetWidth = _ev$currentTarget.offsetWidth,
          offsetHeight = _ev$currentTarget.offsetHeight,
          currentTarget = ev.currentTarget;

      var _currentTarget$getBou = currentTarget.getBoundingClientRect(),
          top = _currentTarget$getBou.top,
          left = _currentTarget$getBou.left;

      var rippleLeft = pageX ? pageX - left : '50%';
      var rippleTop = clientY ? clientY - top : '50%';

      _this.setState({
        rippleStyle: {
          top: rippleTop,
          left: rippleLeft,
          opacity: 1,
          backgroundColor: color
        }
      });

      var cbHandler = window.requestAnimationFrame ? window.requestAnimationFrame : window.setTimeout;

      // setTimeout(() => {
      cbHandler(function () {
        var size = Math.max(offsetWidth, offsetHeight);

        if (_this && _this.setState) {
          _this.setState({
            rippleStyle: {
              top: rippleTop,
              left: rippleLeft,
              backgroundColor: color,
              transition: 'all ' + during + 'ms',
              transform: rippleStyle.transform + ' scale(' + size / 9 + ')',
              opacity: 0
            }
          });
        }
      }, 8);

      if (typeof onClick === 'function') {
        onClick(ev);
      }
      return undefined;
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Ripples, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          style = _props.style,
          during = _props.during,
          props = _objectWithoutProperties(_props, ['children', 'style', 'during']);

      var state = this.state,
          handleClick = this.handleClick;
      var focusWithin = this.state.focusWithin;


      var s = _extends({}, wrapStyle, style);

      return _react2.default.createElement(
        Wrapper,
        _extends({}, props, {
          style: style,
          onClick: handleClick,
          focusWithin: focusWithin,
          onFocus: this.update,
          onBlur: this.update,
          'data-ripple-wrapper': true
        }),
        _react2.default.createElement(
          'div',
          _extends({}, props, { style: s, ref: this.storeRef, 'data-ripple-main': true }),
          _react2.default.createElement('s', { style: _extends({}, rippleStyle, state.rippleStyle) }),
          children
        )
      );
    }
  }]);

  return Ripples;
}(_react.Component);

Ripples.propTypes = {
  during: _propTypes2.default.number,
  color: _propTypes2.default.string,
  onClick: _propTypes2.default.func,
  children: _propTypes2.default.node,
  style: _propTypes2.default.object
};
Ripples.defaultProps = {
  during: 600,
  color: 'rgba(0, 0, 0, .3)',
  onClick: function onClick() {},
  children: null,
  style: {}
};
exports.default = Ripples;