'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Layout = require('../Layout');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LightPanel = function LightPanel(_ref) {
  var children = _ref.children,
      style = _ref.style,
      onClose = _ref.onClose;
  return _react2.default.createElement(
    _Layout.AppLayout,
    { style: _extends({ background: 'white' }, style) },

    /* Pass LightPanel's onClose to its children */
    _react2.default.Children.map(children, function (child) {
      return _react2.default.cloneElement(child, _extends({ onClose: onClose }, child.props) // allow user overwrite
      );
    })
  );
};

LightPanel.displayName = 'LightPanel';

exports.default = LightPanel;