'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  box-sizing: border-box;\n  /* background-color: ', '; */\n  padding: 8px 16px;\n  color: ', ';\n  display: flex;\n  align-items: center;\n  font-weight: bold;\n  min-height: 32px;\n  border-bottom: 1px solid ', ';\n'], ['\n  box-sizing: border-box;\n  /* background-color: ', '; */\n  padding: 8px 16px;\n  color: ', ';\n  display: flex;\n  align-items: center;\n  font-weight: bold;\n  min-height: 32px;\n  border-bottom: 1px solid ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  margin-left: auto;\n  cursor: pointer;\n  font-size: normal;\n  font-weight: normal;\n'], ['\n  margin-left: auto;\n  cursor: pointer;\n  font-size: normal;\n  font-weight: normal;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Icons = require('../Icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var LightPanelHeaderUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.accent.main;
}, function (_ref2) {
  var palette = _ref2.theme.palette;
  return palette.black;
}, function (_ref3) {
  var palette = _ref3.theme.palette;
  return palette.lightGrey;
});

var CloseWrapperUI = _styledComponents2.default.div(_templateObject2);

var LightPanelHeader = function LightPanelHeader(props) {
  var title = props.title,
      hasClose = props.hasClose,
      onClose = props.onClose,
      style = props.style,
      closeLabel = props.closeLabel;


  var close = hasClose || closeLabel ? _react2.default.createElement(
    CloseWrapperUI,
    { tabindex: '0', onClick: onClose },
    closeLabel || _react2.default.createElement(_Icons.Close, { size: '14px', color: '#d7d7d7', hoverColor: '#fff' })
  ) : null;

  return _react2.default.createElement(
    LightPanelHeaderUI,
    { style: style },
    title,
    close
  );
};

LightPanelHeader.displayName = 'LightPanelHeader';

exports.default = LightPanelHeader;