'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ThemeComponent2 = require('../Base/ThemeComponent');

var _ThemeComponent3 = _interopRequireDefault(_ThemeComponent2);

var _Theme = require('../Theme');

var _Icons = require('../Icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SlidePanelHeaderStyle = {
  root: {
    padding: '15px',
    background: _Theme.palette.primary.dark,
    color: '#fff',
    display: 'flex'
  },
  title: {
    flex: 1
  },
  close: {
    cursor: 'pointer'
  }
};

var SlidePanelHeader = function (_ThemeComponent) {
  _inherits(SlidePanelHeader, _ThemeComponent);

  function SlidePanelHeader() {
    _classCallCheck(this, SlidePanelHeader);

    return _possibleConstructorReturn(this, (SlidePanelHeader.__proto__ || Object.getPrototypeOf(SlidePanelHeader)).apply(this, arguments));
  }

  _createClass(SlidePanelHeader, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          title = _props.title,
          hasClose = _props.hasClose,
          onClose = _props.onClose;

      var mainMergedStyle = this.getStyle('SlidePanelHeader', SlidePanelHeaderStyle.root);
      return _react2.default.createElement(
        'div',
        { style: mainMergedStyle },
        _react2.default.createElement(
          'div',
          { style: SlidePanelHeaderStyle.title },
          title
        ),
        hasClose && _react2.default.createElement(
          'div',
          { onClick: onClose, style: SlidePanelHeaderStyle.close },
          _react2.default.createElement(_Icons.Close, { size: '14px', color: '#ccc', hoverColor: '#fff' })
        )
      );
    }
  }]);

  return SlidePanelHeader;
}(_ThemeComponent3.default);

SlidePanelHeader.defaultProps = {
  hasClose: true
};

exports.default = SlidePanelHeader;