'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Checkbox = require('../Input/Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _TableHeaderColumn = require('./TableHeaderColumn');

var _TableHeaderColumn2 = _interopRequireDefault(_TableHeaderColumn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TableHeaderCheckedAllCell = function TableHeaderCheckedAllCell(_ref) {
  var onCheckAll = _ref.onCheckAll,
      allRowsSelected = _ref.allRowsSelected,
      rowNumber = _ref.rowNumber,
      dataKey = _ref.dataKey;

  var checkbox = _react2.default.createElement(_Checkbox2.default, {
    key: 'selectallcb',
    name: 'selectallcb',
    checked: allRowsSelected,
    onChange: onCheckAll,
    style: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      width: '34px',
      margin: '0 auto'
    }
  });
  // table header is a single element, rowNumber dosen't make any sense here, does it ?

  return _react2.default.createElement(
    _TableHeaderColumn2.default,
    {
      key: dataKey || 'hpcb' + rowNumber,
      noPadding: true,
      style: {
        width: '42px',
        maxWidth: '42px',
        paddingLeft: '8px',
        paddingRight: '8px'
        // textAlign: 'left',
        // display: 'flex',
        // justifyContent: 'center',
        // alignItems: 'center',
      }
    },
    checkbox
  );
};

exports.default = TableHeaderCheckedAllCell;