'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _TableHeaderColumn = require('./TableHeaderColumn');

var _TableHeaderColumn2 = _interopRequireDefault(_TableHeaderColumn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TableHeaderCheckedPlaceholderCell = function TableHeaderCheckedPlaceholderCell(_ref) {
  var enableSelectAll = _ref.enableSelectAll,
      rowNumber = _ref.rowNumber;
  return _react2.default.createElement(_TableHeaderColumn2.default, {
    key: 'hpcb' + rowNumber,
    style: {
      cursor: !enableSelectAll ? 'not-allowed' : 'inherit',
      width: '42px',
      paddingLeft: '8px',
      paddingRight: '8px',
      justifyContent: 'center',
      alignItems: 'center'
    }
  });
};

exports.default = TableHeaderCheckedPlaceholderCell;