'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  border-bottom: ', ';\n  cursor: ', ';\n  color: rgba(0, 0, 0, 0.870588);\n  height: ', ';\n  background-color: ', ';\n  opacity: ', ';\n  transition:box-shadow .127s linear;\n  .actionMenuInTableRowColumn {\n    display:none;\n  }\n  &:hover .actionMenuInTableRowColumn {\n    display: block;\n  }\n  &:hover {\n    box-shadow: ', ';\n    ', ';\n  }\n  .sortingGrid svg {\n    display: ', ';\n  }\n'], ['\n  border-bottom: ', ';\n  cursor: ', ';\n  color: rgba(0, 0, 0, 0.870588);\n  height: ', ';\n  background-color: ', ';\n  opacity: ', ';\n  transition:box-shadow .127s linear;\n  .actionMenuInTableRowColumn {\n    display:none;\n  }\n  &:hover .actionMenuInTableRowColumn {\n    display: block;\n  }\n  &:hover {\n    box-shadow: ', ';\n    ', ';\n  }\n  .sortingGrid svg {\n    display: ', ';\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _colorManipulator = require('../Theme/colorManipulator');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
/* eslint-disable no-nested-ternary */
var Tr = _styledComponents2.default.tr(_templateObject, function (_ref) {
  var noBorder = _ref.noBorder;
  return noBorder ? 'none' : '1px solid rgb(224, 224, 224)';
}, function (_ref2) {
  var activable = _ref2.activable;
  return activable ? 'pointer' : '';
}, function (_ref3) {
  var condensed = _ref3.condensed;
  return condensed ? 'auto' : '48px';
}, function (_ref4) {
  var readOnly = _ref4.readOnly,
      hasAction = _ref4.hasAction,
      activable = _ref4.activable,
      isActive = _ref4.isActive,
      theme = _ref4.theme,
      sperateRows = _ref4.sperateRows,
      rowNumber = _ref4.rowNumber;

  if (activable && isActive) {
    return (0, _colorManipulator.lighten)(theme.palette.accent.light, 0.8);
  }
  if (sperateRows && rowNumber % 2 === 0) {
    return '#f4f4f4';
  }
  if (hasAction) {
    return 'inherit';
  }
  return readOnly ? '#f6f6f6' : '#fff';
}, function (_ref5) {
  var readOnly = _ref5.readOnly;
  return readOnly ? 0.6 : 1;
}, function (_ref6) {
  var hasAction = _ref6.hasAction;
  return hasAction ? '0px 2px 8px 0px rgba(0,0,0,.15)' : 'none';
}, function (_ref7) {
  var readOnly = _ref7.readOnly,
      hasAction = _ref7.hasAction,
      isTableHeader = _ref7.isTableHeader,
      locked = _ref7.locked,
      theme = _ref7.theme;

  if (hasAction) {
    return '';
  }
  return isTableHeader ? locked ? 'background-color: : #f6f6f6' : 'transparent' : readOnly ? 'background-color: : #f6f6f6' : 'background-color: ' + (0, _colorManipulator.lighten)(theme.palette.accent.light, 0.93);
}, function (_ref8) {
  var hideSvg = _ref8.hideSvg;
  return hideSvg ? 'none' : 'block';
});

var TableRow = function (_Component) {
  _inherits(TableRow, _Component);

  function TableRow(props) {
    _classCallCheck(this, TableRow);

    var _this = _possibleConstructorReturn(this, (TableRow.__proto__ || Object.getPrototypeOf(TableRow)).call(this, props));

    _this.handleClick = _this.handleClick.bind(_this);
    return _this;
  }

  _createClass(TableRow, [{
    key: 'handleClick',
    value: function handleClick(event) {
      var _props = this.props,
          onClick = _props.onClick,
          rowNumber = _props.rowNumber;

      if (onClick) {
        onClick(event, rowNumber);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props2 = this.props,
          className = _props2.className,
          displayBorder = _props2.displayBorder,
          rowNumber = _props2.rowNumber,
          other = _objectWithoutProperties(_props2, ['className', 'displayBorder', 'rowNumber']);

      var rowColumns = _react2.default.Children.map(this.props.children, function (child, columnNumber) {
        if (_react2.default.isValidElement(child)) {
          return _react2.default.cloneElement(child, {
            columnNumber: columnNumber,
            key: _this2.props.rowNumber + '-' + columnNumber,
            onClick: child.props.onClick
          });
        }
        return undefined;
      });

      var handlers = {
        onClick: this.handleClick
      };

      return _react2.default.createElement(
        Tr,
        _extends({}, other, {
          rowNumber: rowNumber
        }, handlers),
        rowColumns
      );
    }
  }]);

  return TableRow;
}(_react.Component);
/* eslint-disable react/require-default-props */


TableRow.propTypes = {
  children: _propTypes2.default.node,
  displayBorder: _propTypes2.default.bool,
  onCellClick: _propTypes2.default.func,
  onRowClick: _propTypes2.default.func,
  /**
   * Number to identify the row. This property is
   * automatically populated when used with the TableBody component.
   */
  rowNumber: _propTypes2.default.number,
  style: _propTypes2.default.object,
  className: _propTypes2.default.string,
  readOnly: _propTypes2.default.bool,
  readOnlyText: _propTypes2.default.node,
  locked: _propTypes2.default.bool,
  activable: _propTypes2.default.bool,
  isActive: _propTypes2.default.bool
};
/* eslint-enable react/require-default-props */

TableRow.defaultProps = {
  displayBorder: true
};

exports.default = TableRow;