'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };
/**
 * TODO: Some of thos compos still use context or import the theme directly, fix it
 */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _palette = require('../Theme/palette');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  color: _palette.palette.semantic.error
};
var ErrorText = function ErrorText(_ref) {
  var inline = _ref.inline,
      children = _ref.children,
      text = _ref.text,
      style = _ref.style;
  return inline ? _react2.default.createElement(
    'span',
    { style: _extends({}, styles, style) },
    ' ',
    text || children,
    ' '
  ) : _react2.default.createElement(
    'div',
    { style: _extends({}, styles, style) },
    ' ',
    text || children,
    ' '
  );
};

exports.default = ErrorText;