'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Theme = require('../Theme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
/**
 * TODO: Some of thos compos still use context or import the theme directly, fix it
 */


/* eslint-disable react/prefer-stateless-function */
var Text = function (_Component) {
  _inherits(Text, _Component);

  function Text() {
    _classCallCheck(this, Text);

    return _possibleConstructorReturn(this, (Text.__proto__ || Object.getPrototypeOf(Text)).apply(this, arguments));
  }

  _createClass(Text, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$type = _props.type,
          type = _props$type === undefined ? 'body' : _props$type,
          children = _props.children,
          _props$style = _props.style,
          style = _props$style === undefined ? {} : _props$style;

      var typeLowerCase = type.toLowerCase();
      var isDark = this.context.isDarkTheme ? this.context.isDarkTheme() : false;
      var correctStyling = isDark ? _Theme.theme.fontsAndColor.dark[typeLowerCase] : _Theme.theme.fontsAndColor.light[typeLowerCase];
      var defaultStyle = isDark ? _Theme.theme.fontsAndColor.dark.body : _Theme.theme.fontsAndColor.light.body;

      var mergedStyle = Object.assign({}, correctStyling || defaultStyle, style);

      if (type === 'paragraph') {
        return _react2.default.createElement(
          'p',
          { style: mergedStyle },
          children
        );
      }

      return _react2.default.createElement(
        'span',
        { style: mergedStyle },
        children
      );
    }
  }]);

  return Text;
}(_react.Component);

Text.contextTypes = {
  isDarkTheme: _propTypes2.default.func
};
exports.default = Text;