'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }(); // eslint-disable-line


var _templateObject = _taggedTemplateLiteral(['\n  border: 1px solid #ececec;\n  box-sizing: border-box;\n  background: white;\n  ', '\n'], ['\n  border: 1px solid #ececec;\n  box-sizing: border-box;\n  background: white;\n  ', '\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  min-height: 150px;\n  display: flex;\n  flex-direction: column;\n  & > *:first-child {\n    flex-grow: 999;\n  }\n\n  height: ', ';\n  ', ';\n'], ['\n  min-height: 150px;\n  display: flex;\n  flex-direction: column;\n  & > *:first-child {\n    flex-grow: 999;\n  }\n\n  height: ', ';\n  ', ';\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  height: 100%;\n  width: 100%;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n'], ['\n  height: 100%;\n  width: 100%;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  width: 100%;\n  height: 100%;\n  background: rgb(241, 241, 240);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  min-height:80px;\n'], ['\n  width: 100%;\n  height: 100%;\n  background: rgb(241, 241, 240);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  min-height:80px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _WidgetHeader = require('./WidgetHeader');

var _WidgetHeader2 = _interopRequireDefault(_WidgetHeader);

var _Motion = require('../Motion');

var _Flex = require('../Layout/Flex');

var _Flex2 = _interopRequireDefault(_Flex);

var _Icons = require('../Icons');

var _Button = require('../Button');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function useInterval(callback, delay) {
  var savedCallback = (0, _react.useRef)();

  // Remember the latest callback.
  (0, _react.useEffect)(function () {
    savedCallback.current = callback;
  }, [callback]);

  // Set up the interval.
  (0, _react.useEffect)(function () {
    // eslint-disable-line consistent-return
    function tick() {
      savedCallback.current();
    }
    if (delay !== null) {
      var id = setInterval(tick, delay);
      return function () {
        return clearInterval(id);
      };
    }
  }, [delay]);
}

var LoaderText = function LoaderText() {
  var _useState = (0, _react.useState)(0),
      _useState2 = _slicedToArray(_useState, 2),
      count = _useState2[0],
      setCount = _useState2[1];

  useInterval(function () {
    // Your custom logic here
    setCount(count < 3 ? count + 1 : 0);
  }, 256);

  var dots = [].concat(_toConsumableArray(new Array(count))).map(function () {
    return '.';
  }).join('');

  return _react2.default.createElement(
    'small',
    { style: { padding: '8px', boxSizing: 'border-box', textAlign: 'left', width: '104px', color: 'grey' } },
    'Fetching data',
    dots
  );
};

var WidgetWrapper = _styledComponents2.default.div(_templateObject, function (_ref) {
  var isFullScreen = _ref.isFullScreen;
  return isFullScreen ? '\n    z-index: 9999999;\n    position: fixed;\n    top: 0;\n    right: 0;\n    bottom: 0;\n    left: 0;\n    width: 100vw;\n    height: 100vh !important;\n    max-height: \'100vh\',\n    overflowY: \'auto\',\n  ' : '';
});

var WidgetContainer = _styledComponents2.default.div(_templateObject2, function (_ref2) {
  var fixedHeight = _ref2.fixedHeight;
  return fixedHeight ? fixedHeight + 'px' : 'none';
}, function (_ref3) {
  var fixedHeight = _ref3.fixedHeight;
  return fixedHeight ? 'overflow-y: auto' : '';
});

var LoaderWrapper = _styledComponents2.default.div(_templateObject3);

var EmptyWrapper = _styledComponents2.default.div(_templateObject4);

// empty
// SubHeader

var Widget = function (_Component) {
  _inherits(Widget, _Component);

  function Widget(props) {
    _classCallCheck(this, Widget);

    var _this = _possibleConstructorReturn(this, (Widget.__proto__ || Object.getPrototypeOf(Widget)).call(this, props));

    _this.state = {
      isFullScreen: false
    };
    return _this;
  }

  _createClass(Widget, [{
    key: 'createFixedHeightDataGrid',
    value: function createFixedHeightDataGrid(table) {
      var fixedHeight = this.props.fixedHeight;


      return _react2.default.cloneElement(table, {
        fixedHeight: fixedHeight,
        height: fixedHeight
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          children = _props.children,
          title = _props.title,
          isLoading = _props.isLoading,
          isLoadingMore = _props.isLoadingMore,
          menuProp = _props.menu,
          emptyText = _props.emptyText,
          fixedHeight = _props.fixedHeight,
          styleProp = _props.style,
          headerStyles = _props.headerStyles,
          containerStyle = _props.containerStyle,
          allowFullScreen = _props.allowFullScreen,
          renderMenu = _props.renderMenu;
      var isFullScreen = this.state.isFullScreen;


      var menu = menuProp;
      if (!menu && allowFullScreen) {
        menu = _react2.default.createElement(
          _Button.UnstyledButton,
          {
            style: {
              width: '50px',
              height: '50px',
              boxSizing: 'border-box',
              display: 'flex',
              justifyContent: 'center',
              color: 'grey'
            },
            onClick: function onClick() {
              return _this2.setState({ isFullScreen: !isFullScreen });
            }
          },
          isFullScreen ? _react2.default.createElement(_Icons.Close, null) : _react2.default.createElement(_Icons.Fullscreen, null)
        );
      } else if (menu && allowFullScreen) {
        menu = _react2.default.createElement(
          _Flex2.default,
          null,
          menu,
          _react2.default.createElement(
            _Button.UnstyledButton,
            {
              style: {
                width: '50px',
                height: '50px',
                boxSizing: 'border-box',
                display: 'flex',
                justifyContent: 'center',
                color: 'grey'
              },
              onClick: function onClick() {
                return _this2.setState({ isFullScreen: !isFullScreen });
              }
            },
            isFullScreen ? _react2.default.createElement(_Icons.Close, null) : _react2.default.createElement(_Icons.Fullscreen, null)
          )
        );
      } else if (renderMenu) {
        menu = renderMenu({
          isFullScreen: this.state.isFullScreen,
          goFullScreen: function goFullScreen() {
            return _this2.setState({ isFullScreen: true });
          },
          escapeFullScreen: function escapeFullScreen() {
            return _this2.setState({ isFullScreen: false });
          }
        });
      }

      var content = void 0;
      var hasFixedHeight = fixedHeight;

      if (!isLoading && !emptyText && children && hasFixedHeight) {
        _react2.default.Children.forEach(children, function (child) {
          if (!_react2.default.isValidElement(child)) return;

          var componentName = child.type.componentName;

          if (componentName === 'Table') {
            content = _this2.createFixedHeightDataGrid(child);
            hasFixedHeight = false; // reset and pass on to GRID;
          } else if (componentName === 'DataGrid') {
            content = _this2.createFixedHeightDataGrid(child);
            hasFixedHeight = false; // reset and pass on to GRID;
          } else {
            content = children;
          }
        });
      } else {
        content = children;
      }

      if (_react2.default.isValidElement(content)) {
        content = _react2.default.cloneElement(content, { isFullScreen: isFullScreen });
      }

      return _react2.default.createElement(
        WidgetWrapper,
        { style: styleProp, isFullScreen: isFullScreen },
        title && _react2.default.createElement(_WidgetHeader2.default, {
          style: headerStyles,
          title: title,
          isLoading: isLoadingMore,
          menu: menu
        }),
        _react2.default.createElement(
          WidgetContainer,
          {
            fixedHeight: hasFixedHeight ? fixedHeight : '',
            style: containerStyle
          },
          !isLoading && !emptyText && content,
          isLoading && _react2.default.createElement(
            LoaderWrapper,
            null,
            _react2.default.createElement(_Motion.Loader, null),
            _react2.default.createElement(LoaderText, null)
          ),
          !isLoading && emptyText && _react2.default.createElement(
            EmptyWrapper,
            null,
            emptyText
          )
        )
      );
    }
  }]);

  return Widget;
}(_react.Component);

Widget.componentName = 'Widget';
Widget.defaultProps = {
  containerStyle: {},
  children: _react2.default.createElement('div', null)
};
exports.default = Widget;