'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  box-sizing: border-box;\n  border-bottom: 1px solid #ececec;\n  display: flex;\n  height:40px;\n  align-items:center;\n  background-color: ', ';\n'], ['\n  box-sizing: border-box;\n  border-bottom: 1px solid #ececec;\n  display: flex;\n  height:40px;\n  align-items:center;\n  background-color: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  color: #2F2F32;\n  font-weight: 400;\n  font-size: 15px;\n  font-family: \'Fira Sans\', sans-serif;\n  padding-left:12px;\n  padding-right:12px;\n  color: ', ';\n'], ['\n  color: #2F2F32;\n  font-weight: 400;\n  font-size: 15px;\n  font-family: \\\'Fira Sans\\\', sans-serif;\n  padding-left:12px;\n  padding-right:12px;\n  color: ', ';\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  flex:1;\n  height:100%;\n  position:relative;\n  display: flex;\n  align-items:center;\n'], ['\n  flex:1;\n  height:100%;\n  position:relative;\n  display: flex;\n  align-items:center;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  flex:1;\n  display: flex;\n  height:100%;\n  justify-content: flex-end;\n  align-items:center;\n  padding-right:12px;\n'], ['\n  flex:1;\n  display: flex;\n  height:100%;\n  justify-content: flex-end;\n  align-items:center;\n  padding-right:12px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Motion = require('../Motion');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var getTypeColor = function getTypeColor(_ref, type) {
  var palette = _ref.palette;

  if (palette.semantic[type]) {
    return palette.semantic[type];
  }
  if (type === 'primary') {
    return palette.accent.main;
  }
  if (type === 'secondary') {
    return palette.primary.main;
  }
  return 'rgb(241, 241, 240)';
};

var WidgetSubHeaderWrapper = _styledComponents2.default.div(_templateObject, function (_ref2) {
  var theme = _ref2.theme,
      type = _ref2.type;
  return getTypeColor(theme, type);
});

var WidgetHeaderTitle = _styledComponents2.default.div(_templateObject2, function (_ref3) {
  var theme = _ref3.theme,
      type = _ref3.type;
  return type ? '#fff' : theme.palette.darkGrey;
});
var WidgetRest = _styledComponents2.default.div(_templateObject3);

var MenuWrapper = _styledComponents2.default.div(_templateObject4);

var WidgetSubHeader = function WidgetSubHeader(_ref4) {
  var type = _ref4.type,
      title = _ref4.title,
      isLoading = _ref4.isLoading,
      menu = _ref4.menu;
  return _react2.default.createElement(
    WidgetSubHeaderWrapper,
    { type: type },
    _react2.default.createElement(
      WidgetHeaderTitle,
      { type: type },
      title
    ),
    _react2.default.createElement(
      WidgetRest,
      null,
      _react2.default.createElement(
        'div',
        null,
        isLoading && _react2.default.createElement(_Motion.MiniLoader, null)
      ),
      menu && _react2.default.createElement(
        MenuWrapper,
        null,
        menu
      )
    )
  );
};

exports.default = WidgetSubHeader;