'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  visibility: ', '\n  display: ', '\n  z-index: 99;\n  position: absolute;\n  max-height: 0;\n  top: 100%;\n  ', ';\n\n  /**\n    * fix flex scroll bar issue on IE */\n  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n    /* &, & > div,  */& > div > div {\n      /* width: 100%; */\n      ', ';\n    }\n  };\n  ', ';\n\n  ', ';\n  /* width: 100%; */\n  ', ';\n  border-radius: ', ';\n  transition: ', ';\n  transition-duration: ', ';\n  max-height: ', ';\n\n  &, & > div {\n    overflow-x: ', ';\n    overflow-y: ', ';\n  }\n  &, & > div {\n    overflow-x: ', ';\n    overflow-y: ', ';\n  }\n\n  /* TODO shoadow and focus stylesshould be managed by component orchestrating a dropDown2 */\n  &:focus, &:focus-within ', ' {\n    ', ';\n  };\n'], ['\n  visibility: ', '\n  display: ', '\n  z-index: 99;\n  position: absolute;\n  max-height: 0;\n  top: 100%;\n  ', ';\n\n  /**\n    * fix flex scroll bar issue on IE */\n  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {\n    /* &, & > div,  */& > div > div {\n      /* width: 100%; */\n      ', ';\n    }\n  };\n  ', ';\n\n  ', ';\n  /* width: 100%; */\n  ', ';\n  border-radius: ', ';\n  transition: ', ';\n  transition-duration: ', ';\n  max-height: ', ';\n\n  &, & > div {\n    overflow-x: ', ';\n    overflow-y: ', ';\n  }\n  &, & > div {\n    overflow-x: ', ';\n    overflow-y: ', ';\n  }\n\n  /* TODO shoadow and focus stylesshould be managed by component orchestrating a dropDown2 */\n  &:focus, &:focus-within ', ' {\n    ', ';\n  };\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
var BoxWrapperUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var isOpen = _ref.isOpen;
  return isOpen ? 'visible' : 'collapse';
}, function (_ref2) {
  var isOpen = _ref2.isOpen;
  return isOpen ? 'block' : 'none';
}, function (_ref3) {
  var fullWidthContent = _ref3.fullWidthContent;
  return fullWidthContent ? 'width: 100%' : '';
}, function (_ref4) {
  var childrenWith = _ref4.childrenWith;
  return childrenWith ? 'width: ' + childrenWith + ';' : 'width: calc(100% - 24px);' /* 24 px => IE crollBar width */
  ;
}, function (_ref5) {
  var anchor = _ref5.anchor;
  return anchor === 'right' ? 'right: 0' : '';
}, function (_ref6) {
  var anchor = _ref6.anchor;
  return anchor === 'right' // eslint-disable-line no-nested-ternary
  ? 'right: 0' : anchor === 'outterLeft' ? 'left: 100%' : '';
}, function (_ref7) {
  var isFullWidth = _ref7.isFullWidth;
  return isFullWidth && 'width: 100%';
}, function (_ref8) {
  var radius = _ref8.theme.radius;
  return radius;
}, function (_ref9) {
  var transition = _ref9.theme.transition;
  return transition.defaultAll;
}, function (_ref10) {
  var isOpen = _ref10.isOpen,
      transition = _ref10.theme.transition;
  return isOpen ? transition.durationIn : transition.durationOut;
}, function (_ref11) {
  var isOpen = _ref11.isOpen,
      maxHeight = _ref11.maxHeight;
  return isOpen ? maxHeight + 'px' : '0px';
}, function (_ref12) {
  var visibleOverflow = _ref12.visibleOverflow;
  return visibleOverflow ? 'visible' : 'hidden';
}, function (_ref13) {
  var visibleOverflow = _ref13.visibleOverflow;
  return visibleOverflow ? 'visible' : 'hidden';
}, function (_ref14) {
  var visibleOverflow = _ref14.visibleOverflow,
      isOpen = _ref14.isOpen;
  return isOpen // eslint-disable-line no-nested-ternary
  ? visibleOverflow ? 'visible' : 'hidden' : 'hidden';
}, function (_ref15) {
  var visibleOverflow = _ref15.visibleOverflow,
      isOpen = _ref15.isOpen;
  return isOpen // eslint-disable-line no-nested-ternary
  ? visibleOverflow ? 'visible' : 'hidden' : 'hidden';
}, function (_ref16) {
  var isOpen = _ref16.isOpen;
  return isOpen ? ', &' : '';
}, function (_ref17) {
  var theme = _ref17.theme;
  return 'box-shadow: ' + theme.outlineShadow2 + '; outline: ' + theme.outline;
});
/* eslint-enble indent */

var DropDown2 = function (_Component) {
  _inherits(DropDown2, _Component);

  function DropDown2(props) {
    _classCallCheck(this, DropDown2);

    var _this = _possibleConstructorReturn(this, (DropDown2.__proto__ || Object.getPrototypeOf(DropDown2)).call(this, props));

    _this.ref = null;

    _this.isControlled = _this.props.isOpen !== undefined;

    _this.state = {
      isOpen: _this.isControlled ? _this.props.isOpen : false,
      height: 0
    };

    _this.update = _this.update.bind(_this);
    _this.storeRef = _this.storeRef.bind(_this);
    _this.toggleVisibility = _this.toggleVisibility.bind(_this);
    _this.storeWrapperRef = _this.storeWrapperRef.bind(_this);
    return _this;
  }

  _createClass(DropDown2, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.update();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      if (_react2.default.Children.count(this.props.children) !== _react2.default.Children.count(prevProps.childrenProps)) {
        this.update();
      } else if (this.props.children !== prevProps.childrenProps) {
        // this.update();
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.scrollingContextRef = null;

      window.cancelAnimationFrame(this.rafRef);
    }
  }, {
    key: 'toggleVisibility',
    value: function toggleVisibility() {
      if (!this.isControlled) {
        var nextIsOpen = !this.state.isOpen;

        this.setState({ isOpen: nextIsOpen });
      }
    }
  }, {
    key: 'update',
    value: function update() {
      if (this.ref) {
        var newHeight = this.ref.getBoundingClientRect().height;
        if (newHeight !== this.state.height) {
          this.setState({
            height: newHeight
          });
        }

        // this.rafRef = requestAnimationFrame(this.update);
      }
    }
  }, {
    key: 'storeWrapperRef',
    value: function storeWrapperRef(node) {
      this.wrapperRef = node;
      if (this.props.onTriggerWrapperRef) {
        this.props.onTriggerWrapperRef(node);
      }
      this.update();
    }
  }, {
    key: 'storeRef',
    value: function storeRef(node) {
      this.ref = node;
      if (this.props.onChildrenWrapperRef) {
        this.props.onChildrenWrapperRef(node);
      }
      this.update();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          trigger = _props.trigger,
          children = _props.children,
          isFullWidth = _props.isFullWidth,
          anchor = _props.anchor,
          fullWidthContent = _props.fullWidthContent,
          visibleOverflow = _props.visibleOverflow,
          buttonWrapperStyle = _props.buttonWrapperStyle,
          BoxWrapperUIStyle = _props.BoxWrapperUIStyle;
      var height = this.state.height;


      var isOpen = this.isControlled ? this.props.isOpen : this.state.isOpen;

      var _children$props = children.props,
          childrenProps = _children$props === undefined ? {} : _children$props;


      var TriggerWithHandler = _react2.default.cloneElement(trigger, _extends({}, trigger && trigger.props || {}, {
        // 'data-drop-down-trigger': true,
        onClick: function onClick() {
          _this2.toggleVisibility.apply(_this2, arguments);
          if (trigger.props && trigger.props.onClick) {
            var _trigger$props;

            (_trigger$props = trigger.props).onClick.apply(_trigger$props, arguments);
          }
        }
      }));

      return _react2.default.createElement(
        'div',
        {
          style: _extends({
            position: 'relative'
          }, !isFullWidth ? { display: 'inline-block' } : {}, buttonWrapperStyle),
          ref: this.storeWrapperRef
        },
        _react2.default.createElement(
          'span',
          { 'data-drop-down-trigger': true, style: { maxWidth: '100%' } },
          TriggerWithHandler
        ),
        _react2.default.createElement(
          BoxWrapperUI,
          {
            visibleOverflow: visibleOverflow
            // forceShadow={forceShadow}
            , fullWidthContent: fullWidthContent,
            'data-box-wrapper-ui': true,
            onScroll: function onScroll(e) {
              e.stopPropagation();
            },
            anchor: anchor,
            isFullWidth: isFullWidth,
            isOpen: isOpen,
            maxHeight: height,
            childrenWith: childrenProps.style && childrenProps.style.width || null,
            style: BoxWrapperUIStyle
          },
          _react2.default.createElement(
            'div',
            { ref: this.storeRef, 'data-drop-down-content': true },
            _react2.default.Children.only(children)
          )
        )
      );
    }
  }]);

  return DropDown2;
}(_react.Component);

DropDown2.propTypes = {
  isOpen: _propTypes2.default.bool,
  children: _propTypes2.default.element,
  onTriggerWrapperRef: _propTypes2.default.func,
  onChildrenWrapperRef: _propTypes2.default.func,
  trigger: _propTypes2.default.element,
  anchor: _propTypes2.default.oneOf(['left', 'right', 'outterLeft'])
};
DropDown2.defaultProps = {
  isOpen: undefined,
  fullWidthContent: false,
  onTriggerWrapperRef: function onTriggerWrapperRef() {},
  onChildrenWrapperRef: function onChildrenWrapperRef() {},
  trigger: _react2.default.createElement('div', null),
  children: _react2.default.createElement('div', null),
  anchor: 'left',
  BoxWrapperUIStyle: {}
};
exports.default = DropDown2;