'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  width: 100%;\n  position: relative;\n'], ['\n  width: 100%;\n  position: relative;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  ', '\n  transform-origin: center;\n  transform: rotate(0deg);\n  ', ';\n  transition: ', ';\n'], ['\n  ', '\n  transform-origin: center;\n  transform: rotate(0deg);\n  ', ';\n  transition: ', ';\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  display: flex;\n  align-items : center;\n  justify-content: center;\n\n\n  list-style: none;\n  list-style-type: none;\n  &::-webkit-details-marker {\n    display: none;\n  }\n;'], ['\n  display: flex;\n  align-items : center;\n  justify-content: center;\n\n\n  list-style: none;\n  list-style-type: none;\n  &::-webkit-details-marker {\n    display: none;\n  }\n;']),
    _templateObject4 = _taggedTemplateLiteral(['\n  width: 100%;\n  ', ';\n\n  background: white;\n'], ['\n  width: 100%;\n  ', ';\n\n  background: white;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactClickOutside = require('react-click-outside');

var _reactClickOutside2 = _interopRequireDefault(_reactClickOutside);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Icons = require('../Icons');

var _Layout = require('../Layout');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Details = _styledComponents2.default.details.attrs(function (_ref) {
  var onToggle = _ref.onToggle,
      open = _ref.open;
  return {
    onToggle: onToggle,
    open: open
  };
})(_templateObject);

var SummaryIcon = _styledComponents2.default.div(_templateObject2, _Layout.flexCSSString, function (_ref2) {
  var isOpen = _ref2.isOpen;
  return isOpen ? 'transform: rotate(90deg)' : '';
}, function (_ref3) {
  var transition = _ref3.theme.transition;
  return transition.defaultAll;
});

var Summary = _styledComponents2.default.summary(_templateObject3);

var SubContent = _styledComponents2.default.div(_templateObject4, function (_ref4) {
  var inline = _ref4.inline;
  return inline ? '' : 'position: absolute; box-shadow: 0 8px 16px 0 rgba(0,0,0,.1)';
});

var DropDown2 = function (_Component) {
  _inherits(DropDown2, _Component);

  function DropDown2(props) {
    _classCallCheck(this, DropDown2);

    var _this = _possibleConstructorReturn(this, (DropDown2.__proto__ || Object.getPrototypeOf(DropDown2)).call(this, props));

    _this.isControlled = _this.props.isOpen !== undefined;

    _this.state = {
      isOpen: _this.isControlled ? _this.props.isOpen : false
    };

    _this.handleToggle = _this.handleToggle.bind(_this);
    return _this;
  }

  _createClass(DropDown2, [{
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps, prevState) {
      if (prevProps.isOpen !== this.props.isOpen || prevState.isOpen !== this.state.isOpen) {
        var isOpen = this.isControlled ? this.props.isOpen : this.state.isOpen;

        if (this.ref) {
          if (isOpen) {
            this.ref.setAttribute('open', true);
          } else {
            this.ref.removeAttribute('open');
          }
        }
      }
    }
  }, {
    key: 'handleToggle',
    value: function handleToggle() {
      this.setState({
        isOpen: !this.state.isOpen
      });
    }
  }, {
    key: 'handleClickOutside',
    value: function handleClickOutside() {
      var closeOnClickOutside = this.props.closeOnClickOutside;


      if (closeOnClickOutside) {
        this.setState({ isOpen: false });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          isOpenProp = _props.isOpen,
          content = _props.content,
          subContent = _props.subContent,
          inline = _props.inline;


      var isOpen = this.isControlled ? isOpenProp : this.state.isOpen;

      return _react2.default.createElement(
        Details,
        {
          innerRef: function innerRef(node) {
            _this2.ref = node;
          },
          onToggle: function onToggle(_ref5) {
            var _ref5$target = _ref5.target,
                target = _ref5$target === undefined ? {} : _ref5$target;
            return _this2.setState({ isOpen: target.open });
          }
        },
        _react2.default.createElement(
          Summary,
          null,
          _react2.default.createElement(
            SummaryIcon,
            { isOpen: isOpen },
            _react2.default.createElement(_Icons.Arrowright, { size: '12' })
          ),
          content
        ),
        _react2.default.createElement(
          SubContent,
          { inline: inline },
          subContent
        )
      );
    }
  }]);

  return DropDown2;
}(_react.Component);

DropDown2.PropTypes = {
  isOpen: _propTypes2.default.bool
};
DropDown2.defaultProps = {
  isOpen: undefined,
  inline: true,
  closeOnClickOutside: true
};
exports.default = (0, _reactClickOutside2.default)(DropDown2);