'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *
 * a client forms wrap a component in form that is
 * preventd from event reloading the page
 */
var wrapInClientFormHOC = function wrapInClientFormHOC(Component) {
  return function (props) {
    return _react2.default.createElement(
      'form',
      {
        onKeyDown: function onKeyDown(e) {
          if (e.key === 'Enter') {
            e.preventDefault();e.stopPropagation();
          }
        }
        /**
         * TODO: what is this for? is it used? the onSubmit is marked by react as a unrocognized attr.
         */
        , onSumbit: function onSumbit(e) {
          e.preventDefault();e.stopPropagation();
        }
      },
      _react2.default.createElement(Component, props)
    );
  };
};

exports.default = wrapInClientFormHOC;