'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  cursor: pointer;\n  width: 100%;\n  position: relative;\n  display: flex;\n  align-items: left;\n  justify-content: center;\n  border-top-width: 0;\n  border-left-width: 0;\n  border-right-width: 0;\n  border-bottom-width: 5px;\n  border-style: solid;\n  border-color: currentColor;\n  padding: 24px;\n  flex-direction: column;\n  box-sizing: border-box;\n  min-height: 146px;\n'], ['\n  cursor: pointer;\n  width: 100%;\n  position: relative;\n  display: flex;\n  align-items: left;\n  justify-content: center;\n  border-top-width: 0;\n  border-left-width: 0;\n  border-right-width: 0;\n  border-bottom-width: 5px;\n  border-style: solid;\n  border-color: currentColor;\n  padding: 24px;\n  flex-direction: column;\n  box-sizing: border-box;\n  min-height: 146px;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  svg {\n    width: 48px !important;\n    height:48px !important;\n    fill: currentColor\n  }\n'], ['\n  svg {\n    width: 48px !important;\n    height:48px !important;\n    fill: currentColor\n  }\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  color: currentColor;\n  font-weight: 600;\n  font-size: 16px;\n  font-family: \'Open sans\', sans-serif;\n  margin-top: 8px;\n  flex-grow: 99;\n  display: flex;\n  align-items: center;\n'], ['\n  color: currentColor;\n  font-weight: 600;\n  font-size: 16px;\n  font-family: \'Open sans\', sans-serif;\n  margin-top: 8px;\n  flex-grow: 99;\n  display: flex;\n  align-items: center;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Widget = require('../Widget');

var _Widget2 = _interopRequireDefault(_Widget);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// eslint-disable-line import/no-named-as-default
/*
const getTypeColor = ({ palette }, type) => {
  if (palette.semantic[type]) { return palette.semantic[type]; }
  if (type === 'primary') { return palette.accent.main; }
  if (type === 'secondary') { return palette.primary.main; }
  return '#fff';
};

const getLightTypeColor = ({ palette }, type) => {
  if (palette.semantic[type]) { return palette.semantic[type]; }
  if (type === 'primary') { return palette.accent.light; }
  if (type === 'secondary') { return palette.primary.light; }
  return '#fff';
};
 */

var ActionWrapper = _styledComponents2.default.div(_templateObject);

var ActionIconWrapper = _styledComponents2.default.div(_templateObject2);

var ActionDisplayNameWrapper = _styledComponents2.default.div(_templateObject3);

var Action = function Action(_ref) {
  var menuDescriptor = _ref.menuDescriptor,
      style = _ref.style,
      _ref$Link = _ref.Link,
      Link = _ref$Link === undefined ? function () {
    return null;
  } : _ref$Link,
      _ref$to = _ref.to,
      to = _ref$to === undefined ? '#' : _ref$to,
      target = _ref.target;
  return _react2.default.createElement(
    _Widget2.default,
    { containerStyle: { minHeight: '1px' }, style: { border: 'none' } },
    _react2.default.createElement(
      Link,
      { to: to, target: target },
      _react2.default.createElement(
        ActionWrapper,
        {
          onClick: menuDescriptor.onClick,
          style: style
        },
        _react2.default.createElement(
          ActionIconWrapper,
          null,
          menuDescriptor.icon
        ),
        _react2.default.createElement(
          ActionDisplayNameWrapper,
          null,
          menuDescriptor.displayName
        )
      )
    )
  );
};

exports.default = Action;