'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  display: flex;\n  align-items: center;\n  &>*:last-child {\n    pointer-events: none;\n    a {\n      text-decoration: none;\n      color: ', '\n    }\n  }\n'], ['\n  display: flex;\n  align-items: center;\n  &>*:last-child {\n    pointer-events: none;\n    a {\n      text-decoration: none;\n      color: ', '\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _BreadCrumbSeparator = require('./BreadCrumbSeparator');

var _BreadCrumbSeparator2 = _interopRequireDefault(_BreadCrumbSeparator);

var _BreadCrumb = require('./BreadCrumb');

var _BreadCrumb2 = _interopRequireDefault(_BreadCrumb);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var BreadCrumbsUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.darkGrey;
});

var BreadCrumbs = function BreadCrumbs(_ref2) {
  var children = _ref2.children;

  var finalChildren = [];
  var childrenCount = _react2.default.Children.count(children);

  _react2.default.Children.forEach(children, function (child, i) {
    if (i <= childrenCount && i > 0) {
      finalChildren.push(_react2.default.createElement(_BreadCrumbSeparator2.default, null));
    }
    finalChildren.push(_react2.default.createElement(
      _BreadCrumb2.default,
      null,
      child
    ));
  });

  return _react2.default.createElement(
    BreadCrumbsUI,
    null,
    finalChildren
  );
};

BreadCrumbs.displayName = 'BreadCrumbs';

exports.default = BreadCrumbs;