'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FlatButtonBaseMixin = undefined;

var _templateObject = _taggedTemplateLiteral([';\n  background-color: transparent;\n  border-color: transparent;\n  color: ', ';\n\n  /* those next line overwritte the \'.root a\' selector rules from uxi NON-StyledComponent theme/css\n  * TODO: remove the overwrite once the .root a rules doesn\'t interfere anymore */\n  * { color: inherit }\n  svg { fill: ', '}\n\n  &:hover {\n    border-color: transparent;\n    color: ', ';\n    background-color: ', ';\n    * { color: inherit; }\n    svg { fill: ', '\n  }\n\n  &:hover {\n    ', ';\n    ', ';\n    svg {\n      ', ';\n    }\n  }\n  svg {\n    ', ';\n  }\n}\n'], [';\n  background-color: transparent;\n  border-color: transparent;\n  color: ', ';\n\n  /* those next line overwritte the \'.root a\' selector rules from uxi NON-StyledComponent theme/css\n  * TODO: remove the overwrite once the .root a rules doesn\'t interfere anymore */\n  * { color: inherit }\n  svg { fill: ', '}\n\n  &:hover {\n    border-color: transparent;\n    color: ', ';\n    background-color: ', ';\n    * { color: inherit; }\n    svg { fill: ', '\n  }\n\n  &:hover {\n    ', ';\n    ', ';\n    svg {\n      ', ';\n    }\n  }\n  svg {\n    ', ';\n  }\n}\n']);

var _styledComponents = require('styled-components');

var _utils = require('./utils');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
var FlatButtonBaseMixin = exports.FlatButtonBaseMixin = (0, _styledComponents.css)(_templateObject, function (_ref) {
  var theme = _ref.theme,
      type = _ref.type,
      disabled = _ref.disabled;
  return (
    // eslint-disable-next-line no-nested-ternary
    disabled ? theme.palette.grey : type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey
  );
}, function (_ref2) {
  var theme = _ref2.theme,
      type = _ref2.type,
      disabled = _ref2.disabled;
  return (
    // eslint-disable-next-line no-nested-ternary
    disabled ? theme.palette.grey : type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey
  );
}, function () {
  return '#ffffff';
}, function (_ref3) {
  var type = _ref3.type,
      theme = _ref3.theme;
  return type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.grey;
}, function (_ref4) {
  var type = _ref4.type;
  return type ? '#ffffff' : '#ffffff';
}, function (_ref5) {
  var disabled = _ref5.disabled,
      palette = _ref5.theme.palette;
  return disabled ? 'background-color: transparent; color: ' + palette.grey : '';
}, function (_ref6) {
  var disabled = _ref6.disabled;
  return disabled ? 'border-color: transparent;' : '';
}, function (_ref7) {
  var disabled = _ref7.disabled,
      palette = _ref7.theme.palette;
  return disabled ? 'fill: ' + palette.grey : '';
}, function (_ref8) {
  var disabled = _ref8.disabled,
      palette = _ref8.theme.palette;
  return disabled ? 'fill: ' + palette.grey : '';
});

exports.default = FlatButtonBaseMixin;