'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OutlineButtonBaseMixin = undefined;

var _templateObject = _taggedTemplateLiteral([';\n  background-color: transparent;\n  color: ', ';\n  border-color: ', ';\n  & {\n    color: ', ';\n  }\n\n  /* those next line overwritte the \'.root a\' selector rules from uxi NON-StyledComponent theme/css\n  * TODO: remove the overwrite once the .root a rules doesn\'t interfere anymore */\n  * { color: inherit }\n  svg { fill: ', '}\n\n  &:hover {\n    & {\n      color: ', ';\n      border-color: ', ';\n    }\n    background-color: ', ';\n    * { color: inherit; }\n    svg { fill: ', '\n  }\n\n  /* svg {\n    fill: ', ';\n  } */\n}\n'], [';\n  background-color: transparent;\n  color: ', ';\n  border-color: ', ';\n  & {\n    color: ', ';\n  }\n\n  /* those next line overwritte the \'.root a\' selector rules from uxi NON-StyledComponent theme/css\n  * TODO: remove the overwrite once the .root a rules doesn\'t interfere anymore */\n  * { color: inherit }\n  svg { fill: ', '}\n\n  &:hover {\n    & {\n      color: ', ';\n      border-color: ', ';\n    }\n    background-color: ', ';\n    * { color: inherit; }\n    svg { fill: ', '\n  }\n\n  /* svg {\n    fill: ', ';\n  } */\n}\n']);

var _styledComponents = require('styled-components');

var _utils = require('./utils');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
/* eslint-disable no-nested-ternary */
var OutlineButtonBaseMixin = exports.OutlineButtonBaseMixin = (0, _styledComponents.css)(_templateObject, function (_ref) {
  var theme = _ref.theme,
      type = _ref.type,
      disabled = _ref.disabled;
  return (
    // eslint-disable-next-line no-nested-ternary
    disabled ? theme.palette.lightGrey : type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey
  );
}, function (_ref2) {
  var disabled = _ref2.disabled,
      theme = _ref2.theme,
      type = _ref2.type;
  return disabled ? theme.palette.lightGrey : type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey;
}, function (_ref3) {
  var disabled = _ref3.disabled,
      theme = _ref3.theme,
      type = _ref3.type;
  return disabled ? theme.palette.lightGrey : type ? '' + (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey;
}, function (_ref4) {
  var theme = _ref4.theme,
      type = _ref4.type,
      disabled = _ref4.disabled;
  return (
    // eslint-disable-next-line no-nested-ternary
    disabled ? theme.palette.lightGrey : type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey
  );
}, function (_ref5) {
  var disabled = _ref5.disabled,
      theme = _ref5.theme;
  return disabled ? theme.palette.lightGrey : '#fff';
}, function (_ref6) {
  var disabled = _ref6.disabled,
      theme = _ref6.theme;
  return disabled ? theme.palette.lightGrey : theme.palette.grey;
}, function (_ref7) {
  var disabled = _ref7.disabled,
      type = _ref7.type,
      theme = _ref7.theme;
  return disabled ? 'transparent' : type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.grey;
}, function (_ref8) {
  var type = _ref8.type,
      disabled = _ref8.disabled,
      theme = _ref8.theme;
  return disabled ? theme.palette.lightGrey : type ? (0, _utils.getTypeColor)(theme, type) : '#fff';
}, function (_ref9) {
  var type = _ref9.type,
      disabled = _ref9.disabled,
      theme = _ref9.theme;
  return disabled ? theme.palette.lightGrey : type ? (0, _utils.getTypeColor)(theme, type) : theme.palette.darkGrey;
});

exports.default = OutlineButtonBaseMixin;