'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  ', ';\n  &, &:hover, & *, &:hover * {}\n  border: none;\n  background: transparent;\n  color: inherit\n  padding: 0 4px;\n  font-size: inherit;\n  min-width: 100%;\n  min-height: 100%;\n  &:focus, &:hover {\n    ', ';\n  }\n'], ['\n  ', ';\n  &, &:hover, & *, &:hover * {}\n  border: none;\n  background: transparent;\n  color: inherit\n  padding: 0 4px;\n  font-size: inherit;\n  min-width: 100%;\n  min-height: 100%;\n  &:focus, &:hover {\n    ', ';\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _buttonResetStyles = require('./buttonResetStyles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
/* eslint-disable brace-style */


/* eslint-disable indent */
var UnstyledButtonUI = _styledComponents2.default.button.attrs(function (_ref) {
  var inert = _ref.inert;
  return {
    tabIndex: inert ? -1 : undefined
  };
})(_templateObject, _buttonResetStyles.buttonResetStylesCSSString, function (_ref2) {
  var disabled = _ref2.disabled,
      inert = _ref2.inert,
      theme = _ref2.theme;
  return !inert && !disabled ? 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline : '';
});
/* eslint-enable indent */
// TODO investigzte: inert unstyledButon doesn't make any sense

var UnstyledButtonDivUI = UnstyledButtonUI.withComponent('div');

var UnstyledButton = function UnstyledButton(_ref3) {
  'r';

  var children = _ref3.children,
      style = _ref3.style,
      onClick = _ref3.onClick,
      inline = _ref3.inline,
      wrapperStyles = _ref3.wrapperStyles,
      inert = _ref3.inert,
      attr = _objectWithoutProperties(_ref3, ['children', 'style', 'onClick', 'inline', 'wrapperStyles', 'inert']);

  var UnstyledButtonComponent = inert ? UnstyledButtonDivUI : UnstyledButtonUI;

  if (inline) {
    return _react2.default.createElement(
      'div',
      { style: _extends({ minWidth: '100%', minHeight: '100%' }, wrapperStyles) },
      _react2.default.createElement(
        UnstyledButtonComponent,
        _extends({}, attr, { onClick: onClick, style: style }),
        children
      )
    );
  }

  return _react2.default.createElement(
    'div',
    { style: _extends({ minWidth: '100%', minHeight: '100%', display: 'flex' }, wrapperStyles) },
    _react2.default.createElement(
      UnstyledButtonComponent,
      _extends({}, attr, { onClick: onClick, style: style }),
      children
    )
  );
};

exports.default = UnstyledButton;