'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var getTypeColor = exports.getTypeColor = function getTypeColor(_ref, type) {
  var palette = _ref.palette;

  if (palette.semantic[type]) {
    return palette.semantic[type];
  }
  if (type === 'primary') {
    return palette.accent.main;
  }
  if (type === 'secondary') {
    return palette.primary.main;
  }
  return '#fff';
};

exports.default = {
  getTypeColor: getTypeColor
};