'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  /* text-align: center; */\n  margin: 8px 8px 16px 8px;\n  background: white;\n  max-width: 280px;\n  min-width: 280px;\n  width: 280px;\n  /* border-radius: 3px;\n  overflow: hidden; */\n  /* box-shadow: 0 1px 6px 1px rgba(35, 35, 35, 0); */\n  /* border: 1px solid #cecece; */\n\n  @media (min-width: 1024px) {\n    min-width: 280px;\n    min-height: 330px;\n\n    display: flex;\n    flex-direction: column;\n    & > *:last-child {\n      flex-grow: 2 ;\n    }\n  }\n'], ['\n  /* text-align: center; */\n  margin: 8px 8px 16px 8px;\n  background: white;\n  max-width: 280px;\n  min-width: 280px;\n  width: 280px;\n  /* border-radius: 3px;\n  overflow: hidden; */\n  /* box-shadow: 0 1px 6px 1px rgba(35, 35, 35, 0); */\n  /* border: 1px solid #cecece; */\n\n  @media (min-width: 1024px) {\n    min-width: 280px;\n    min-height: 330px;\n\n    display: flex;\n    flex-direction: column;\n    & > *:last-child {\n      flex-grow: 2 ;\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var WrapperUI = _styledComponents2.default.div(_templateObject);
/*
const ImageUI = styled.div`
  height: 140px;
  overflow: hidden;
  position: relative;
  background: url(${({ src }) => src}) no-repeat;
  background-position: center;
  background-size: cover;
  img {
    width: 100%;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
`;

const Shadow = styled.div`
  position: absolute;
  top: auto;
  left: 0;
  bottom: 0;
  right: 0;
  height: 24px;
  background: linear-gradient(
    to top,
    rgba(35, 35, 35, 0.2),
    rgba(35, 35, 35, 0)
  );
`;

const DescriptionUI = styled.div`
  padding: 16px;
  p {
    padding: 8px 16px;
    min-height: 70px;
    box-sizing: border-box;
  }
  & button, & a { text-transform: none; font-weight: thin; }

  @media (min-width: 1024px) {
    display: flex;
    flex-direction: column;
    p {
      flex-grow: 3;
      display: flex;
      align-items: center;
    }
  }
`;
 */

var CarrouselItem = function CarrouselItem(_ref) {
  var children = _ref.children;
  return _react2.default.createElement(
    WrapperUI,
    null,
    children
  );
};

CarrouselItem.displayName = 'CarrouselItem';

exports.default = CarrouselItem;