'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  grid-row-end: ', ';\n  grid-column-end: ', ';\n  .content {\n    height: 100%;\n    width: 100%;\n    box-sizing:border-box;\n  }\n'], ['\n  grid-row-end: ', ';\n  grid-column-end: ', ';\n  .content {\n    height: 100%;\n    width: 100%;\n    box-sizing:border-box;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var DashboardItemDiv = _styledComponents2.default.div(_templateObject, function (_ref) {
  var size = _ref.size;
  return 'span ' + size;
}, function (_ref2) {
  var gridWidth = _ref2.gridWidth;
  return 'span ' + gridWidth;
});

var DashboardItem = function (_Component) {
  _inherits(DashboardItem, _Component);

  function DashboardItem() {
    _classCallCheck(this, DashboardItem);

    return _possibleConstructorReturn(this, (DashboardItem.__proto__ || Object.getPrototypeOf(DashboardItem)).apply(this, arguments));
  }

  _createClass(DashboardItem, [{
    key: 'createFixedHeightWidget',
    value: function createFixedHeightWidget(table) {
      var gridHeight = this.props.gridHeight;


      return _react2.default.cloneElement(table, {
        fixedHeight: gridHeight * 180 - (table.props.title ? 50 : 0)
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          children = _props.children,
          _props$gridHeight = _props.gridHeight,
          gridHeight = _props$gridHeight === undefined ? 1 : _props$gridHeight,
          _props$gridWidth = _props.gridWidth,
          gridWidth = _props$gridWidth === undefined ? 1 : _props$gridWidth;

      var content = _react2.default.createElement('div', null);

      if (children) {
        _react2.default.Children.forEach(children, function (child) {
          if (!_react2.default.isValidElement(child)) return;

          var componentName = child.type.componentName;


          if (componentName === 'Widget') {
            content = _this2.createFixedHeightWidget(child);
          } else {
            content = child;
          }
        });
      } else {
        content = children;
      }

      return _react2.default.createElement(
        DashboardItemDiv,
        { className: 'item', gridWidth: gridWidth, size: gridHeight },
        _react2.default.createElement(
          'div',
          { className: 'content' },
          content
        )
      );
    }
  }]);

  return DashboardItem;
}(_react.Component);

exports.default = DashboardItem;