'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  flex-grow: 99;\n  justify-content: flex-start;\n  width: 100%;\n  height: 100%;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  & > div:first-child,\n  & > div:first-child > div:first-child,\n  & > div:first-child > div:first-child > *:first-child {\n    width : 100%;\n    height: 100%;\n    /* min-height: 48px; */\n    box-sizing: border-box;\n  }\n'], ['\n  flex-grow: 99;\n  justify-content: flex-start;\n  width: 100%;\n  height: 100%;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  & > div:first-child,\n  & > div:first-child > div:first-child,\n  & > div:first-child > div:first-child > *:first-child {\n    width : 100%;\n    height: 100%;\n    /* min-height: 48px; */\n    box-sizing: border-box;\n  }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  display: flex;\n  align-items: center;\n  justify-content: flex-start;\n  width: 100%;\n  color: rgb(158, 158, 158);\n  text-transform: uppercase;\n  font-weight: normal;\n  font-size: ', ';\n'], ['\n  display: flex;\n  align-items: center;\n  justify-content: flex-start;\n  width: 100%;\n  color: rgb(158, 158, 158);\n  text-transform: uppercase;\n  font-weight: normal;\n  font-size: ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Text = require('../../Text');

var _Icons = require('../../Icons');

var _Table = require('../../Table');

var _Menu = require('../../Menu');

var _Button = require('../../Button');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var handleLevel = function handleLevel() {
  var menuItem = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return {
    onClick: menuItem.onClick,
    icon: menuItem.icon,
    label: menuItem.label,
    children: (menuItem.children || []).map(handleLevel)
  };
};

var FlexExtended = _styledComponents2.default.div(_templateObject);

var Flex2 = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var condensed = _ref.condensed;
  return condensed ? '12px' : '13px';
});
/*
const popOver = {
  display: 'none',
  zIndex: 1,
  position: 'absolute',
  top: '46px',
  left: '-1px',
  right: '-1px',
  background: 'rgb(243, 243, 242)',
  cursor: 'normal',
  paddingTop: '2px',
  borderLeft: '1px solid #ccc',
  borderRight: '1px solid #ccc',
};


const headerWithSort = {
  background: '#f3f3f2',
  borderTop: '1px solid #ccc',
  borderLeft: '1px solid #ccc',
  borderRight: '1px solid #ccc',
  boxSizing: 'border-box',
};

const headerWithSortNotSelected = {
  borderTop: '1px solid #fff',
  borderLeft: '1px solid #fff',
  borderRight: '1px solid #fff',
  boxSizing: 'border-box',
};
 */

var DataGridSorting = function (_Component) {
  _inherits(DataGridSorting, _Component);

  function DataGridSorting(props) {
    _classCallCheck(this, DataGridSorting);

    var _this = _possibleConstructorReturn(this, (DataGridSorting.__proto__ || Object.getPrototypeOf(DataGridSorting)).call(this, props));

    _this.state = {
      show: false
    };
    return _this;
  }
  /*
  componentDidMount() {
    document.addEventListener('click', this.clickHandlerForDom.bind(this), true);
  }
   componentWillUnmount() {
    document.removeEventListener('click', this.clickHandlerForDom);
  }
   clickHandlerForDom(e) {
    const domNode = this.node;
    if (this.toggler.contains(e.target)) {
      return;
    }
     if (
      !domNode ||
      (domNode.contains && !domNode.contains(e.target))
    ) {
      this.setState({
        show: false,
      });
    }
  }
   toggle() {
    this.setState({
      show: !this.state.show,
    });
  }
  */


  _createClass(DataGridSorting, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          title = _props.title,
          condensed = _props.condensed,
          dataKey = _props.dataKey,
          menuItems = _props.menuItems;
      // const { show } = this.state;
      // const mergedStyle = show ? Object.assign({}, popOver, { display: 'block' }) : popOver;
      // const styleForButton = show ? headerWithSort : headerWithSortNotSelected;

      var defaultSortingMenu = [{
        onClick: function onClick() {},
        label: 'Sort ascending',
        icon: _react2.default.createElement(_Icons.Sortingup, { size: 16 })
      }, {
        onClick: function onClick() {},
        label: 'Sort descending',
        icon: _react2.default.createElement(_Icons.Sortingdown, { size: 16 })
      }, {
        onClick: function onClick() {},
        label: 'no sorting',
        icon: _react2.default.createElement(_Icons.Nosorting, { size: 16 })
      }];

      var finalMenu = defaultSortingMenu;

      // if (extraMenuItems && extraMenuItems.length) {
      //   finalMenu.push(<Separator />);
      //   finalMenu = finalMenu.concat(extraMenuItems);
      // }

      if (menuItems && menuItems.length) {
        finalMenu = menuItems;
      }

      var menuDescriptor = finalMenu; // .map(handleLevel);

      //   React.isValidElement(menuItem)
      //     ? menuItem
      //     : <ButtonMenuItem
      //       icon={menuItem.icon}
      //       onClick={menuItem.onClick}
      //     >
      //       {menuItem.displayName}
      //     </ButtonMenuItem>
      // ))

      return _react2.default.createElement(
        _Table.TableHeaderColumn /* style={style} */,
        { noPadding: true, key: dataKey },
        _react2.default.createElement(
          FlexExtended,
          null,
          _react2.default.createElement(_Menu.ButtonMenuMultiLevel, {
            button: _react2.default.createElement(
              _Button.UnstyledButton,
              {
                isFullWidth: true,
                style: {
                  borderRadius: 0,
                  height: '47.99px', // IE is the best
                  minHeight: '48px',
                  boxSizing: 'border-box'
                  // paddingLeft: noPadding ? 0 : '24px',
                  // paddingRight: noPadding ? 0 : '8px',
                }
              },
              _react2.default.createElement(
                Flex2,
                {
                  condensed: condensed
                },
                _react2.default.createElement(
                  _Text.TextEllipsis,
                  {
                    style: {
                      paddingLeft: '24px',
                      paddingRight: '6px',
                      width: '100%',
                      textAlign: 'left'
                    }
                  },
                  title
                ),
                _react2.default.createElement(_Icons.Arrowdown, {
                  style: {
                    marginLeft: 'auto',
                    marginRight: '6px',
                    transition: 'none'
                  },
                  size: 12
                })
              )
            ),
            menuDescriptor: menuDescriptor
          })
        )
      );
      /*
      return (
        <TableHeaderColumn style={style}>
          <div
            className="sortingGrid"
            style={{
              position: 'relative',
              cursor: 'pointer',
              marginLeft: '-24px',
              marginRight: '-4px',
              paddingLeft: '24px',
              paddingRight: '4px',
              ...styleForButton
            }}
          >
            <div
              role="button"
              ref={(ref) => { this.toggler = ref; }}
              onClick={this.toggle.bind(this)}
              style={{ display: 'flex', width: '100%' }}
            >
              <div style={{ flex: 1 }}>
                {title}
              </div>
              <div style={{ width: '30px' }}>
                {show
                  ? <Trianglearrowup style={{ transition: 'none' }} size={12} />
                  : <Trianglearrow style={{ transition: 'none' }} size={12} />
                }
              </div>
            </div>
            <div style={mergedStyle} ref={(ref) => { this.node = ref; }}>
              <div
                style={{
                  background: 'rgb(255, 255, 255)',
                  borderBottom: '1px solid rgb(204, 204, 204)',
                }}
              >
                 <VerticalMenu>
                  <MenuItem icon={<Sortingup size={16} />}>Sort ascending</MenuItem>
                  <MenuItem icon={<Sortingdown size={16} />}>Sort decending</MenuItem>
                  <MenuItem icon={<Nosorting size={16} />}>No Sorting</MenuItem>
                  <Separator />
                  <div>Replace column with</div>
                  <MenuItem>Just a number</MenuItem>
                  <MenuItem>Some other field</MenuItem>
                </VerticalMenu>
              </div>
            </div>
          </div>
        </TableHeaderColumn>
      );
      */
    }
  }]);

  return DataGridSorting;
}(_react.Component);

exports.default = DataGridSorting;