'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Access = function Access(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 15.48 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M14.21,7.41a4.35,4.35,0,0,0,0-6.14,4.34,4.34,0,0,0-6.79,5.3l0,.08-.06.06L0,14.12l1.36,1.36,1.19-1.19L4.26,16l1.36-1.36L3.91,12.93l.83-.83,1.71,1.71L7.8,12.45,6.09,10.74,8.83,8l.08,0A4.33,4.33,0,0,0,14.21,7.41ZM8.35,4.34a2.77,2.77,0,0,1,.82-2h0a2.79,2.79,0,1,1-.82,2Z' })
        )
      )
    )
  );
};

Access.propTypes = {
  color: _propTypes2.default.string
};

Access.defaultProps = {
  color: 'currentColor'
};

exports.default = Access;