'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Book = function Book(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 18.57 15.74',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M0,13.05a.82.82,0,0,0,.82.82H7.07l1.64,1.64a.83.83,0,0,0,1.15,0l1.64-1.64h6.25a.82.82,0,0,0,.82-.82V.82A.82.82,0,0,0,17.76,0H11.17a.82.82,0,0,0-.58.24L9.29,1.54,8,.24A.82.82,0,0,0,7.4,0H.82A.82.82,0,0,0,0,.82ZM10.1,3l1.4-1.4h5.43v10.6H11.17a.82.82,0,0,0-.58.24L10.1,13ZM1.63,1.63H7.07L8.47,3V13L8,12.47a.82.82,0,0,0-.58-.24H1.63Z' })
        )
      )
    )
  );
};

Book.propTypes = {
  color: _propTypes2.default.string
};

Book.defaultProps = {
  color: 'currentColor'
};

exports.default = Book;