'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Circledcheckmark = function Circledcheckmark(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 79 79',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '39.5', cy: '39.5', r: '39.5' }),
          _react2.default.createElement('path', { d: 'M34,55.07h0a4,4,0,0,1-2.82-1.18L19,41.69A4,4,0,1,1,24.66,36L34,45.41l20.31-20.3A4,4,0,1,1,60,30.76L36.86,53.89A4,4,0,0,1,34,55.07Z' })
        )
      )
    )
  );
};

Circledcheckmark.propTypes = {
  color: _propTypes2.default.string
};

Circledcheckmark.defaultProps = {
  color: 'currentColor'
};

exports.default = Circledcheckmark;