'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Circledintegration = function Circledintegration(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 36.94 36.94',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '18.47', cy: '18.47', r: '17.97' }),
          _react2.default.createElement('path', { d: 'M25.58,16a3.08,3.08,0,0,0-.68.07l-.12,0V14.18a1.73,1.73,0,0,0-1.73-1.72H21.13l0-.12a4,4,0,0,0,.07-.69,3.56,3.56,0,0,0-7.11,0,4,4,0,0,0,.07.69l0,.12H12.3a1.73,1.73,0,0,0-1.73,1.72v2.95a.71.71,0,0,0,.36.61.7.7,0,0,0,.7,0,2.09,2.09,0,0,1,1.13-.33,2.17,2.17,0,1,1,0,4.34,2.09,2.09,0,0,1-1.13-.33.71.71,0,0,0-.37-.1.66.66,0,0,0-.33.09.69.69,0,0,0-.36.6v3a1.73,1.73,0,0,0,1.73,1.72H23.05a1.73,1.73,0,0,0,1.73-1.72V23l.12,0a3.08,3.08,0,0,0,.68.07,3.55,3.55,0,1,0,0-7.1Zm0,5.72a2.09,2.09,0,0,1-1.13-.33A.69.69,0,0,0,23.4,22v3a.35.35,0,0,1-.35.34H12.3a.35.35,0,0,1-.35-.34V23l.12,0a3.23,3.23,0,0,0,.69.07,3.55,3.55,0,1,0,0-7.1,3.23,3.23,0,0,0-.69.07l-.12,0V14.18a.35.35,0,0,1,.35-.34h2.95a.69.69,0,0,0,.58-1.05,2.25,2.25,0,0,1-.33-1.14,2.17,2.17,0,1,1,4.34,0,2.23,2.23,0,0,1-.32,1.14.66.66,0,0,0,0,.69.69.69,0,0,0,.6.36h2.95a.35.35,0,0,1,.35.34v2.95a.68.68,0,0,0,1.05.59,2.09,2.09,0,0,1,1.13-.33,2.17,2.17,0,1,1,0,4.34Z' })
        )
      )
    )
  );
};

Circledintegration.propTypes = {
  color: _propTypes2.default.string
};

Circledintegration.defaultProps = {
  color: 'currentColor'
};

exports.default = Circledintegration;