'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Circleduser = function Circleduser(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 36.94 36.94',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '18.47', cy: '18.47', r: '17.97' }),
          _react2.default.createElement('path', { d: 'M18.47,8.27a4.46,4.46,0,1,0,4.46,4.46A4.46,4.46,0,0,0,18.47,8.27Zm0,7.35a2.9,2.9,0,1,1,2.9-2.89A2.9,2.9,0,0,1,18.47,15.62Z' }),
          _react2.default.createElement('path', { d: 'M18.47,18.64c-5,0-8.48,2.57-8.48,6.26v1.83H27V24.9C27,21.21,23.46,18.64,18.47,18.64Zm7,6.65H11.43V24.9c0-2.84,2.9-4.82,7-4.82s7,2,7,4.82Z' })
        )
      )
    )
  );
};

Circleduser.propTypes = {
  color: _propTypes2.default.string
};

Circleduser.defaultProps = {
  color: 'currentColor'
};

exports.default = Circleduser;