'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Connectors = function Connectors(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 15.75 15.27',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '4.88', cy: '4.27', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '8.07', cy: '7.27', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '8.07', cy: '13.77', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '8.07', cy: '1.5', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '11.26', cy: '4.27', r: '1.5' }),
          _react2.default.createElement('path', { d: 'M5.77,11V9.63A6.57,6.57,0,0,1,1.3,3.53H0A7.86,7.86,0,0,0,5.77,11Z' }),
          _react2.default.createElement('path', { d: 'M10.37,9.48v1.39a7.84,7.84,0,0,0,5.38-7.34h-1.3A6.56,6.56,0,0,1,10.37,9.48Z' })
        )
      )
    )
  );
};

Connectors.propTypes = {
  color: _propTypes2.default.string
};

Connectors.defaultProps = {
  color: 'currentColor'
};

exports.default = Connectors;