'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Consent = function Consent(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.55 15.75',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '10 4.09 9.12 4.97 11.07 6.93 14.7 3.3 13.82 2.42 11.07 5.16 10 4.09' }),
          _react2.default.createElement('path', { d: 'M4.67,12.55h7.88V11.2h-8V2.4H3.2v8.68A1.47,1.47,0,0,0,4.67,12.55Z' }),
          _react2.default.createElement('path', { d: 'M1.47,15.75H9.35V14.4h-8V5.6H0v8.68A1.47,1.47,0,0,0,1.47,15.75Z' }),
          _react2.default.createElement('path', { d: 'M15.07,0H7.88A1.47,1.47,0,0,0,6.4,1.47V7.88A1.47,1.47,0,0,0,7.88,9.35h7.19a1.47,1.47,0,0,0,1.48-1.47V1.47A1.47,1.47,0,0,0,15.07,0ZM7.75,8V1.35H15.2V8Z' })
        )
      )
    )
  );
};

Consent.propTypes = {
  color: _propTypes2.default.string
};

Consent.defaultProps = {
  color: 'currentColor'
};

exports.default = Consent;