'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Contact = function Contact(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.73 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M7.1,0a3.62,3.62,0,1,0,3.62,3.62A3.63,3.63,0,0,0,7.1,0Zm0,6A2.35,2.35,0,1,1,9.45,3.62,2.36,2.36,0,0,1,7.1,6Z' }),
          _react2.default.createElement('path', { d: 'M0,16H9.52V14.42H1.58v-.11c0-2.19,2.27-3.72,5.52-3.72a8.55,8.55,0,0,1,2.42.33V9.29A10.46,10.46,0,0,0,7.1,9C2.92,9,0,11.19,0,14.31Z' }),
          _react2.default.createElement('polygon', { points: '16.73 11.72 14.03 11.72 14.03 9.01 12.45 9.01 12.45 11.72 9.75 11.72 9.75 13.3 12.45 13.3 12.45 16 14.03 16 14.03 13.3 16.73 13.3 16.73 11.72' })
        )
      )
    )
  );
};

Contact.propTypes = {
  color: _propTypes2.default.string
};

Contact.defaultProps = {
  color: 'currentColor'
};

exports.default = Contact;