'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Cookie = function Cookie(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        id: 'Layer_1',
        'data-name': 'Layer 1',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 24 24',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement('path', { d: 'M.5,12A11.5,11.5,0,1,0,12,.5,11.51,11.51,0,0,0,.5,12Zm2,0A9.49,9.49,0,1,1,12,21.49,9.5,9.5,0,0,1,2.51,12Z' }),
      _react2.default.createElement('circle', { cx: '10.06', cy: '8.01', r: '1.5' }),
      _react2.default.createElement('circle', { cx: '16.06', cy: '10.62', r: '2.46' })
    )
  );
};

Cookie.propTypes = {
  color: _propTypes2.default.string
};

Cookie.defaultProps = {
  color: 'currentColor'
};

exports.default = Cookie;