'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Creditcard = function Creditcard(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 18.07 12.49',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M14.29,7.61a1.16,1.16,0,0,0-.84.36,1.14,1.14,0,0,0-.83-.36,1.16,1.16,0,1,0,0,2.31,1.14,1.14,0,0,0,.83-.36,1.15,1.15,0,0,0,2-.8A1.15,1.15,0,0,0,14.29,7.61Z' }),
          _react2.default.createElement('path', { d: 'M16.47,0H1.6A1.6,1.6,0,0,0,0,1.6v9.29a1.6,1.6,0,0,0,1.6,1.6H16.47a1.6,1.6,0,0,0,1.6-1.6V1.6A1.6,1.6,0,0,0,16.47,0ZM16,11.15H2.06a.72.72,0,0,1-.72-.72V5.86H16.73v4.57A.73.73,0,0,1,16,11.15Zm.73-8H1.34V1.73a.4.4,0,0,1,.4-.4H16.33a.4.4,0,0,1,.4.41Z' })
        )
      )
    )
  );
};

Creditcard.propTypes = {
  color: _propTypes2.default.string
};

Creditcard.defaultProps = {
  color: 'currentColor'
};

exports.default = Creditcard;