'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Deployment = function Deployment(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 15.79 15.75',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '15.79 5.13 15.79 5.13 15.79 5.13 15.79 5.13' }),
          _react2.default.createElement('path', { d: 'M.67,15.75h14.4a.68.68,0,0,0,.67-.67V5.46a.67.67,0,0,0,0-.23l0,0,0-.06,0,0L12.44.3a.67.67,0,0,0-.56-.3h-8a.67.67,0,0,0-.56.3L.11,5.1l0,0,0,0,0,.05a.68.68,0,0,0,0,.23v9.61A.68.68,0,0,0,.67,15.75ZM8.55,1.35h3l2.3,3.45H8.55Zm-4.31,0h3V4.8H1.94ZM1.35,6.15h13V14.4h-13Z' })
        )
      )
    )
  );
};

Deployment.propTypes = {
  color: _propTypes2.default.string
};

Deployment.defaultProps = {
  color: 'currentColor'
};

exports.default = Deployment;