'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Event = function Event(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 14.57 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M5.34.73a.73.73,0,1,0-1.46,0v2.6a.73.73,0,1,0,1.46,0Z' }),
          _react2.default.createElement('path', { d: 'M10.7.73a.73.73,0,1,0-1.46,0v2.6a.73.73,0,1,0,1.46,0Z' }),
          _react2.default.createElement('rect', { x: '6.44', y: '1.4', width: '1.7', height: '1.25' }),
          _react2.default.createElement('path', { d: 'M14.57,2.89a1.46,1.46,0,0,0-1.46-1.46H11.68V2.68h1.65V6.13H1.25V2.68H2.93V1.43H1.46A1.46,1.46,0,0,0,0,2.89V14.54A1.46,1.46,0,0,0,1.46,16H13.11a1.46,1.46,0,0,0,1.46-1.46ZM1.25,14.75V7.59H13.32v7.16Z' })
        )
      )
    )
  );
};

Event.propTypes = {
  color: _propTypes2.default.string
};

Event.defaultProps = {
  color: 'currentColor'
};

exports.default = Event;