'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Github = function Github(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M4.68,8.15a3,3,0,0,0,.16.36,2.71,2.71,0,0,0,2.32,1.2,1,1,0,0,0-.41.66,1.37,1.37,0,0,1-1,.08c-.48-.15-.66-1.08-1.38-1-.16,0-.12.13,0,.22a1.4,1.4,0,0,1,.59.69,1.18,1.18,0,0,0,1.19.79,3.65,3.65,0,0,0,.55,0s0,.73,0,1-.45.42-.45.58.15.07.27.07.73-.19.73-.53,0-1.18,0-1.33a.51.51,0,0,1,.19-.46s0,1.85,0,2.1-.23.25-.23.38.59,0,.79-.38A11,11,0,0,0,8,10.45h.16s0,.83,0,1.21,0,.89.21,1.13.66.43.66.18-.28-.26-.28-.65V10.52c.22,0,.19.59.19.59l0,1.09a.56.56,0,0,0,.44.57c.17.06.54.08.56,0s-.44-.25-.45-.56,0-.3,0-1.12S9.45,10,9.06,9.71c1.2-.12,1.95-.41,2.31-1.2a1.22,1.22,0,0,0,.13-.37,4.35,4.35,0,0,0,.13-1.06A2.38,2.38,0,0,0,11,5.39,1.9,1.9,0,0,0,10.87,4c-.31-.11-1.08.28-1.5.55a5.64,5.64,0,0,0-2.67.05c-1-.7-1.53-.6-1.53-.6a2,2,0,0,0-.09,1.48A2,2,0,0,0,4.51,7,3.58,3.58,0,0,0,4.68,8.15ZM8,16a8,8,0,1,1,8-8A8,8,0,0,1,8,16Z' })
        )
      )
    )
  );
};

Github.propTypes = {
  color: _propTypes2.default.string
};

Github.defaultProps = {
  color: 'currentColor'
};

exports.default = Github;