'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Industry = function Industry(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 18.57 15.75',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M0,.82V14.93a.82.82,0,0,0,.82.82H17.76a.82.82,0,0,0,.82-.82V7.4a.82.82,0,0,0-.82-.82H4.46V3.64a.82.82,0,0,0-.24-.58L1.39.24A.81.81,0,0,0,.82,0,.83.83,0,0,0,.5.06.81.81,0,0,0,0,.82Zm1.63,2L2.82,4V7.4a.82.82,0,0,0,.82.82h13.3v5.9H1.63Z' }),
          _react2.default.createElement('rect', { x: '3.76', y: '10.35', width: '2.57', height: '1.63' }),
          _react2.default.createElement('rect', { x: '8.47', y: '10.35', width: '2.57', height: '1.63' }),
          _react2.default.createElement('rect', { x: '13.18', y: '10.35', width: '2.57', height: '1.63' })
        )
      )
    )
  );
};

Industry.propTypes = {
  color: _propTypes2.default.string
};

Industry.defaultProps = {
  color: 'currentColor'
};

exports.default = Industry;