'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Linkedin = function Linkedin(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M8,0a8,8,0,1,0,8,8A8,8,0,0,0,8,0ZM5.92,11.91H3.85V6.7H5.92Zm-1-6a1,1,0,0,1-1-.93,1,1,0,0,1,1-.93,1,1,0,0,1,1,.93A1,1,0,0,1,4.88,5.94Zm7.29,6H10.5V8.74a.94.94,0,0,0-.91-.84,1,1,0,0,0-1,.8v3.2H6.94L7,6.68H8.6v.66a1.64,1.64,0,0,1,1.62-.86c1.28,0,1.86.73,2,2.11Z' })
        )
      )
    )
  );
};

Linkedin.propTypes = {
  color: _propTypes2.default.string
};

Linkedin.defaultProps = {
  color: 'currentColor'
};

exports.default = Linkedin;