'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Loading = function Loading(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M1.38,10.88a.84.84,0,0,0,.42,1.56.91.91,0,0,0,.42-.11.82.82,0,0,0,.29-1.12A.82.82,0,0,0,1.38,10.88Z' }),
          _react2.default.createElement('path', { d: 'M4.4,2.61a.91.91,0,0,0,.42-.11.83.83,0,0,0,.29-1.14A.81.81,0,0,0,4,1.06a.8.8,0,0,0-.29,1.12A.77.77,0,0,0,4.4,2.61Z' }),
          _react2.default.createElement('path', { d: 'M4.83,13.5a.81.81,0,0,0-1.12.29A.82.82,0,0,0,4.4,15a.82.82,0,0,0,.42-1.52Z' }),
          _react2.default.createElement('path', { d: 'M1.38,5.14a.84.84,0,0,0,.4.11.8.8,0,0,0,.72-.42A.81.81,0,0,0,2.2,3.71.83.83,0,0,0,1.08,4,.82.82,0,0,0,1.38,5.14Z' }),
          _react2.default.createElement('path', { d: 'M.83,8.83A.83.83,0,1,0,0,8,.82.82,0,0,0,.83,8.83Z' }),
          _react2.default.createElement('path', { d: 'M8,0A.83.83,0,1,0,8,1.65a6.35,6.35,0,0,1,0,12.7A.83.83,0,0,0,8,16,8,8,0,0,0,8,0Z' })
        )
      )
    )
  );
};

Loading.propTypes = {
  color: _propTypes2.default.string
};

Loading.defaultProps = {
  color: 'currentColor'
};

exports.default = Loading;