'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Networkadress = function Networkadress(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 17.37 15',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M16.69,0H.68A.67.67,0,0,0,0,.68V11.83a.67.67,0,0,0,.68.67H4v1.82a.67.67,0,0,0,.68.68h8.09a.67.67,0,0,0,.68-.68V12.5h3.28a.68.68,0,0,0,.68-.67V.68A.68.68,0,0,0,16.69,0ZM16,11.15H12.73a.67.67,0,0,0-.67.68v1.82H5.31V11.83a.67.67,0,0,0-.67-.68H1.35V1.35H4v5H5.39v-5H6.68v5H8v-5H9.33v5h1.35v-5H12v5h1.35v-5H16Z' })
        )
      )
    )
  );
};

Networkadress.propTypes = {
  color: _propTypes2.default.string
};

Networkadress.defaultProps = {
  color: 'currentColor'
};

exports.default = Networkadress;