'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Padlock = function Padlock(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 12.39 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '6.2', cy: '11.15', r: '1.35' }),
          _react2.default.createElement('path', { d: 'M6.2,0A4.4,4.4,0,0,0,1.8,4.39V6.31H1.69A1.69,1.69,0,0,0,0,8v6.31A1.69,1.69,0,0,0,1.69,16h9a1.69,1.69,0,0,0,1.69-1.69V8A1.69,1.69,0,0,0,10.7,6.31h-.11V4.39A4.4,4.4,0,0,0,6.2,0ZM3.38,4.39A2.82,2.82,0,0,1,9,4.39V6.31H3.38Zm7.44,3.49v6.54H1.58V7.89Z' })
        )
      )
    )
  );
};

Padlock.propTypes = {
  color: _propTypes2.default.string
};

Padlock.defaultProps = {
  color: 'currentColor'
};

exports.default = Padlock;