'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Pause = function Pause(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 12.29 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M4.87,1.51A1.51,1.51,0,0,0,3.36,0H1.51A1.51,1.51,0,0,0,0,1.51v13A1.51,1.51,0,0,0,1.51,16H3.36a1.51,1.51,0,0,0,1.51-1.51ZM1.16,14.84V1.16H3.71V14.84Z' }),
          _react2.default.createElement('path', { d: 'M12.29,1.51A1.51,1.51,0,0,0,10.78,0H8.93A1.51,1.51,0,0,0,7.42,1.51v13A1.51,1.51,0,0,0,8.93,16h1.86a1.51,1.51,0,0,0,1.51-1.51ZM8.58,14.84V1.16h2.55V14.84Z' })
        )
      )
    )
  );
};

Pause.propTypes = {
  color: _propTypes2.default.string
};

Pause.defaultProps = {
  color: 'currentColor'
};

exports.default = Pause;