'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Plugedin = function Plugedin(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16.1 16.65',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M16.1,0H0V1.3H2.05V3.78a6,6,0,0,0,5.35,6v2.1a1.71,1.71,0,0,0,1.71,1.7.41.41,0,0,1,.4.41v2.7h1.3V14a1.71,1.71,0,0,0-1.7-1.71.4.4,0,0,1-.41-.4V9.74a6,6,0,0,0,5.35-6V1.3H16.1ZM12.75,3.78a4.7,4.7,0,0,1-9.4,0V1.3h9.4Z' })
        )
      )
    )
  );
};

Plugedin.propTypes = {
  color: _propTypes2.default.string
};

Plugedin.defaultProps = {
  color: 'currentColor'
};

exports.default = Plugedin;