'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Plusbox = function Plusbox(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 20 20',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Group_559', 'data-name': 'Group 559', transform: 'translate(-289 -361)' },
        _react2.default.createElement(
          'g',
          {
            id: 'Rectangle_1_copy_4',
            'data-name': 'Rectangle 1 copy 4',
            transform: 'translate(289 361)',
            fill: 'transparent',
            stroke: 'currentColor',
            strokeWidth: '1',
            opacity: '0.6'
          },
          _react2.default.createElement('rect', { width: '20', height: '20', stroke: 'none' }),
          _react2.default.createElement('rect', { x: '0.5', y: '0.5', width: '19', height: '19' })
        ),
        _react2.default.createElement('path', {
          id: 'Path_394',
          'data-name': 'Path 394',
          d: 'M686.277,141.033h-4.813V136.22h-2.253v4.813H674.4v2.253h4.813V148.1h2.253v-4.813h4.813Z',
          transform: 'translate(-381.397 228.78)'
        })
      )
    )
  );
};

Plusbox.propTypes = {
  color: _propTypes2.default.string
};

Plusbox.defaultProps = {
  color: 'currentColor'
};

exports.default = Plusbox;