'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Preparation = function Preparation(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 15.25 15.63',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('circle', { cx: '4.45', cy: '4.27', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '7.64', cy: '1.5', r: '1.5' }),
          _react2.default.createElement('circle', { cx: '10.83', cy: '4.27', r: '1.5' }),
          _react2.default.createElement('polygon', { points: '15.25 6.68 0 6.68 0 7.74 3.92 7.74 3.92 11.79 4.98 11.79 4.98 7.74 10.3 7.74 10.3 11.79 11.35 11.79 11.35 7.74 15.25 7.74 15.25 6.68' }),
          _react2.default.createElement('rect', { x: '7.11', y: '9.18', width: '1.05', height: '6.45' })
        )
      )
    )
  );
};

Preparation.propTypes = {
  color: _propTypes2.default.string
};

Preparation.defaultProps = {
  color: 'currentColor'
};

exports.default = Preparation;