'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Quote = function Quote(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 13.14',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M5.82,0H1.44A1.45,1.45,0,0,0,0,1.44V5.82A1.45,1.45,0,0,0,1.44,7.26H5.78V9.51a2.16,2.16,0,0,1-2.15,2.15.74.74,0,0,0,0,1.48A3.63,3.63,0,0,0,7.26,9.51V1.44A1.45,1.45,0,0,0,5.82,0ZM1.48,5.82l0-4.34,4.34,0V5.78Z' }),
          _react2.default.createElement('path', { d: 'M14.56,0H10.18A1.45,1.45,0,0,0,8.74,1.44V5.82a1.45,1.45,0,0,0,1.44,1.44h4.34V9.51a2.16,2.16,0,0,1-2.15,2.15.74.74,0,1,0,0,1.48A3.63,3.63,0,0,0,16,9.51V1.44A1.45,1.45,0,0,0,14.56,0ZM10.22,5.82l0-4.34,4.34,0V5.78Z' })
        )
      )
    )
  );
};

Quote.propTypes = {
  color: _propTypes2.default.string
};

Quote.defaultProps = {
  color: 'currentColor'
};

exports.default = Quote;