'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Radioinput = function Radioinput(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 17.4 17.4',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M8.7,0a8.7,8.7,0,1,0,8.7,8.7A8.71,8.71,0,0,0,8.7,0Zm0,16A7.3,7.3,0,1,1,16,8.7,7.31,7.31,0,0,1,8.7,16Z' }),
          _react2.default.createElement('circle', { cx: '8.7', cy: '8.7', r: '3.02' })
        )
      )
    )
  );
};

Radioinput.propTypes = {
  color: _propTypes2.default.string
};

Radioinput.defaultProps = {
  color: 'currentColor'
};

exports.default = Radioinput;