'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Sales = function Sales(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 14.07 17.2',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M7,17.2A7,7,0,0,1,4.93,3.46L3.14,1A.6.6,0,0,1,3.09.33.62.62,0,0,1,3.63,0h6.81A.59.59,0,0,1,11,.32a.61.61,0,0,1,0,.61L9.23,3.48A7,7,0,0,1,7,17.2ZM4.79,1.2,6.42,3.48a.6.6,0,0,1,.07.58A.59.59,0,0,1,6,4.42a5.83,5.83,0,1,0,2.1,0,.6.6,0,0,1-.44-.36.62.62,0,0,1,.06-.56L9.31,1.2Z' }),
          _react2.default.createElement('path', { d: 'M8.9,10.9a1.09,1.09,0,0,0-.32-.82,1.78,1.78,0,0,0-.85-.41l-.2,0-.1,0,0-.1V8.36l.14,0A1.42,1.42,0,0,1,8,8.5a3.67,3.67,0,0,1,.52.27l.06,0h.18V7.91l-.08,0A4.39,4.39,0,0,0,8,7.69l-.5-.07H7.4V6.69H6.75v.94H6.64a1.92,1.92,0,0,0-1,.41A1.21,1.21,0,0,0,5.24,9a1.16,1.16,0,0,0,.27.78,1.6,1.6,0,0,0,.86.46l.22.06h.06l.1,0v1.25l-.15,0-.21,0L6,11.4a1.66,1.66,0,0,1-.31-.14l-.2-.12-.09,0H5.21V12l.07,0a3.21,3.21,0,0,0,.72.23,4.17,4.17,0,0,0,.63.08h.12v1.22H7.4V12.31l.1,0a2.08,2.08,0,0,0,.94-.41A1.26,1.26,0,0,0,8.9,10.9ZM6.75,9.49l-.17-.05a1.28,1.28,0,0,1-.31-.15.49.49,0,0,1-.14-.38.41.41,0,0,1,.2-.37,1,1,0,0,1,.25-.13l.17-.05Zm1.08,1.9a.68.68,0,0,1-.27.13l-.16.05V10.43l.16.05a.87.87,0,0,1,.29.14A.43.43,0,0,1,8,11,.46.46,0,0,1,7.83,11.39Z' })
        )
      )
    )
  );
};

Sales.propTypes = {
  color: _propTypes2.default.string
};

Sales.defaultProps = {
  color: 'currentColor'
};

exports.default = Sales;