'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Signout = function Signout(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('polygon', { points: '0 8 4.08 12.08 5.2 10.97 3.02 8.79 10.19 8.79 10.19 7.21 3.02 7.21 5.2 5.03 4.08 3.92 0 8' }),
          _react2.default.createElement('path', { d: 'M1.69,16H14.31A1.69,1.69,0,0,0,16,14.31V1.69A1.69,1.69,0,0,0,14.31,0H1.69A1.69,1.69,0,0,0,0,1.69v2H1.58V1.58H14.42V14.42H1.58V12.36H0v2A1.69,1.69,0,0,0,1.69,16Z' })
        )
      )
    )
  );
};

Signout.propTypes = {
  color: _propTypes2.default.string
};

Signout.defaultProps = {
  color: 'currentColor'
};

exports.default = Signout;