'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Sortingdown = function Sortingdown(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 15.92 17.32',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M11.84,5l-.48,1.73H9.78L11.84,0h2l2.08,6.74H14.28L13.77,5Zm1.71-1.14-.42-1.43c-.12-.4-.24-.9-.34-1.3h0c-.1.4-.2.91-.31,1.3l-.4,1.43Z' }),
          _react2.default.createElement('polygon', { points: '3.42 0.05 3.42 14.23 1.16 12.02 0 13.16 4.24 17.32 8.49 13.16 7.33 12.02 5.07 14.23 5.07 0.05 3.42 0.05' }),
          _react2.default.createElement('path', { d: 'M10.23,16.5l3.21-4.62v0H10.53V10.58h4.89v.88L12.28,16v0h3.19v1.26H10.23Z' })
        )
      )
    )
  );
};

Sortingdown.propTypes = {
  color: _propTypes2.default.string
};

Sortingdown.defaultProps = {
  color: 'currentColor'
};

exports.default = Sortingdown;