'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Tabularview = function Tabularview(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 15.4',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M4,11.35H.49A.35.35,0,0,1,.14,11V9a.35.35,0,0,1,.35-.35H4A.35.35,0,0,1,4.38,9v2A.35.35,0,0,1,4,11.35Zm-3.19-.7H3.68V9.35H.84Z' }),
          _react2.default.createElement('path', { d: 'M4,15.4H.49a.35.35,0,0,1-.35-.35v-2a.34.34,0,0,1,.35-.35H4a.34.34,0,0,1,.35.35v2A.35.35,0,0,1,4,15.4ZM.84,14.7H3.68V13.4H.84Z' }),
          _react2.default.createElement('path', { d: 'M9.77,11.35H6.23A.35.35,0,0,1,5.88,11V9a.35.35,0,0,1,.35-.35H9.77a.35.35,0,0,1,.35.35v2A.35.35,0,0,1,9.77,11.35Zm-3.19-.7H9.42V9.35H6.58Z' }),
          _react2.default.createElement('path', { d: 'M9.77,15.4H6.23a.35.35,0,0,1-.35-.35v-2a.34.34,0,0,1,.35-.35H9.77a.34.34,0,0,1,.35.35v2A.35.35,0,0,1,9.77,15.4Zm-3.19-.7H9.42V13.4H6.58Z' }),
          _react2.default.createElement('path', { d: 'M15.51,11.35H12a.35.35,0,0,1-.35-.35V9A.35.35,0,0,1,12,8.65h3.54a.35.35,0,0,1,.35.35v2A.35.35,0,0,1,15.51,11.35Zm-3.19-.7h2.84V9.35H12.32Z' }),
          _react2.default.createElement('path', { d: 'M15.51,15.4H12a.35.35,0,0,1-.35-.35v-2A.34.34,0,0,1,12,12.7h3.54a.34.34,0,0,1,.35.35v2A.35.35,0,0,1,15.51,15.4Zm-3.19-.7h2.84V13.4H12.32Z' }),
          _react2.default.createElement('path', { d: 'M4,7.3H.49A.34.34,0,0,1,.14,7V5A.35.35,0,0,1,.49,4.6H4A.35.35,0,0,1,4.38,5V7A.34.34,0,0,1,4,7.3ZM.84,6.6H3.68V5.3H.84Z' }),
          _react2.default.createElement('path', { d: 'M9.77,7.3H6.23A.34.34,0,0,1,5.88,7V5a.35.35,0,0,1,.35-.35H9.77a.35.35,0,0,1,.35.35V7A.34.34,0,0,1,9.77,7.3ZM6.58,6.6H9.42V5.3H6.58Z' }),
          _react2.default.createElement('path', { d: 'M15.51,7.3H12A.34.34,0,0,1,11.62,7V5A.35.35,0,0,1,12,4.6h3.54a.35.35,0,0,1,.35.35V7A.34.34,0,0,1,15.51,7.3Zm-3.19-.7h2.84V5.3H12.32Z' }),
          _react2.default.createElement('path', { d: 'M4,0H.49A.47.47,0,0,0,0,.46v1.9a.48.48,0,0,0,.49.46H4a.48.48,0,0,0,.49-.46V.46A.47.47,0,0,0,4,0Z' }),
          _react2.default.createElement('path', { d: 'M9.77,0H6.23a.47.47,0,0,0-.49.46v1.9a.48.48,0,0,0,.49.46H9.77a.48.48,0,0,0,.49-.46V.46A.47.47,0,0,0,9.77,0Z' }),
          _react2.default.createElement('path', { d: 'M15.51,0H12a.47.47,0,0,0-.49.46v1.9a.48.48,0,0,0,.49.46h3.54A.48.48,0,0,0,16,2.36V.46A.47.47,0,0,0,15.51,0Z' })
        )
      )
    )
  );
};

Tabularview.propTypes = {
  color: _propTypes2.default.string
};

Tabularview.defaultProps = {
  color: 'currentColor'
};

exports.default = Tabularview;