'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Website = function Website(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 17 15.43',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M0,14a1.45,1.45,0,0,0,1.45,1.44H15.55A1.45,1.45,0,0,0,17,14V1.44A1.45,1.45,0,0,0,15.55,0H1.45A1.45,1.45,0,0,0,0,1.44ZM9.16,1.32h6.52V3.14H9.16Zm-3.92,0h2.6V3.14H5.24Zm-3.92,0h2.6V3.14H1.32Zm0,3.14H15.68v9.65H1.32Z' })
        )
      )
    )
  );
};

Website.propTypes = {
  color: _propTypes2.default.string
};

Website.defaultProps = {
  color: 'currentColor'
};

exports.default = Website;