'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Website2 = function Website2(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M8,0a8,8,0,1,0,8,8A8,8,0,0,0,8,0ZM6.64,12.68H4.75a1.22,1.22,0,0,1-1.21-1.22V6.81h3.1Zm5.82-1.22a1.22,1.22,0,0,1-1.21,1.22H7.83V6.81h4.63Zm0-5.84H3.54V4.54A1.22,1.22,0,0,1,4.75,3.32h6.5a1.22,1.22,0,0,1,1.21,1.22Z' })
        )
      )
    )
  );
};

Website2.propTypes = {
  color: _propTypes2.default.string
};

Website2.defaultProps = {
  color: 'currentColor'
};

exports.default = Website2;