'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SvgIcon = require('../SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable max-len */

var Youtube2 = function Youtube2(props) {
  return _react2.default.createElement(
    _SvgIcon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        focusable: 'false',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 16 16',
        width: '24px',
        height: '24px'
      },
      _react2.default.createElement(
        'g',
        { id: 'Layer_2', 'data-name': 'Layer 2' },
        _react2.default.createElement(
          'g',
          { id: 'Layer_1-2', 'data-name': 'Layer 1' },
          _react2.default.createElement('path', { d: 'M8,0a8,8,0,1,0,8,8A8,8,0,0,0,8,0Zm4.34,10.13a.14.14,0,0,0,0,.12v0a.84.84,0,0,1-.81.58h.08A26.71,26.71,0,0,1,8,11.1a26,26,0,0,1-3.57-.23h.08a.84.84,0,0,1-.81-.58v0a.14.14,0,0,1,0-.12A18.85,18.85,0,0,1,3.5,8a18.85,18.85,0,0,1,.16-2.13.14.14,0,0,0,0-.12v0a.84.84,0,0,1,.81-.58H4.43A26.74,26.74,0,0,1,8,4.9a26,26,0,0,1,3.57.23h-.08a.84.84,0,0,1,.81.58v0a.14.14,0,0,1,0,.12A12.62,12.62,0,0,1,12.5,8,18.85,18.85,0,0,1,12.34,10.13Z' }),
          _react2.default.createElement('path', { d: 'M9.32,8.19,7.5,9.51a.19.19,0,0,1-.23,0,.21.21,0,0,1-.12-.19V6.68a.21.21,0,0,1,.12-.19.25.25,0,0,1,.23,0L9.32,7.81A.3.3,0,0,1,9.4,8,.14.14,0,0,1,9.32,8.19Z' })
        )
      )
    )
  );
};

Youtube2.propTypes = {
  color: _propTypes2.default.string
};

Youtube2.defaultProps = {
  color: 'currentColor'
};

exports.default = Youtube2;