'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  /* --height: 60px;\n  --heightMedium: 100px;\n  --heightBig: 150px; */\n\n  max-width: 100%;\n  overflow: hidden;\n  /* background: red; */\n  padding: 8px;\n  -webkit-overflow-scrolling: touch;\n  position: relative;\n  display: block;\n'], ['\n  /* --height: 60px;\n  --heightMedium: 100px;\n  --heightBig: 150px; */\n\n  max-width: 100%;\n  overflow: hidden;\n  /* background: red; */\n  padding: 8px;\n  -webkit-overflow-scrolling: touch;\n  position: relative;\n  display: block;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  overflow: hidden;\n  overflow-y: hidden;\n  overflow-x: auto;\n  margin: 0;\n  padding: 0;\n  list-style-type: none;\n  display: grid;\n  grid-gap: 8px;\n  grid-auto-flow: column;\n  /* min-height: var(--height); */\n  min-height: ', 'px;\n  height: ', 'px;\n  & img {\n    min-height: ', 'px;\n    height: ', 'px;\n    background-color: black;\n    width: auto;\n  }\n'], ['\n  overflow: hidden;\n  overflow-y: hidden;\n  overflow-x: auto;\n  margin: 0;\n  padding: 0;\n  list-style-type: none;\n  display: grid;\n  grid-gap: 8px;\n  grid-auto-flow: column;\n  /* min-height: var(--height); */\n  min-height: ', 'px;\n  height: ', 'px;\n  & img {\n    min-height: ', 'px;\n    height: ', 'px;\n    background-color: black;\n    width: auto;\n  }\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  display: grid;\n  position: relative;\n'], ['\n  display: grid;\n  position: relative;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  z-index: 1;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  background: #00000053;\n  border:none;\n  color: white;\n  flex-shrink: 0;\n  font-size: 3em;\n  padding: 0 8px;\n  position: absolute;\n  top: 0;\n  bottom:0;\n  box-sizing: border-box;\n  width: 40px;\n  &[data-action="prev"] {\n    &:before { content: \'\u2039\' }\n    left: 0;\n  }\n  &[data-action="next"] {\n    &:before { content: \'\u203A\' }\n    right: 0\n  }\n  &:before {\n    transform: scale(1.0);\n    transition: transform 80ms ease-in;\n  }\n  transition: background 80ms ease-in;\n  &:hover {\n    background: #00000083;\n    transition: background 180ms ease-out;\n    &:before {\n      transform: scale(1.2);\n      transition: transform 180ms ease-out;\n    }\n  }\n'], ['\n  z-index: 1;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  background: #00000053;\n  border:none;\n  color: white;\n  flex-shrink: 0;\n  font-size: 3em;\n  padding: 0 8px;\n  position: absolute;\n  top: 0;\n  bottom:0;\n  box-sizing: border-box;\n  width: 40px;\n  &[data-action="prev"] {\n    &:before { content: \'\u2039\' }\n    left: 0;\n  }\n  &[data-action="next"] {\n    &:before { content: \'\u203A\' }\n    right: 0\n  }\n  &:before {\n    transform: scale(1.0);\n    transition: transform 80ms ease-in;\n  }\n  transition: background 80ms ease-in;\n  &:hover {\n    background: #00000083;\n    transition: background 180ms ease-out;\n    &:before {\n      transform: scale(1.2);\n      transition: transform 180ms ease-out;\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var GalleryContainerUI = _styledComponents2.default.div(_templateObject);

var GalleryListUI = _styledComponents2.default.ul(_templateObject2, function (_ref) {
  var imgHeight = _ref.imgHeight;
  return imgHeight;
}, function (_ref2) {
  var imgHeight = _ref2.imgHeight;
  return imgHeight;
}, function (_ref3) {
  var imgHeight = _ref3.imgHeight;
  return imgHeight;
}, function (_ref4) {
  var imgHeight = _ref4.imgHeight;
  return imgHeight;
});

var GalleryListItemUI = _styledComponents2.default.li(_templateObject3);

var GalleryButtonUI = _styledComponents2.default.button(_templateObject4);

var Gallery = function (_Component) {
  _inherits(Gallery, _Component);

  function Gallery(props) {
    _classCallCheck(this, Gallery);

    var _this = _possibleConstructorReturn(this, (Gallery.__proto__ || Object.getPrototypeOf(Gallery)).call(this, props));

    _this.listRef = null;
    _this.handleNext = _this.handleNext.bind(_this);
    _this.handlePrevious = _this.handlePrevious.bind(_this);
    return _this;
  }

  _createClass(Gallery, [{
    key: 'handleNext',
    value: function handleNext() {
      var listRef = this.listRef;

      if (listRef) {
        var width = listRef.getBoundingClientRect().width;
        listRef.scrollLeft += width;
      }
    }
  }, {
    key: 'handlePrevious',
    value: function handlePrevious() {
      var listRef = this.listRef;

      if (listRef) {
        var width = listRef.getBoundingClientRect().width;
        listRef.scrollLeft -= width;
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          galleryDescriptor = _props.galleryDescriptor,
          imgHeight = _props.imgHeight,
          style = _props.style;


      return _react2.default.createElement(
        GalleryContainerUI,
        { style: style },
        _react2.default.createElement(GalleryButtonUI, { 'data-action': 'prev', onClick: this.handlePrevious }),
        _react2.default.createElement(
          GalleryListUI,
          { innerRef: function innerRef(node) {
              _this2.listRef = node;
            }, imgHeight: imgHeight },
          galleryDescriptor.map(function (image, i) {
            return _react2.default.createElement(
              GalleryListItemUI,
              { key: image.src + '-' + i },
              _react2.default.createElement('img', { tabIndex: '0', src: image.url, alt: '' })
            );
          })
        ),
        _react2.default.createElement(GalleryButtonUI, { 'data-action': 'next', onClick: this.handleNext })
      );
    }
  }]);

  return Gallery;
}(_react.Component);

Gallery.displayName = 'Gallery';

Gallery.defaultProps = {
  galleryDescriptor: [],
  imgHeight: 60
};

exports.default = Gallery;