'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  width: 100%;\n  height: auto;\n  opacity: 0;\n  MsInterpolationMode: nearest-neighbor;\n'], ['\n  width: 100%;\n  height: auto;\n  opacity: 0;\n  MsInterpolationMode: nearest-neighbor;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  transition: ', ';\n  width: 100%;\n  margin: 0;\n  opacity: 0;\n  display: inline-block;\n  background-image: ', ';\n  background-repeat: no-repeat;\n  background-size: ', ';\n  background-position: center;\n  line-height: 0;\n  overflow: hidden;\n  opacity: ', ';\n\n  ', ';\n\n  /* Thise next bit is there because is would\n   * break img in a lot of places if removed\n   * But enventually, size prop should be prefered to width prop\n   * in order to get a squarely constrained image\n   */\n  ', ';\n\n  ', ';\n'], ['\n  transition: ', ';\n  width: 100%;\n  margin: 0;\n  opacity: 0;\n  display: inline-block;\n  background-image: ', ';\n  background-repeat: no-repeat;\n  background-size: ', ';\n  background-position: center;\n  line-height: 0;\n  overflow: hidden;\n  opacity: ', ';\n\n  ', ';\n\n  /* Thise next bit is there because is would\n   * break img in a lot of places if removed\n   * But enventually, size prop should be prefered to width prop\n   * in order to get a squarely constrained image\n   */\n  ', ';\n\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var ImgUI = _styledComponents2.default.img(_templateObject);

var FigureUI = _styledComponents2.default.figure(_templateObject2, function (_ref) {
  var transition = _ref.theme.transition;
  return transition.defaultAll;
}, function (_ref2) {
  var src = _ref2.src;
  return 'url(' + src + ')';
}, function (_ref3) {
  var contain = _ref3.contain;
  return contain ? 'contain' : 'cover';
}, function (_ref4) {
  var loaded = _ref4.loaded;
  return loaded ? 1 : 0;
}, function (_ref5) {
  var width = _ref5.style.width;
  return width && '\n    width: ' + width + ';\n    min-width: ' + width + ';\n    max-width: ' + width + ';\n    /* height: ' + width + ';\n    min-height: ' + width + ';\n    max-height: ' + width + ';\n    */\n  ';
}, function (_ref6) {
  var width = _ref6.width;
  return width && '\n    width: ' + width + 'px;\n    min-width: ' + width + 'px;\n    max-width: ' + width + 'px;\n    height: ' + width + 'px;\n    min-height: ' + width + 'px;\n    max-height: ' + width + 'px;\n  ';
}, function (_ref7) {
  var size = _ref7.size;
  return size && '\n    width: ' + size + 'px;\n    min-width: ' + size + 'px;\n    max-width: ' + size + 'px;\n    height: ' + size + 'px;\n    min-height: ' + size + 'px;\n    max-height: ' + size + 'px;\n  ';
});

/**
 * the purpose of this compo is to dispaly image without
 * ever stretching it, no matter the context around
 */
// const Img = props => (

var Img = function (_Component) {
  _inherits(Img, _Component);

  // eslint-disable-line react/prefer-stateless-function
  function Img(props) {
    _classCallCheck(this, Img);

    // const hasIdleCallback = (window !== undefined && window.requestIdleCallback);
    // work with ssr
    var _this = _possibleConstructorReturn(this, (Img.__proto__ || Object.getPrototypeOf(Img)).call(this, props));

    var hasIdleCallback = false;
    if (typeof window !== 'undefined') {
      if (window.requestIdleCallback) {
        hasIdleCallback = true;
      }
    }

    _this.state = {
      loaded: !hasIdleCallback,
      hasIdleCallback: hasIdleCallback
    };

    _this.onLoadHandler = _this.onLoadHandler.bind(_this);
    return _this;
  }

  _createClass(Img, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      var src = this.props.src;
      var hasIdleCallback = this.state.hasIdleCallback;


      if (hasIdleCallback) {
        this.idleCBRef = window.requestIdleCallback(function () {
          var img = new Image();
          img.addEventListener('load', _this2.onLoadHandler);
          img.src = src;
        }, { timeout: 500 });
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      if (this.idleCBRef && !this.state.loaded) {
        if (cancelIdleCallback) {
          cancelIdleCallback(this.idleCBRef);
        }
      }
    }
  }, {
    key: 'onLoadHandler',
    value: function onLoadHandler() {
      this.setState({
        loaded: true
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          src = _props.src,
          alt = _props.alt,
          async = _props.async,
          style = _props.style,
          imgStyle = _props.imgStyle,
          contain = _props.contain,
          width = _props.width,
          size = _props.size;
      var loaded = this.state.loaded;


      return _react2.default.createElement(
        FigureUI,
        {
          contain: contain,
          loaded: loaded,
          src: src,
          style: style,
          width: width,
          size: size
        },
        _react2.default.createElement(ImgUI, {
          src: src,
          alt: alt,
          style: imgStyle,
          async: async ? 'on' : 'off'
        })
      );
    }
  }]);

  return Img;
}(_react.Component);

Img.propTypes = {
  src: _propTypes2.default.string,
  alt: _propTypes2.default.string,
  contain: _propTypes2.default.bool, // eslint-disable-line react/no-unused-prop-types
  style: _propTypes2.default.object,
  imgStyle: _propTypes2.default.object,
  async: _propTypes2.default.bool,
  size: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number])
};

Img.defaultProps = {
  src: '',
  alt: '',
  contain: false,
  style: {},
  imgStyle: {},
  async: true,
  size: undefined
};

exports.default = Img;