'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OptionsUI = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  ', ';\n\n  box-sizing: border-box;\n  cursor: pointer;\n  padding: 2px 2px 2px 6px;\n  /* background: white; */\n\n  text-overflow: ellipsis;\n  overflow-x: hidden;\n  white-space: nowrap;\n  & * {\n    text-overflow: ellipsis;\n    overflow-x: hidden;\n    white-space: nowrap;\n    transition: none;\n  }\n\n  user-select: none;\n  display: flex;\n  width: 100%;\n  min-height: 32px;\n  border: 1px solid transparent;\n\n  /* color: inherit; */\n  background-color: white;\n\n  &:hover,\n  &:focus {\n    outline: none;\n    /* color: white;\n    background: #595959; */\n    /* background-color: #cecece; */\n  };\n  &:focus, &:hover {\n    ', ';\n    color: ', ';\n    background-color: ', ';\n  }\n\n\n  /* &:active {\n    background-color: #fff;\n  }; */\n'], ['\n  ', ';\n\n  box-sizing: border-box;\n  cursor: pointer;\n  padding: 2px 2px 2px 6px;\n  /* background: white; */\n\n  text-overflow: ellipsis;\n  overflow-x: hidden;\n  white-space: nowrap;\n  & * {\n    text-overflow: ellipsis;\n    overflow-x: hidden;\n    white-space: nowrap;\n    transition: none;\n  }\n\n  user-select: none;\n  display: flex;\n  width: 100%;\n  min-height: 32px;\n  border: 1px solid transparent;\n\n  /* color: inherit; */\n  background-color: white;\n\n  &:hover,\n  &:focus {\n    outline: none;\n    /* color: white;\n    background: #595959; */\n    /* background-color: #cecece; */\n  };\n  &:focus, &:hover {\n    ', ';\n    color: ', ';\n    background-color: ', ';\n  }\n\n\n  /* &:active {\n    background-color: #fff;\n  }; */\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var OptionsUI = exports.OptionsUI = _styledComponents2.default.div.attrs(function (_ref) {
  var isOpen = _ref.isOpen;
  return {
    role: 'option',
    tabIndex: isOpen === true ? 0 : -1
  };
})(_templateObject, function (_ref2) {
  var isOpen = _ref2.isOpen;
  return isOpen !== undefined ? 'visibility: ' + (isOpen ? 'visible' : 'collapse') : '';
}, function (_ref3) {
  var disabled = _ref3.disabled,
      theme = _ref3.theme;
  return !disabled ? 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline : '';
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.focusHighlightText;
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.focusHighlight;
});

var Options = function Options(props) {
  var _onClick = props.onClick,
      style = props.style,
      isOpen = props.isOpen,
      rest = _objectWithoutProperties(props, ['onClick', 'style', 'isOpen']);

  return _react2.default.createElement(OptionsUI, _extends({}, rest, {
    isOpen: isOpen,
    style: style,
    onClick: function onClick(e) {
      if (_onClick) {
        _onClick(e);
      }
    },
    onKeyDown: function onKeyDown(e) {
      if (e.key === ' ' || e.key === 'Enter') {
        if (_onClick) {
          var fakeEvent = {
            currentTarget: {
              dataset: { index: e.currentTarget.dataset.index }
            }
          };
          _onClick(fakeEvent);
        }
      }
    }
  }));
};

Options.displayName = 'Options';

exports.default = Options;