'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isElement = isElement;
exports.isDOMTypeElement = isDOMTypeElement;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isElement(element) {
  return _react2.default.isValidElement(element);
}

function isDOMTypeElement(element) {
  return isElement(element) && typeof element.type === 'string';
}

exports.default = {
  isElement: isElement,
  isDOMTypeElement: isDOMTypeElement
};