'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  min-height: 34px;\n  box-sizing: border-box;\n  display: flex;\n  align-items: center;\n  /* background: white; */\n\n  * {\n    overflow-x: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n    color: #222222 !important;\n  }\n'], ['\n  min-height: 34px;\n  box-sizing: border-box;\n  display: flex;\n  align-items: center;\n  /* background: white; */\n\n  * {\n    overflow-x: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n    color: #222222 !important;\n  }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  min-width: 180px;\n  width: 100%;\n  min-height: 34px;\n  height: 34px;\n  border: 1px solid #cecece;\n  display: block;\n  border-radius: ', ';\n  overflow: hidden;\n  position: relative;\n  /* background: white; */\n'], ['\n  min-width: 180px;\n  width: 100%;\n  min-height: 34px;\n  height: 34px;\n  border: 1px solid #cecece;\n  display: block;\n  border-radius: ', ';\n  overflow: hidden;\n  position: relative;\n  /* background: white; */\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _DropDown = require('../internal/DropDown');

var _DropDown2 = _interopRequireDefault(_DropDown);

var _Icons = require('../Icons');

var _Button = require('../Button');

var _SelectInputOptions = require('./SelectInputOptions');

var _SelectInputOptions2 = _interopRequireDefault(_SelectInputOptions);

var _StatusIcon = require('./utils/StatusIcon');

var _StatusIcon2 = _interopRequireDefault(_StatusIcon);

var _ErrorWrapperUI = require('./utils/ErrorWrapperUI');

var _ErrorWrapperUI2 = _interopRequireDefault(_ErrorWrapperUI);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// eslint-disable-next-line import/no-named-as-default


function isElement(element) {
  return _react2.default.isValidElement(element);
}

function isDOMTypeElement(element) {
  return isElement(element) && typeof element.type === 'string';
}

var TriggererWrapperWithEllispsisChildren = _styledComponents2.default.div(_templateObject);

var TriggerreWrapper = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var radius = _ref.theme.radius;
  return radius;
});

// TODO show default value if any
var styles = {
  trigerrer: {
    // minWidth: '180px',
    // width: '100%',
    // minHeight: '30px',
    // border: '1px solid #cecece',
    // display: 'block',
    // borderRadius: '3px',
    // overflow: 'hidden',
    // position: 'relative',
    // background: 'white',
  },
  trigerrerIcon: {
    position: 'absolute',
    right: '0',
    top: '0',
    bottom: '0',
    display: 'flex',
    alignItems: 'center',
    padding: 0,
    maxHeight: '34px',
    height: '34px',
    boxSizing: 'border-box'
  }
};

/**
 * @deprecated
 */

var SelectInput = function (_PureComponent) {
  _inherits(SelectInput, _PureComponent);

  function SelectInput(props) {
    _classCallCheck(this, SelectInput);

    var _this = _possibleConstructorReturn(this, (SelectInput.__proto__ || Object.getPrototypeOf(SelectInput)).call(this, props));

    _this.isOpenControlled = props.isOpen !== undefined;

    _this.isControlled = props.value !== undefined;

    var children = _this.props.children;

    var storedOptions = _this.mapChildrenForStorage(children) || {};

    _this.state = {
      isOpen: _this.isOpenControlled ? _this.props.isOpen : false,
      options: storedOptions.options || [],
      optionsNode: storedOptions.optionsNode || [],
      // TODO: handle multi select
      selectedIndex: null
    };

    _this.handleDropDownChange = _this.handleDropDownChange.bind(_this);
    _this.preventScrollingOnSpace = _this.preventScrollingOnSpace.bind(_this);
    _this.clickHandler = _this.clickHandler.bind(_this);
    _this.storeItemsRef = _this.storeItemsRef.bind(_this);
    return _this;
  }

  _createClass(SelectInput, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      if (!this.isControlled) {
        var defaultValue = this.props.defaultValue;

        if (defaultValue !== undefined) {
          var options = this.state.options;
          // not controlled, use internal state

          var foundIndex = options.findIndex(function (o) {
            return o === defaultValue;
          });
          var selectedIndex = foundIndex > -1 ? foundIndex : null;
          this.setState({ selectedIndex: selectedIndex });
        } else {
          this.setState({ selectedIndex: 0 });
        }
      } else {
        var value = this.props.value;
        var _options = this.state.options;
        // not controlled, use internal state

        var _foundIndex = _options.findIndex(function (o) {
          return o === value;
        });
        var _selectedIndex = _foundIndex > -1 ? _foundIndex : 0;
        this.setState({ selectedIndex: _selectedIndex });
      }
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps, prevState) {
      var _this2 = this;

      var isOpenState = this.state.isOpen;
      var isOpenProps = this.props.isOpen;


      var isOpen = this.isOpenControlled ? isOpenProps : isOpenState;

      if (this.isControlled) {
        // noop
      } else if (this.state.selectedIndex) {
        var selectedIndex = prevState.selectedIndex;
        var onChange = prevProps.onChange;


        if (selectedIndex !== this.state.selectedIndex) {
          if (onChange) {
            var options = this.state.options;

            var value = options[this.state.selectedIndex];
            var fakeEvent = {
              target: { value: value },
              currentTarget: { value: value }
            };
            onChange(fakeEvent, value);
          }
        }
      }

      if (isOpen) {
        window.addEventListener('keydown', this.preventScrollingOnSpace);
      } else {
        window.removeEventListener('keydown', this.preventScrollingOnSpace);
      }

      var children = this.props.children;

      var shouldUpdateOptions = prevProps.children && children && (prevProps.children.length !== children.length || prevProps.children !== children);

      var storedOptions = null;
      if (shouldUpdateOptions) {
        storedOptions = this.mapChildrenForStorage(children) || {};
      }

      var shouldClose = this.isControlled && !this.isOpenControlled && this.props.value !== prevProps.value;

      if (shouldUpdateOptions || shouldClose) {
        setTimeout(function () {
          var newStateProps = {};

          if (storedOptions) {
            newStateProps = {
              options: storedOptions.options,
              optionsNode: storedOptions.optionsNode
            };
          }

          if (shouldClose) {
            newStateProps = _extends({}, newStateProps, {
              isOpen: false
            });
          }

          if (Object.keys(newStateProps).length) {
            _this2.setState(newStateProps);
          }
        }, 1);
      }
    }
  }, {
    key: 'getTrigerrerLabel',
    value: function getTrigerrerLabel() {
      var _this3 = this;

      var _state = this.state,
          selectedIndexState = _state.selectedIndex,
          optionsNode = _state.optionsNode,
          options = _state.options,
          _props = this.props,
          error = _props.error,
          success = _props.success,
          value = _props.value,
          triggerElement = _props.triggerElement;


      if (triggerElement) {
        return triggerElement;
      }

      var selectedIndex = selectedIndexState;
      var selecteIndexMaybe = options.findIndex(function (x) {
        return x === value;
      });
      if (this.isControlled) {
        if (selecteIndexMaybe > -1) {
          selectedIndex = selecteIndexMaybe;
        }
      }

      var mainContent = null;
      if (selectedIndex >= 0 && optionsNode[selectedIndex] !== undefined) {
        mainContent = _react2.default.createElement(
          TriggererWrapperWithEllispsisChildren,
          null,
          _react2.default.createElement(
            'div',
            {
              style: {
                padding: '2px 2px 2px 6px',
                marginRight: '64px',
                display: 'flex',
                width: '100%',
                boxSizing: 'border-box',
                height: '34px'
              }
            },
            _react2.default.cloneElement(optionsNode[selectedIndex], {
              style: _extends({}, optionsNode[selectedIndex].props.style, {
                whiteSpace: 'nowrap',
                textOverflow: 'ellipsis',
                overflow: 'hidden',
                display: 'flex',
                alignItems: 'center'
              })
            })
          )
        );
      } else {
        mainContent = _react2.default.createElement(
          'div',
          null,
          '\xA0'
        );
      }

      return _react2.default.createElement(
        TriggerreWrapper,
        {
          onEsc: function onEsc() {
            return _this3.clickHandler(null);
          }
        },
        _react2.default.createElement(
          'div',
          null,
          mainContent,
          _react2.default.createElement(_StatusIcon2.default, { success: success, error: error, style: { top: '0', right: '48px' } })
        ),
        _react2.default.createElement(
          'div',
          { style: styles.trigerrerIcon },
          _react2.default.createElement(_Button.Button, {
            inert: true,
            type: 'primary',
            style: {
              borderBottomLeftRadius: 0,
              borderTopLeftRadius: 0,
              minHeight: '34px'
            },
            icon: _react2.default.createElement(_Icons.Arrowdown, null)
          })
        )
      );
    }
  }, {
    key: 'getOptionsItem',
    value: function getOptionsItem() {
      var _this4 = this;

      var _props2 = this.props,
          children = _props2.children,
          isOpenProps = _props2.isOpen;
      var isOpenState = this.state.isOpen;


      var isOpen = this.isOpenControlled ? isOpenProps : isOpenState;

      return _react2.default.Children.map(children, function (child, i) {
        var value = child.props.value ? child.props.value : i;
        var isTheOne = _this4.state.selectedIndex === i;

        if (_react2.default.isValidElement(child)) {
          if (!isDOMTypeElement(child)) {
            return _react2.default.createElement(
              _SelectInputOptions2.default,
              _extends({
                onClick: function onClick(e) {
                  return _this4.clickHandler(e);
                },
                'data-index': i
              }, child.props, {
                isOpen: isOpen,
                selected: isTheOne,
                style: {
                  textOverflow: 'ellipsis',
                  overflowX: 'hidden',
                  maxWidth: '100%',
                  foo: 'bar'
                }
              }),
              _react2.default.cloneElement(child, {
                value: value
              })
            );
          }

          return _react2.default.createElement(
            _SelectInputOptions2.default,
            _extends({
              onClick: function onClick(e) {
                return _this4.clickHandler(e);
              },
              'data-index': i
            }, child.props, {
              isOpen: isOpen,
              selected: isTheOne,
              style: {
                textOverflow: 'ellipsis',
                overflowX: 'hidden',
                maxWidth: '100%',
                foo: 'bar'
              }
            }),
            _react2.default.cloneElement(child, {
              value: value
            })
          );
        }
        return null;
      });
    }
  }, {
    key: 'preventScrollingOnSpace',
    value: function preventScrollingOnSpace(e) {
      if (e.key === ' ' || e.key === 'Spacebar' || e.keyCode === 32) {
        if (this.isOpenControlled) {
          var onIsOpenChange = this.props.onIsOpenChange;

          if (onIsOpenChange) {
            onIsOpenChange(!this.props.isOpen, e);
          }
        } else {
          e.preventDefault();
          e.stopPropagation();

          this.setState({
            isOpen: false
          });
        }
      } else if (e.key === 'Tab' || e.keyCode === 9) {
        if (!(document.activeElement.nodeName === 'BUTTON')) {
          var _document = document,
              activeElement = _document.activeElement;

          var lastOptionItem = document.activeElement.parentNode.lastChild;
          var firstOptionItem = document.activeElement.parentNode.firstChild;

          if (e.shiftKey) {
            if (activeElement === firstOptionItem && lastOptionItem && lastOptionItem.focus) {
              lastOptionItem.focus();
              if (!this.isOpenControlled) {
                e.preventDefault();
              }
            }
          } else if (activeElement === lastOptionItem && firstOptionItem && firstOptionItem.focus) {
            firstOptionItem.focus();
            if (!this.isOpenControlled) {
              e.preventDefault();
            }
          }
        }
      } else if (e.key === 'Escape' || e.keyCode === 27) {
        if (this.isOpenControlled) {
          if (this.props.onIsOpenChange) {
            this.props.onIsOpenChange(false, e);
          }
        } else {
          this.setState({
            isOpen: false
          });
        }
      } else if (e.key === 'ArrowDown' || e.keyCode === 40) {
        if (!this.isOpenControlled) {
          e.preventDefault();
          e.stopPropagation();
        }

        // just go to next sigblings:
        var nextSiblingMaybe = document.activeElement.nextElementSibling;
        if (nextSiblingMaybe && nextSiblingMaybe.focus) {
          nextSiblingMaybe.focus();
        } else {
          // focus from main triggerer to (first) item:
          var nextSiblingMaybeItem = document.activeElement.parentNode.nextElementSibling;
          if (nextSiblingMaybeItem) {
            var _firstOptionItem = nextSiblingMaybeItem.firstChild;
            if (_firstOptionItem && _firstOptionItem.focus) {
              _firstOptionItem.focus();
            }
          } else if (this.itemRef) {
            // go back to first option element
            var firstOption = this.itemRef.firstChild;
            if (firstOption && firstOption.focus) {
              firstOption.focus();
            }
          }
        }
      } else if (e.key === 'ArrowUp' || e.keyCode === 38) {
        if (!this.isOpenControlled) {
          e.preventDefault();
          e.stopPropagation();
        }

        var previousSiblingMaybe = document.activeElement.previousElementSibling;
        if (previousSiblingMaybe && previousSiblingMaybe.focus) {
          previousSiblingMaybe.focus();
        } else {
          var optionsWrapperDiv = document.activeElement.parentNode.nextElementSibling;
          if (optionsWrapperDiv) {
            var _lastOptionItem = document.activeElement.parentNode.nextElementSibling.lastChild;
            if (_lastOptionItem && _lastOptionItem.focus) {
              _lastOptionItem.focus();
            }
          } else {
            // go back to last option element
            var lastOption = document.activeElement.parentNode.lastChild;
            if (lastOption && lastOption.focus) {
              lastOption.focus();
            }
          }
        }
      }
    }
  }, {
    key: 'mapChildrenForStorage',
    value: function mapChildrenForStorage(children) {
      // eslint-disable-line class-methods-use-this
      var options = [];
      var optionsNode = [];
      _react2.default.Children.forEach(children, function (child, i) {
        var value = child.props.value !== undefined ? child.props.value : i;
        options[i] = value; // garanties ordering
        optionsNode[i] = _react2.default.cloneElement(child, {
          style: _extends({}, child.props.style)
        });
      });

      return {
        options: options,
        optionsNode: optionsNode
      };
    }
  }, {
    key: 'storeOptions',
    value: function storeOptions(children) {
      this.setState({
        options: this.mapChildrenForStorage(children).options,
        optionsNode: this.mapChildrenForStorage(children).optionsNode
      });
    }
  }, {
    key: 'clickHandler',
    value: function clickHandler(e) {
      if (!e) {
        if (this.isOpenControlled) {
          var onIsOpenChange = this.props.onIsOpenChange;

          if (onIsOpenChange) {
            onIsOpenChange(false, null);
          }
        } else {
          if (this.isControlled) {
            // notify consumer ?
          } else {
            this.setState({
              selectedIndex: this.state.selectedIndex || null,
              isOpen: false
            });
          }
          this.forceUpdate();
        }

        return;
      }

      // TODO actually implement an conotrlled input on selectinput
      if (e.currentTarget && e.currentTarget.dataset && e.currentTarget.dataset.index !== undefined) {
        if (this.isControlled) {
          var onChange = this.props.onChange;

          var selectedIndex = e.currentTarget.dataset.index;
          if (!this.isOpenControlled) {
            this.setState({
              isOpen: false
            });
          }
          if (onChange) {
            var options = this.state.options;

            var value = options[selectedIndex];
            var fakeEvent = {
              target: { value: value },
              currentTarget: { value: value }
            };
            onChange(fakeEvent, value);
          }
        } else {
          var _selectedIndex2 = e.currentTarget.dataset.index;
          this.setState({
            selectedIndex: _selectedIndex2,
            isOpen: false
          });
          this.forceUpdate();
        }
      }
    }
  }, {
    key: 'handleDropDownChange',
    value: function handleDropDownChange(isOpen) {
      if (!this.isOpenControlled) {
        if (this.state.isOpen !== isOpen) {
          this.setState({ isOpen: isOpen });
        }
      }
      if (this.props.onIsOpenChange) {
        if (this.props.isOpen !== isOpen) {
          this.props.onIsOpenChange(isOpen);
        }
      }
    }
  }, {
    key: 'storeItemsRef',
    value: function storeItemsRef(itemsNode) {
      this.itemRef = itemsNode;
    }
  }, {
    key: 'render',
    value: function render() {
      var isOpenState = this.state.isOpen;
      var _props3 = this.props,
          isFullWidth = _props3.isFullWidth,
          error = _props3.error,
          style = _props3.style,
          mainScrollingElementSelector = _props3.mainScrollingElementSelector,
          inertTrigger = _props3.inertTrigger,
          isOpenProp = _props3.isOpen;


      var isOpen = this.isOpenControlled ? isOpenProp : isOpenState;

      var optionsItems = this.getOptionsItem();

      var trigerer = this.getTrigerrerLabel();

      return _react2.default.createElement(
        'div',
        { style: style },
        _react2.default.createElement(_DropDown2.default, {
          inertMain: inertTrigger,
          mainScrollingElementSelector: mainScrollingElementSelector,
          onIsOpenChange: this.handleDropDownChange,
          isFullWidth: isFullWidth || 'width' in style,
          isOpen: isOpen,
          main: trigerer,
          items: optionsItems,
          onItemRef: this.storeItemsRef,
          itemsStyle: {
            maxHeight: '200px',
            overflowY: 'auto',
            overflowX: 'hidden'
          }
        }),
        _react2.default.createElement(
          _ErrorWrapperUI2.default,
          null,
          error
        )
      );
    }
  }]);

  return SelectInput;
}(_react.PureComponent);

SelectInput.defaultProps = {
  style: {}
};

exports.default = SelectInput;