'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  position: absolute;\n  right: 8px;\n  top: 0;\n  height: 32px;\n  max-height: 32px;\n  min-height: 32px;\n  display: flex;\n  align-items: center;\n  color: ', ';\n  & > svg,\n  & > svg * {\n    fill: currentColor !important;\n    color: currentColor !important;\n  }\n'], ['\n  position: absolute;\n  right: 8px;\n  top: 0;\n  height: 32px;\n  max-height: 32px;\n  min-height: 32px;\n  display: flex;\n  align-items: center;\n  color: ', ';\n  & > svg,\n  & > svg * {\n    fill: currentColor !important;\n    color: currentColor !important;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Icons = require('../../Icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable no-nested-ternary */
var StatusIconUI = _styledComponents2.default.span(_templateObject, function (_ref) {
  var error = _ref.error,
      success = _ref.success,
      semantic = _ref.theme.palette.semantic;
  return error ? semantic.error : success ? semantic.success : semantic.default;
});

var StatusIcon = function StatusIcon(_ref2) {
  var error = _ref2.error,
      success = _ref2.success,
      style = _ref2.style;

  var stateIcon = error // eslint-disable-line no-nested-ternary
  ? _react2.default.createElement(_Icons.Issue, { size: '16' }) : success ? _react2.default.createElement(_Icons.Done, { size: '16' }) : null;

  return _react2.default.createElement(
    StatusIconUI,
    { error: error, success: success, style: style },
    stateIcon
  );
};

StatusIcon.displayName = 'StatusIcon';

exports.default = StatusIcon;