"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var forEachTreeElement = exports.forEachTreeElement = function forEachTreeElement(tree, cb, predicate) {
  if (tree.childNodes) {
    tree.childNodes.forEach(function (n) {
      forEachTreeElement(n, cb, predicate);
    });
  }

  if ((!predicate || predicate(tree)) && cb) {
    cb(tree);
  }

  return tree;
};

exports.default = {
  forEachTreeElement: forEachTreeElement
};