'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  display: flex;\n  min-height: 100%;\n  width: 100%;\n  flex-flow: ', ';\n'], ['\n  display: flex;\n  min-height: 100%;\n  width: 100%;\n  flex-flow: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  flex:1;\n  /* max-width: 100%;\n  width: 100%;\n  min-width: ', '; */\n  min-width: 100%;\n  min-width: ', ';\n  max-width: 100%;\n\n  width: auto;\n  flex-grow: 999999999;\n  flex-shrink: 0;\n  /* @media (min-width: 1024px) {\n    min-width: ', ';\n  } */\n'], ['\n  flex:1;\n  /* max-width: 100%;\n  width: 100%;\n  min-width: ', '; */\n  min-width: 100%;\n  min-width: ', ';\n  max-width: 100%;\n\n  width: auto;\n  flex-grow: 999999999;\n  flex-shrink: 0;\n  /* @media (min-width: 1024px) {\n    min-width: ', ';\n  } */\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  min-width: 100%;\n  width: ', ';\n  max-width: 100%;\n  flex-grow: 1;\n  flex-shrink: 1;\n  ', '\n'], ['\n  min-width: 100%;\n  width: ', ';\n  max-width: 100%;\n  flex-grow: 1;\n  flex-shrink: 1;\n  ', '\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var ContentWithExtraUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var isAfter = _ref.isAfter;
  return isAfter ? 'row wrap' : 'row wrap';
});

var ContentUI = _styledComponents2.default.div(_templateObject2, function (_ref2) {
  var contentMinWidth = _ref2.contentMinWidth;
  return contentMinWidth;
}, function (_ref3) {
  var contentMinWidth = _ref3.contentMinWidth;
  return contentMinWidth;
}, function (_ref4) {
  var contentMinWidth = _ref4.contentMinWidth;
  return contentMinWidth;
});

var ExtraUI = _styledComponents2.default.div(_templateObject3, function (_ref5) {
  var contentMinWidth = _ref5.contentMinWidth;
  return contentMinWidth;
}, function (_ref6) {
  var extraMinWidth = _ref6.extraMinWidth;
  return extraMinWidth ? 'min-width: ' + extraMinWidth + ';' : '';
});

var ContentWithExtra = function ContentWithExtra(props) {
  var extraPosition = props.extraPosition,
      extra = props.extra,
      children = props.children,
      extraMinWidth = props.extraMinWidth,
      contentMinWidth = props.contentMinWidth,
      contentStyle = props.contentStyle,
      extraStyle = props.extraStyle,
      style = props.style,
      contentProps = props.contentProps,
      extraProps = props.extraProps;


  var contentItems = [_react2.default.createElement(
    ExtraUI,
    _extends({
      key: 'extra',
      extraMinWidth: extraMinWidth
    }, extraProps, {
      style: _extends({}, extraStyle, extraProps && extraProps.style ? extraProps.style : {})

    }),
    extra
  ), _react2.default.createElement(
    ContentUI,
    _extends({
      key: 'content',
      contentMinWidth: contentMinWidth
    }, contentProps, {
      style: _extends({}, contentStyle, contentProps && contentProps.style ? contentProps.style : {})
    }),
    children
  )];

  return _react2.default.createElement(
    ContentWithExtraUI,
    {
      isAfter: extraPosition === 'after',
      extraPosition: extraPosition,
      style: style
    },
    extraPosition === 'after' ? contentItems.reverse() : contentItems
  );
};

ContentWithExtra.displayName = 'ContentWithExtra';

ContentWithExtra.defaultProps = {
  extraPosition: 'before',
  extraMinWidth: '200px',
  contentStyle: {}
};

ContentWithExtra.propTypes = {
  extraPosition: _propTypes2.default.oneOf(['before', 'after'])
};

exports.default = ContentWithExtra;