'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  display: flex;\n  min-height: 100%;\n  width: 100%;\n  overflow: visible;\n  flex-flow: ', ';\n'], ['\n  display: flex;\n  min-height: 100%;\n  width: 100%;\n  overflow: visible;\n  flex-flow: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  flex:1;\n  /* max-width: 100%;\n  width: 100%;\n  min-width: ', '; */\n  min-width: 100%;\n  min-width: ', ';\n  max-width: 100%;\n\n  width: auto;\n  flex-grow: 99;\n  flex-shrink: 0;\n  /* @media (min-width: 1024px) {\n    min-width: ', ';\n  } */\n'], ['\n  flex:1;\n  /* max-width: 100%;\n  width: 100%;\n  min-width: ', '; */\n  min-width: 100%;\n  min-width: ', ';\n  max-width: 100%;\n\n  width: auto;\n  flex-grow: 99;\n  flex-shrink: 0;\n  /* @media (min-width: 1024px) {\n    min-width: ', ';\n  } */\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  min-width: 100%;\n  width: ', ';\n  max-width: 100%;\n  flex-grow: 1;\n  flex-shrink: 1;\n  ', ';\n'], ['\n  min-width: 100%;\n  width: ', ';\n  max-width: 100%;\n  flex-grow: 1;\n  flex-shrink: 1;\n  ', ';\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  ', ';\n'], ['\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var ContentWithStickyExtraUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var isAfter = _ref.isAfter;
  return isAfter ? 'row wrap' : 'row wrap';
});

var ContentUI = _styledComponents2.default.div(_templateObject2, function (_ref2) {
  var contentMinWidth = _ref2.contentMinWidth;
  return contentMinWidth;
}, function (_ref3) {
  var contentMinWidth = _ref3.contentMinWidth;
  return contentMinWidth;
}, function (_ref4) {
  var contentMinWidth = _ref4.contentMinWidth;
  return contentMinWidth;
});

var ExtraUI = _styledComponents2.default.div(_templateObject3, function (_ref5) {
  var contentMinWidth = _ref5.contentMinWidth;
  return contentMinWidth;
}, function (_ref6) {
  var extraMinWidth = _ref6.extraMinWidth;
  return extraMinWidth ? 'min-width: ' + extraMinWidth + ';' : '';
});
var ExtraStickyInnerWrapper = _styledComponents2.default.div(_templateObject4, function (_ref7) {
  var top = _ref7.top;
  return 'position: sticky; top: ' + top + 'px';
});

var ContentWithStickyExtra = function (_Component) {
  _inherits(ContentWithStickyExtra, _Component);

  function ContentWithStickyExtra(props) {
    _classCallCheck(this, ContentWithStickyExtra);

    var _this = _possibleConstructorReturn(this, (ContentWithStickyExtra.__proto__ || Object.getPrototypeOf(ContentWithStickyExtra)).call(this, props));

    _this.state = {
      extraHeight: null,
      scrollingElem: null,
      listenerAttached: false,
      totalOffsetBackupScroll: 0
    };

    _this.storeExtraRef = _this.storeExtraRef.bind(_this);
    _this.detachListeners = _this.detachListeners.bind(_this);
    _this.attachListeners = _this.attachListeners.bind(_this);
    _this.handleScroll = _this.handleScroll.bind(_this);
    _this.handleResize = _this.handleResize.bind(_this);
    return _this;
  }

  _createClass(ContentWithStickyExtra, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.attachListeners();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(previousProps) {
      if (previousProps.searchFilter !== this.props.searchFilter) {
        this.attachListeners();
        this.handleResize();
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.detachListeners();
    }
  }, {
    key: 'storeExtraRef',
    value: function storeExtraRef(node) {
      if (node) {
        if (!this.extraRef) {
          this.extraRef = node;

          var _node$getBoundingClie = node.getBoundingClientRect(),
              height = _node$getBoundingClie.height;

          this.setState({ extraHeight: height });
          this.attachListeners();
        } else {
          this.extraRef = null;
        }
      }
    }
  }, {
    key: 'attachListeners',
    value: function attachListeners() {
      var mainScrollingElementSelector = this.props.mainScrollingElementSelector;


      var scrollingElem = document && document.querySelector(mainScrollingElementSelector);

      var windowHeight = window.innerHeight;

      if (!this.state.listenerAttached) {
        if (scrollingElem) {
          scrollingElem.addEventListener('scroll', this.handleScroll);
          window.addEventListener('resize', this.handleResize);
          this.setState({ scrollingElem: scrollingElem, listenerAttached: true, windowHeight: windowHeight });
          if (this.extraRef) {
            var _extraRef$getBounding = this.extraRef.getBoundingClientRect(),
                height = _extraRef$getBounding.height;

            this.setState({ extraHeight: height });
          }
        }
      } else {
        this.setState({ scrollingElem: scrollingElem, windowHeight: windowHeight });
        if (this.extraRef) {
          var _extraRef$getBounding2 = this.extraRef.getBoundingClientRect(),
              _height = _extraRef$getBounding2.height;

          this.setState({ extraHeight: _height });
        }
      }
    }
  }, {
    key: 'detachListeners',
    value: function detachListeners() {
      if (this.state.scrollingElem) {
        if (this.state.attachListeners) {
          this.state.scrollingElem.removeEventListener('scroll', this.handleScroll);
          window.removeEventListener('resize', this.handleResize);
        }
      }
    }
  }, {
    key: 'handleScroll',
    value: function handleScroll() {
      if (this.extraRef) {
        var _extraRef$getBounding3 = this.extraRef.getBoundingClientRect(),
            height = _extraRef$getBounding3.height;

        var extraHeight = height;
        // e.persist();

        var _state = this.state,
            scrollingElem = _state.scrollingElem,
            windowHeight = _state.windowHeight,
            previousScrollTop = _state.previousScrollTop,
            totalOffsetBackupScrollState = _state.totalOffsetBackupScroll;


        if (scrollingElem) {
          var scrollTop = scrollingElem.scrollTop;


          var isScrollingBackUp = previousScrollTop >= scrollTop;

          var totalOffsetBackupScroll = scrollTop > 0 ? totalOffsetBackupScrollState || 0 : 0;

          var scrollingBackUpOffset = 0;
          if (isScrollingBackUp) {
            // scrolling (back) up
            scrollingBackUpOffset = previousScrollTop - scrollTop;
          } else {
            totalOffsetBackupScroll = 0;
          }

          totalOffsetBackupScroll += scrollingBackUpOffset;

          var headerHeight = 48;
          var paddingTotal = 16;

          var diff = isScrollingBackUp ? windowHeight - (extraHeight + headerHeight + paddingTotal) + totalOffsetBackupScroll : windowHeight - (extraHeight + headerHeight + paddingTotal) + totalOffsetBackupScroll;

          if (scrollTop > diff) {
            this.setState({
              sticky: true,
              top: diff <= paddingTotal ? diff : paddingTotal,
              previousScrollTop: scrollTop,
              isScrollingBackUp: isScrollingBackUp,
              totalOffsetBackupScroll: totalOffsetBackupScroll
            });
            /* eslint-disable */
          } /* else if (scrollTop <= diff) {
            this.setState({
              sticky: false,
              top: paddingTotal,
              previousScrollTop: scrollTop,
              isScrollingBackUp,
              totalOffsetBackupScroll,
            });
            } */else if (scrollTop === 0) {
              /* eslint-enable */
              this.setState({
                sticky: false,
                top: 0,
                previousScrollTop: scrollTop,
                isScrollingBackUp: isScrollingBackUp,
                totalOffsetBackupScroll: totalOffsetBackupScroll
              });
            }
        }
      }
    }
  }, {
    key: 'handleResize',
    value: function handleResize() {
      if (this.extraRef) {
        var _extraRef$getBounding4 = this.extraRef.getBoundingClientRect(),
            height = _extraRef$getBounding4.height;

        this.setState({ extraHeight: height });
        this.setState({ windowHeight: window.innerHeight });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          extraPosition = _props.extraPosition,
          extra = _props.extra,
          children = _props.children,
          extraMinWidth = _props.extraMinWidth,
          contentMinWidth = _props.contentMinWidth,
          contentStyle = _props.contentStyle,
          extraStyle = _props.extraStyle,
          style = _props.style,
          contentProps = _props.contentProps,
          extraProps = _props.extraProps;
      var _state2 = this.state,
          sticky = _state2.sticky,
          top = _state2.top;


      var contentItems = [_react2.default.createElement(
        ExtraUI,
        _extends({
          key: 'extra',
          extraMinWidth: extraMinWidth
        }, extraProps, {
          style: _extends({}, extraStyle, extraProps && extraProps.style ? extraProps.style : {})

        }),
        _react2.default.createElement(
          ExtraStickyInnerWrapper,
          {
            sticky: sticky,
            top: top,
            innerRef: this.storeExtraRef,
            ref: this.storeExtraRef
          },
          extra
        )
      ), _react2.default.createElement(
        ContentUI,
        _extends({
          key: 'content',
          contentMinWidth: contentMinWidth
        }, contentProps, {
          style: _extends({}, contentStyle, contentProps && contentProps.style ? contentProps.style : {})
        }),
        children
      )];

      return _react2.default.createElement(
        ContentWithStickyExtraUI,
        {
          isAfter: extraPosition === 'after',
          extraPosition: extraPosition,
          style: style
        },
        extraPosition === 'after' ? contentItems.reverse() : contentItems
      );
    }
  }]);

  return ContentWithStickyExtra;
}(_react.Component);

ContentWithStickyExtra.displayName = 'ContentWithStickyExtra';

ContentWithStickyExtra.defaultProps = {
  extraPosition: 'before',
  extraMinWidth: '200px',
  style: {},
  contentStyle: {},
  extraStyle: {},
  mainScrollingElementSelector: 'body'
};

ContentWithStickyExtra.propTypes = {
  extraPosition: _propTypes2.default.oneOf(['before', 'after'])
};

exports.default = ContentWithStickyExtra;