'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  /* overflow: hidden; */\n  display: inline-flex;\n  /* border-radius: 3px; */\n  border-radius: ', ';\n  border: ', ';\n  /* border: #dcdcdc; */\n  width: ', ';\n  /* &>div:first-child {\n    width: 100%;\n  } */\n'], ['\n  /* overflow: hidden; */\n  display: inline-flex;\n  /* border-radius: 3px; */\n  border-radius: ', ';\n  border: ', ';\n  /* border: #dcdcdc; */\n  width: ', ';\n  /* &>div:first-child {\n    width: 100%;\n  } */\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var InputWrapper = _styledComponents2.default.div(_templateObject, function (_ref) {
  var radius = _ref.theme.radius;
  return radius;
}, function (_ref2) {
  var palette = _ref2.theme.palette;
  return palette.lightGrey;
}, function (_ref3) {
  var fullWidth = _ref3.fullWidth;
  return fullWidth ? '100%' : 'auto';
});

/**
 * TODO: what happens when the context/parentDomBox
 * does not provide enough width to render all inline ? -df
 */

var InputGroup = function InputGroup(_ref4) {
  var children = _ref4.children,
      _ref4$style = _ref4.style,
      style = _ref4$style === undefined ? {} : _ref4$style,
      fullWidth = _ref4.fullWidth,
      _ref4$theme$radius = _ref4.theme.radius,
      radius = _ref4$theme$radius === undefined ? '3px' : _ref4$theme$radius;
  return _react2.default.createElement(
    InputWrapper,
    { fullWidth: fullWidth, style: style },
    _react2.default.Children.map(children, function (child, i) {
      'r';

      var rules = 0;
      if (i === 0) {
        rules = radius + ' 0 0 ' + radius;
      }
      if (i === _react2.default.Children.count(children) - 1) {
        rules = ' 0 ' + radius + ' ' + radius + ' 0';
      }

      return _react2.default.cloneElement(child, {
        style: _extends({}, child.props.style, {
          borderRadius: rules,
          minHeight: '34px',
          maxHeight: '34px',
          height: '34px',
          boxSizing: 'border-box'
        }),
        key: i
      });
    })
  );
};

exports.default = (0, _styledComponents.withTheme)(InputGroup);