'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

var _GlobalMenuWrapper = require('./GlobalMenuWrapper');

var _GlobalMenuWrapper2 = _interopRequireDefault(_GlobalMenuWrapper);

var _GlobalMenuLogo = require('./GlobalMenuLogo');

var _GlobalMenuLogo2 = _interopRequireDefault(_GlobalMenuLogo);

var _defaults = require('./defaults');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var bigMenuWidth = _defaults.defaults.bigMenuWidth;

var GlobalMenu = function (_Component) {
  _inherits(GlobalMenu, _Component);

  function GlobalMenu() {
    _classCallCheck(this, GlobalMenu);

    return _possibleConstructorReturn(this, (GlobalMenu.__proto__ || Object.getPrototypeOf(GlobalMenu)).apply(this, arguments));
  }

  _createClass(GlobalMenu, [{
    key: 'shouldComponentUpdate',

    // constructor(props) {
    //   super(props);
    //   const initialSelected = props.initialSelected;
    //   const firstActiveMaybe = this.getFirstActiveFoundMaybe();
    //   this.state = {
    //     selected: initialSelected || (firstActiveMaybe || ''),
    //   };
    // }

    // componentDidMount() {
    //   const firstActiveFound = this.getFirstActiveFoundMaybe();

    //   if (firstActiveFound) {
    //     const activeChild = (
    //       firstActiveFound
    //       && firstActiveFound.children
    //       && firstActiveFound.children.find(child => child.isActive)
    //     );

    //     if (activeChild) {
    //       this.changeSelected(activeChild.key);
    //     } else {
    //       this.changeSelected(firstActiveFound.key);
    //     }
    //   }
    // }

    value: function shouldComponentUpdate(nextProps) {
      var menuDescriptor = this.props.menuDescriptor;


      if (!(0, _isEqual2.default)(nextProps.menuDescriptor) !== menuDescriptor) {
        return true;
      }

      return false;
    }

    // componentDidUpdate(prevProps) {
    //   const { selected } = this.state;

    //   if (prevProps.menuDescriptors !== this.props.menuDescriptors) {
    //     const firstActive = this.getFirstActiveFoundMaybe();
    //     if (!firstActive) {
    //       this.changeSelected('');
    //     } else {
    //       if (firstActive.key !== selected) { // eslint-disable-line
    //         this.changeSelected(firstActive.key);
    //       }
    //     }
    //   }
    // }

    // getFirstActiveFoundMaybe() {
    //   const { menuDescriptors } = this.props;

    //   const activeMaybe = menuDescriptors
    //     .find((menuDescriptor) => {
    //       const hasChildren = menuDescriptor.children;
    //       return (
    //         menuDescriptor.isActive === true ||
    //         (hasChildren && menuDescriptor.children
    //           .find(child => child.isActive)
    //         )
    //       );
    //     });

    //   if (activeMaybe && activeMaybe.key) {
    //     return activeMaybe.key;
    //   }
    //   return null;
    // }

    // getSelected(key) {
    //   const { selected } = this.state;

    //   return (selected === key);
    // }

    // changeSelected(value) {
    //   this.setState({
    //     selected: value,
    //   });
    // }

    // handleClickOutside(value) {
    //   const newSelectedKeyValue = (value === this.state.selected) ? '' : this.state.selected;

    //   this.setState({
    //     selected: newSelectedKeyValue,
    //   });
    // }

  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          menuDescriptors = _props.menuDescriptors,
          onLogoClick = _props.onLogoClick,
          logoDescriptor = _props.logoDescriptor,
          attachToViewport = _props.attachToViewport,
          style = _props.style,
          breakpoint = _props.breakpoint,
          menuWidth = _props.menuWidth,
          bigMenuWidth = _props.bigMenuWidth,
          innerStyle = _props.innerStyle,
          fullViewportWidthPanelProp = _props.fullViewportWidthPanel,
          panelOffsetTop = _props.panelOffsetTop,
          panelOffsetBottom = _props.panelOffsetBottom,
          appStamp = _props.appStamp;


      var fullViewportWidthPanel = attachToViewport ? true : fullViewportWidthPanelProp;

      // const {
      //   selected,
      // } = this.state;

      var menuDescriptorWithActiveAndSelected = menuDescriptors || [];
      /* const menuDescriptorWithActiveAndSelected = (menuDescriptors || []).map((menuDescriptor) => {
        const isSelected = this.getSelected(menuDescriptor.key);
        const menuDescriptorChildren = [];
        let isMenuSelected;
         if (menuDescriptor.children) {
          menuDescriptor.children.forEach((m) => {
            const isChildrenSelected = this.getSelected(m.key);
            if (isChildrenSelected) {
              isMenuSelected = true;
            }
             const {
              children, // single sublevel for now
              ...menuDescriptorProps
            } = menuDescriptor;
             menuDescriptorChildren.push({
              ...menuDescriptorProps,
              ...m, // not react children
              isSelected: isChildrenSelected,
              isOpen: !!(isChildrenSelected && m.panel && m.panel.Content),
              onClick: () => {
                this.changeSelected(m.key);
                if (m.onClick) {
                  m.onClick();
                }
              },
            });
          });
        }
         return {
          ...menuDescriptor,
          isSelected: isSelected || isMenuSelected || menuDescriptor.isActive,
          isOpen: !!(isSelected && menuDescriptor.panel && menuDescriptor.panel.Content),
          onClick: () => {
            this.changeSelected(menuDescriptor.key);
            if (menuDescriptor.onClick) {
              menuDescriptor.onClick();
            }
          },
          children: menuDescriptorChildren,
        };
      });
      */

      var theLogo = logoDescriptor && _react2.default.createElement(_GlobalMenuLogo2.default, {
        key: logoDescriptor.key || 'GlobalMenuMainLogo',
        label: logoDescriptor.displayName || '',
        icon: logoDescriptor.icon,
        Link: logoDescriptor.Link,
        to: logoDescriptor.to,
        href: logoDescriptor.href,
        logoTooltipLabel: logoDescriptor.tooltipLabel || logoDescriptor.displayName || ''
        // selectedKey={selected}
        , onClick: function onClick() {
          // this.changeSelected(logoDescriptor.key || 'GlobalMenuMainLogo');
          if (logoDescriptor.onClick) {
            logoDescriptor.onClick();
          }
        }
      });

      var layoutContext = attachToViewport ? { position: 'fixed', zIndex: 80, top: 0, left: 0, bottom: 0, overflowX: 'hidden' } : _extends({
        position: 'relative'
      }, fullViewportWidthPanel ? {} : { overflowX: 'hidden' }, {
        height: '100vh',
        maxHeight: '100vh',
        overflow: 'hidden',
        overflowY: 'auto',
        maxWidth: bigMenuWidth
      });

      return _react2.default.createElement(
        'div',
        { style: _extends({}, layoutContext, style) },
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(_GlobalMenuWrapper2.default, {
            appStamp: appStamp,
            breakpoint: breakpoint,
            menuWidth: menuWidth,
            bigMenuWidth: bigMenuWidth,
            panelOffsetTop: panelOffsetTop,
            panelOffsetBottom: panelOffsetBottom,
            logo: theLogo,
            onLogoClick: onLogoClick
            // selectedKey={null/* selected */}
            , menuDescriptors: menuDescriptorWithActiveAndSelected,
            attachToViewport: attachToViewport,
            innerStyle: innerStyle,
            fullViewportWidthPanel: fullViewportWidthPanel
            // handlePanelClickOutside={this.handleClickOutside.bind(this)}
          })
        )
      );
    }
  }]);

  return GlobalMenu;
}(_react.Component);

GlobalMenu.propTypes = {
  // initialActive: PropTypes.string,
  // initialSelected: PropTypes.string,
  onLogoClick: _propTypes2.default.func,
  // backgroundColor: PropTypes.string,
  // Logo: PropTypes.any,
  // primaryColor: PropTypes.string,
  menuDescriptors: _propTypes2.default.array,
  style: _propTypes2.default.object,
  panelOffsetTop: _propTypes2.default.string,
  panelOffsetBottom: _propTypes2.default.string,
  bigMenuWidth: _propTypes2.default.string
};

GlobalMenu.defaultProps = {
  // initialActive: '',
  initialSelected: undefined,
  onLogoClick: function onLogoClick() {},
  // backgroundColor: '',
  // Logo: PropTypes.any,
  // primaryColor: '',
  menuDescriptors: [],
  style: {},
  panelOffsetTop: '0px',
  panelOffsetBottom: '0px',
  bigMenuWidth: bigMenuWidth
};

exports.default = GlobalMenu;