'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _MlMenuList = require('./MlMenuList');

var _MlMenuList2 = _interopRequireDefault(_MlMenuList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MlMenu = function MlMenu(props) {
  var _props$menuDescriptor = props.menuDescriptor,
      menuDescriptor = _props$menuDescriptor === undefined ? [] : _props$menuDescriptor,
      isFullWidth = props.isFullWidth,
      onClick = props.onClick,
      _props$onSelfClose = props.onSelfClose,
      onSelfClose = _props$onSelfClose === undefined ? function () {} : _props$onSelfClose;


  return _react2.default.createElement(_MlMenuList2.default, {
    onSelfClose: onSelfClose,
    onClick: onClick,
    isFullWidth: isFullWidth,
    menuDescriptor: menuDescriptor
  });
};

exports.default = MlMenu;