'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleMenuLevel = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  a {\n    color: ', ';\n    background: white;\n    text-decoration: none;\n    &:hover, &:focus {\n      background: ', ';\n      color: white;\n      text-decoration: none;\n    }\n  }\n'], ['\n  a {\n    color: ', ';\n    background: white;\n    text-decoration: none;\n    &:hover, &:focus {\n      background: ', ';\n      color: white;\n      text-decoration: none;\n    }\n  }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  --itemWidth: 190px;\n\n\n  &, & * {\n    box-sizing: border-box;\n  }\n\n  ul {\n    box-sizing: border-box;\n    border: 1px solid #cecece;\n    box-shadow: ', ';\n    background: white;\n  }\n\n  ul {\n    width: ', ';\n    min-width: var(--itemWidth);\n    max-width: ', ';\n  }\n  li {\n    width: ', ';\n    max-width: ', ';\n  }\n\n  &, ul {\n    border-radius: ', ';\n  }\n\n  li, li a {\n    border-radius: 0;\n  }\n\n  li:first-child, li:first-child > a {\n    border-radius: ', ';\n  }\n\n  li:last-child, li:last-child > a {\n    border-radius: ', ';\n  }\n\n  li:first-child:last-child, li:first-child:last-child > a {\n    border-radius: ', ';\n  }\n\n  a {\n    &, &:hover, &:focus { }\n    width: 100%;\n    padding: 8px;\n    display: flex;\n    & > *:first-child { padding-right: 6px; flex-grow: 1 }\n    & > *:nth-child(2) { flex-grow: 999999; }\n  }\n\n\n\n  a:not(:only-child) {\n    &:after {\n      content: \'\u25B8\';\n      display: block;\n      width: 8px;\n    }\n  }\n  li { position: relative;  display: flex; }\n\n  li > ul { display: none; }\n\n  li > ul {\n    position: absolute;\n    right: 0;\n    transform: translateX(100%);\n    transform: translate(100%, 0%);\n    &:before {\n      content: \'\';\n      display: block;\n      width: ', ';\n      height: 100%;\n      position: absolute;\n      left: calc(var(--itemWidth) * -1);\n    }\n  }\n\n  li:not(:hover) {\n    z-index: 100;\n  }\n\n  li:hover > ul,\n  li:focus-within > ul {\n    display: block;\n    width: var(--itemWidth);\n\n    & {\n      z-index: 1;\n      &:before {\n        z-index: 0;\n      }\n      &:hover {\n        z-index: 99;\n      }\n    }\n\n  }\n\n  ul li a:hover { z-index: 9999 }\n'], ['\n  --itemWidth: 190px;\n\n\n  &, & * {\n    box-sizing: border-box;\n  }\n\n  ul {\n    box-sizing: border-box;\n    border: 1px solid #cecece;\n    box-shadow: ', ';\n    background: white;\n  }\n\n  ul {\n    width: ', ';\n    min-width: var(--itemWidth);\n    max-width: ', ';\n  }\n  li {\n    width: ', ';\n    max-width: ', ';\n  }\n\n  &, ul {\n    border-radius: ', ';\n  }\n\n  li, li a {\n    border-radius: 0;\n  }\n\n  li:first-child, li:first-child > a {\n    border-radius: ', ';\n  }\n\n  li:last-child, li:last-child > a {\n    border-radius: ', ';\n  }\n\n  li:first-child:last-child, li:first-child:last-child > a {\n    border-radius: ', ';\n  }\n\n  a {\n    &, &:hover, &:focus { }\n    width: 100%;\n    padding: 8px;\n    display: flex;\n    & > *:first-child { padding-right: 6px; flex-grow: 1 }\n    & > *:nth-child(2) { flex-grow: 999999; }\n  }\n\n\n\n  a:not(:only-child) {\n    &:after {\n      content: \'\u25B8\';\n      display: block;\n      width: 8px;\n    }\n  }\n  li { position: relative;  display: flex; }\n\n  li > ul { display: none; }\n\n  li > ul {\n    position: absolute;\n    right: 0;\n    transform: translateX(100%);\n    transform: translate(100%, 0%);\n    &:before {\n      content: \'\';\n      display: block;\n      width: ', ';\n      height: 100%;\n      position: absolute;\n      left: calc(var(--itemWidth) * -1);\n    }\n  }\n\n  li:not(:hover) {\n    z-index: 100;\n  }\n\n  li:hover > ul,\n  li:focus-within > ul {\n    display: block;\n    width: var(--itemWidth);\n\n    & {\n      z-index: 1;\n      &:before {\n        z-index: 0;\n      }\n      &:hover {\n        z-index: 99;\n      }\n    }\n\n  }\n\n  ul li a:hover { z-index: 9999 }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _TextEllipsis = require('../Text/TextEllipsis');

var _TextEllipsis2 = _interopRequireDefault(_TextEllipsis);

var _Separator = require('./Separator');

var _Separator2 = _interopRequireDefault(_Separator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MenuItem = _styledComponents2.default.li(_templateObject, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.darkGrey;
}, function (_ref2) {
  var palette = _ref2.theme.palette;
  return palette.darkGrey;
});

var MenuWrapperUI = _styledComponents2.default.div(_templateObject2, function (_ref3) {
  var theme = _ref3.theme;
  return '' + theme.outlineShadow;
}, function (_ref4) {
  var isFullWidth = _ref4.isFullWidth;
  return isFullWidth ? '100%' : 'var(--itemWidth)';
}, function (_ref5) {
  var isFullWidth = _ref5.isFullWidth;
  return isFullWidth ? '100%' : 'var(--itemWidth)';
}, function (_ref6) {
  var isFullWidth = _ref6.isFullWidth;
  return isFullWidth ? '100%' : 'calc(var(--itemWidth) - 2px)';
}, function (_ref7) {
  var isFullWidth = _ref7.isFullWidth;
  return isFullWidth ? '100%' : 'calc(var(--itemWidth) - 2px)';
}, function (_ref8) {
  var radius = _ref8.theme.radius;
  return radius;
}, function (_ref9) {
  var radius = _ref9.theme.radius;
  return radius + ' ' + radius + ' 0 0';
}, function (_ref10) {
  var radius = _ref10.theme.radius;
  return '0 0 ' + radius + ' ' + radius;
}, function (_ref11) {
  var radius = _ref11.theme.radius;
  return radius;
}, function (_ref12) {
  var isFullWidth = _ref12.isFullWidth;
  return isFullWidth ? '100%' : 'var(--itemWidth)';
});

var handleMenuLevel = exports.handleMenuLevel = function handleMenuLevel() {
  var menuItemDescriptor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var type = menuItemDescriptor.type,
      children = menuItemDescriptor.children,
      label = menuItemDescriptor.label,
      _menuItemDescriptor$o = menuItemDescriptor.onClick,
      _onClick = _menuItemDescriptor$o === undefined ? function () {} : _menuItemDescriptor$o,
      icon = menuItemDescriptor.icon;

  var isSeparator = type === 'SEPARATOR';
  return isSeparator ? _react2.default.createElement(_Separator2.default, { label: label }) : _react2.default.createElement(
    MenuItem,
    { key: label },
    _react2.default.createElement(
      'a',
      { // eslint-disable-line
        href: '#',
        onClick: function onClick(ev) {
          _onClick(ev);
        }
      },
      icon,
      _react2.default.createElement(
        _TextEllipsis2.default,
        null,
        label
      )
    ),
    children && children.length ? _react2.default.createElement(
      'ul',
      null,
      children.map(handleMenuLevel)
    ) : null
  );
};

var Menu = function Menu(props) {
  var menuDescriptor = props.menuDescriptor,
      isFullWidth = props.isFullWidth;


  return _react2.default.createElement(
    MenuWrapperUI,
    { isFullWidth: isFullWidth },
    _react2.default.createElement(
      'ul',
      null,
      menuDescriptor.map(handleMenuLevel)
    )
  );
};

exports.default = Menu;