'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  main: {
    // marginLeft: '-6px',
    textAlign: 'center',
    color: '#3c3c3c',
    whiteSpace: 'nowrap',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    textTransform: 'uppercase',
    fontSize: '.85em',
    userSelect: 'none',
    lineHeight: 1
  },
  bar: {
    height: '1px',
    backgroundColor: '#909090',
    display: 'inline-block',
    // width: 'calc(100% - 8px)', // 6 + 2
    width: '100%' // 6 + 2
    // margin: '1px 3px 0',
  }
};

/* eslint-disable indent */
/* eslint-disable react/jsx-indent */
var Separator = function Separator(_ref) {
  var label = _ref.label;
  return label && label !== '' ? _react2.default.createElement(
    'div',
    { 'aria-hidden': true },
    _react2.default.createElement(
      'div',
      { style: styles.main },
      _react2.default.createElement('span', { style: styles.bar }),
      '\xA0',
      label,
      '\xA0',
      _react2.default.createElement('span', { style: styles.bar })
    )
  ) : _react2.default.createElement(
    'div',
    { 'aria-hidden': true },
    _react2.default.createElement(
      'div',
      { style: styles.main },
      _react2.default.createElement('span', { style: _extends({}, styles.bar, { margin: '4px 0' }) })
    )
  );
};

exports.default = Separator;