'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  from {\n    opacity: 0;\n  }\n  to {\n    opacity: 1;\n  }\n'], ['\n  from {\n    opacity: 0;\n  }\n  to {\n    opacity: 1;\n  }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  .scroll-anim-before {\n    will-change: opacity, transform;\n    opacity: 0;\n    transform: ', ';\n    transition: transform 0.6s cubic-bezier(0.3, 0.8, 0.4, 1), opacity 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n  }\n\n  .scroll-anim-before.animIn,\n  .scroll-anim.animIn {\n    will-change: opacity, transform;\n    opacity: 1;\n    transform: translate(0, 0);\n    transition: transform 0.6s cubic-bezier(0.3, 0.8, 0.4, 1), opacity 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n  }\n\n  .load-anim {\n    -webkit-animation: ', ' 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n    -moz-animation: ', ' 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n    animation: ', ' 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n  }\n'], ['\n  .scroll-anim-before {\n    will-change: opacity, transform;\n    opacity: 0;\n    transform: ', ';\n    transition: transform 0.6s cubic-bezier(0.3, 0.8, 0.4, 1), opacity 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n  }\n\n  .scroll-anim-before.animIn,\n  .scroll-anim.animIn {\n    will-change: opacity, transform;\n    opacity: 1;\n    transform: translate(0, 0);\n    transition: transform 0.6s cubic-bezier(0.3, 0.8, 0.4, 1), opacity 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n  }\n\n  .load-anim {\n    -webkit-animation: ', ' 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n    -moz-animation: ', ' 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n    animation: ', ' 0.6s cubic-bezier(0.3, 0.8, 0.4, 1);\n  }\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var fadeIn = (0, _styledComponents.keyframes)(_templateObject);

// const slideUpIn = keyframes`
//   from {
//     transform: translateY(16vh);
//   }
//   to {
//     transform: translateY(0);
//   }
// `;

var SlideInWhenInBoundUI = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var anchor = _ref.anchor;

  if (anchor === 'bottom') {
    return 'translateY(16vh)';
  }
  if (anchor === 'right') {
    return 'translateX(16vh)';
  }
  if (anchor === 'top') {
    return 'translateY(-16vh)';
  }
  if (anchor === 'left') {
    return 'translateX(-16vh)';
  }
  return '';
}, fadeIn, fadeIn, fadeIn);
exports.default = SlideInWhenInBoundUI;