'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  background: #fff;\n  height: 60px;\n  box-sizing: border-box;\n  display: flex;\n  border: 1px solid #D4DAD1;\n  overflow: hidden;\n'], ['\n  background: #fff;\n  height: 60px;\n  box-sizing: border-box;\n  display: flex;\n  border: 1px solid #D4DAD1;\n  overflow: hidden;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  flex: 1;\n  display: flex;\n  padding-left: ', ';\n  align-items: center;\n'], ['\n  flex: 1;\n  display: flex;\n  padding-left: ', ';\n  align-items: center;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  padding-right: 15px;\n'], ['\n  padding-right: 15px;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  display: inline-block;\n  color: #37373a;\n  font-size: 18px;\n  font-family: \'Fira sans\', sans-serif;\n'], ['\n  display: inline-block;\n  color: #37373a;\n  font-size: 18px;\n  font-family: \'Fira sans\', sans-serif;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Button = require('../Button');

var _Flex = require('../Layout/Flex');

var _Arrowleft = require('../Icons/Arrowleft');

var _Arrowleft2 = _interopRequireDefault(_Arrowleft);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = _styledComponents2.default.div(_templateObject);

var TitleContainer = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var onGoBack = _ref.onGoBack;
  return onGoBack ? 0 : '32px';
});

var IconWrapper = _styledComponents2.default.div(_templateObject3);

var Title = _styledComponents2.default.div(_templateObject4);

var PageHeader = function PageHeader(_ref2) {
  var title = _ref2.title,
      icon = _ref2.icon,
      children = _ref2.children,
      onGoBack = _ref2.onGoBack,
      backLabel = _ref2.backLabel;
  return _react2.default.createElement(
    Container,
    null,
    _react2.default.createElement(
      TitleContainer,
      { onGoBack: onGoBack },
      onGoBack && _react2.default.createElement(
        _react2.default.Fragment,
        null,
        _react2.default.createElement(
          _Button.UnstyledButton,
          {
            onClick: onGoBack,
            style: {
              fontSize: '16px',
              fontWeight: 600,
              color: '#8c8c8c'
            }
          },
          _react2.default.createElement(
            _Flex.Flex,
            {
              style: {
                boxSizing: 'border-box',
                width: '80px',
                height: '58px',
                padding: '0 16px'
              }
            },
            _react2.default.createElement(_Arrowleft2.default, { size: '13', style: { color: '#26a29a', paddingRight: '6px' } }),
            backLabel || 'Back'
          )
        ),
        _react2.default.createElement(
          'span',
          {
            style: {
              marginRight: '8px',
              fontSize: '16px',
              // fontWeight: 600,
              color: '#cecece'
            }
          },
          ' | '
        )
      ),
      icon && _react2.default.createElement(
        IconWrapper,
        null,
        icon
      ),
      _react2.default.createElement(
        Title,
        null,
        title
      )
    ),
    _react2.default.createElement(
      'div',
      null,
      children
    )
  );
};

PageHeader.disaplyName = 'PageHeader';

PageHeader.propTypes = {
  children: _propTypes2.default.node,
  title: _propTypes2.default.node,
  icon: _propTypes2.default.node
};

PageHeader.defaultProps = {
  children: null,
  title: '',
  icon: null
};

exports.default = PageHeader;