'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  @media (min-width: 768px) {\n    display: flex;\n  };\n'], ['\n  @media (min-width: 768px) {\n    display: flex;\n  };\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  width: 100%;\n  min-width: ', ';\n  @media (min-width: 768px) {\n    width: ', ';\n    min-width: ', ';\n    max-width: ', ';\n  };\n'], ['\n  width: 100%;\n  min-width: ', ';\n  @media (min-width: 768px) {\n    width: ', ';\n    min-width: ', ';\n    max-width: ', ';\n  };\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  flex: 1;\n  width: 100%;\n  @media (min-width: 768px) {\n    max-width: ', ';\n  };\n'], ['\n  flex: 1;\n  width: 100%;\n  @media (min-width: 768px) {\n    max-width: ', ';\n  };\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var WapperUI = _styledComponents2.default.div(_templateObject);

var MenuUI = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var menuWidth = _ref.menuWidth;
  return menuWidth;
}, function (_ref2) {
  var menuWidth = _ref2.menuWidth;
  return menuWidth;
}, function (_ref3) {
  var menuWidth = _ref3.menuWidth;
  return menuWidth;
}, function (_ref4) {
  var menuWidth = _ref4.menuWidth;
  return menuWidth;
});

var ContentUI = _styledComponents2.default.div(_templateObject3, function (_ref5) {
  var menuWidth = _ref5.menuWidth;
  return 'calc(100% - ' + menuWidth + ')';
});

var PageWithMenu = function PageWithMenu(_ref6) {
  var children = _ref6.children,
      _ref6$style = _ref6.style,
      style = _ref6$style === undefined ? {} : _ref6$style,
      menu = _ref6.menu,
      menuWidth = _ref6.menuWidth;
  return _react2.default.createElement(
    WapperUI,
    { style: style },
    _react2.default.createElement(
      MenuUI,
      { menuWidth: menuWidth },
      menu
    ),
    _react2.default.createElement(
      ContentUI,
      { menuWidth: menuWidth },
      children
    )
  );
};

PageWithMenu.defaultProps = {
  menuWidth: '250px'
};

exports.default = PageWithMenu;