'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  box-sizing: border-box;\n  /* background-color: ', '; */\n  border-top: 1px solid ', ';\n  padding: 8px 16px;\n  min-height: 32px;\n'], ['\n  box-sizing: border-box;\n  /* background-color: ', '; */\n  border-top: 1px solid ', ';\n  padding: 8px 16px;\n  min-height: 32px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var LightPanelFooterUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.white;
}, function (_ref2) {
  var palette = _ref2.theme.palette;
  return palette.lightGrey;
});

var LightPanelFooter = function LightPanelFooter(props) {
  var children = props.children,
      style = props.style;


  return _react2.default.createElement(
    LightPanelFooterUI,
    { style: style },
    children
  );
};

LightPanelFooter.displayName = 'LightPanelFooter';

exports.default = LightPanelFooter;