'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ThemeComponent2 = require('../Base/ThemeComponent');

var _ThemeComponent3 = _interopRequireDefault(_ThemeComponent2);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// eslint-disable-line import/no-named-as-default

var SlidePanelFooterStyle = {
  root: {
    bottom: 0,
    left: 0,
    right: 0,
    display: 'flex',
    // position: 'absolute',
    padding: '10px 15px',
    borderTop: '1px solid rgb(204, 204, 204)',
    background: '#cccccc1f',
    borderBottomLeftRadius: '2px',
    borderBottompRightRadius: '2px'
  },
  actions: {
    flex: 1,
    textAlign: 'right'
  },
  cancel: {
    paddingLeft: '10px',
    textAlign: 'right'
  },
  inverse: {}
};

var SlidePanelFooter = function (_ThemeComponent) {
  _inherits(SlidePanelFooter, _ThemeComponent);

  function SlidePanelFooter() {
    _classCallCheck(this, SlidePanelFooter);

    return _possibleConstructorReturn(this, (SlidePanelFooter.__proto__ || Object.getPrototypeOf(SlidePanelFooter)).apply(this, arguments));
  }

  _createClass(SlidePanelFooter, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          hasCancel = _props.hasCancel,
          cancelLabel = _props.cancelLabel,
          onClose = _props.onClose,
          anchor = _props.anchor;


      var mainMergedStyle = this.getStyle('SlidePanelFooter', Object.assign({}, SlidePanelFooterStyle.root, anchor === 'right' ? SlidePanelFooterStyle.inverse : {}));

      var cancel = hasCancel && _react2.default.createElement(
        'div',
        { style: SlidePanelFooterStyle.cancel },
        _react2.default.createElement(
          _Button2.default,
          { onClick: onClose },
          cancelLabel || 'Cancel'
        )
      );

      var other = _react2.default.createElement(
        'div',
        { style: SlidePanelFooterStyle.actions },
        children
      );

      return _react2.default.createElement(
        'div',
        { style: mainMergedStyle },
        other,
        cancel
      );
    }
  }]);

  return SlidePanelFooter;
}(_ThemeComponent3.default);

SlidePanelFooter.defaultProps = {
  hasCancel: true
};

exports.default = SlidePanelFooter;