'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThemeProvider = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _getTheme = require('./getTheme');

var _getTheme2 = _interopRequireDefault(_getTheme);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
/**
 * TODO: Some of thos compos still use context or import the theme directly, fix it
 */
// import { theme } from '../index';


var ThemeProvider = exports.ThemeProvider = function (_Component) {
  _inherits(ThemeProvider, _Component);

  function ThemeProvider() {
    _classCallCheck(this, ThemeProvider);

    return _possibleConstructorReturn(this, (ThemeProvider.__proto__ || Object.getPrototypeOf(ThemeProvider)).apply(this, arguments));
  }

  _createClass(ThemeProvider, [{
    key: 'getChildContext',
    value: function getChildContext() {
      var theTheme = this.props.palette ? (0, _utils.getThemeWithCustomPalette)(this.props.palette) : this.props.theme || (0, _getTheme2.default)(this.props.extendTheme);

      return {
        uxiTheme: theTheme,
        isFixedWidth: this.isFixedWidth.bind(this),
        isDarkTheme: this.isDarkTheme.bind(this)
      };
    }
  }, {
    key: 'isDarkTheme',
    value: function isDarkTheme() {
      // eslint-disable-line class-methods-use-this
      return false;
    }
  }, {
    key: 'isFixedWidth',
    value: function isFixedWidth() {
      var isContained = this.props.isContained;

      return isContained;
    }
  }, {
    key: 'render',
    value: function render() {
      var children = this.props.children;


      return _react2.default.createElement(
        'div',
        { className: 'uxi-root' },
        children
      );
    }
  }]);

  return ThemeProvider;
}(_react.Component);

ThemeProvider.propTypes = {
  children: _propTypes2.default.element,
  theme: _propTypes2.default.object,
  extendTheme: _propTypes2.default.object,
  isContained: _propTypes2.default.bool,
  palette: _propTypes2.default.object
};
ThemeProvider.defaultProps = {
  children: null,
  theme: {},
  extendTheme: {},
  isContained: false,
  palette: {}
};
ThemeProvider.childContextTypes = {
  uxiTheme: _propTypes2.default.object.isRequired,
  isFixedWidth: _propTypes2.default.func,
  isDarkTheme: _propTypes2.default.func.isRequired
};
exports.default = ThemeProvider;