'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GlobalStyle = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  ', '\n  /* ', ' */\n  ', '\n\n  * {\n    scroll-behavior: smooth; /* is not an inherited prop */\n  }\n\n  html {\n    min-height: 100%;\n    margin: 0;\n    padding: 0;\n    background: ', ';\n    font-family: \'Open Sans\', sans-serif;\n    font-weight: 400;\n  }\n  body {\n    min-height: 100%;\n    margin: 0;\n    padding: 0;\n    font-size: 14px;\n    color: ', ';\n  }\n  ::selection {\n    color: white;\n    /* text-decoration-color: white; */\n    background-color: rgba(0, 137, 122, 0.9); /* theme.accent.dark for contrast */\n  }\n\n  button::-moz-focus-inner {\n    border: 0;\n  }\n\n  /** Links */\n  a {\n    color: ', ';\n    text-decoration: none;\n    cursor: pointer;\n  }\n  a:hover {\n    color: ', ';\n    text-decoration: underline;\n  }\n\n\n  /** Headings */\n  h1, h2, h3, h4 {\n    color: currentColor;\n  }\n\n\n  /** UL */\n  ul {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n  }\n\n\n  /** SVG */\n  svg {\n    transition: ', ';\n  }\n  svg.uxi_svg-icon-wrapper {\n    transition: none;\n  }\n  svg.uxi_svg-icon-wrapper svg {\n    transition: ', ';\n  }\n  /* little trick relating to SvgIcon: a svg wrapper */\n  // svg>svg { fill: inherit; }\n\n\n  /**\n    * Extend using css from styled-components\n    */\n  ', '\n  ', '\n  ', '\n'], ['\n  ', '\n  /* ', ' */\n  ', '\n\n  * {\n    scroll-behavior: smooth; /* is not an inherited prop */\n  }\n\n  html {\n    min-height: 100%;\n    margin: 0;\n    padding: 0;\n    background: ', ';\n    font-family: \'Open Sans\', sans-serif;\n    font-weight: 400;\n  }\n  body {\n    min-height: 100%;\n    margin: 0;\n    padding: 0;\n    font-size: 14px;\n    color: ', ';\n  }\n  ::selection {\n    color: white;\n    /* text-decoration-color: white; */\n    background-color: rgba(0, 137, 122, 0.9); /* theme.accent.dark for contrast */\n  }\n\n  button::-moz-focus-inner {\n    border: 0;\n  }\n\n  /** Links */\n  a {\n    color: ', ';\n    text-decoration: none;\n    cursor: pointer;\n  }\n  a:hover {\n    color: ', ';\n    text-decoration: underline;\n  }\n\n\n  /** Headings */\n  h1, h2, h3, h4 {\n    color: currentColor;\n  }\n\n\n  /** UL */\n  ul {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n  }\n\n\n  /** SVG */\n  svg {\n    transition: ', ';\n  }\n  svg.uxi_svg-icon-wrapper {\n    transition: none;\n  }\n  svg.uxi_svg-icon-wrapper svg {\n    transition: ', ';\n  }\n  /* little trick relating to SvgIcon: a svg wrapper */\n  // svg>svg { fill: inherit; }\n\n\n  /**\n    * Extend using css from styled-components\n    */\n  ', '\n  ', '\n  ', '\n']);

var _styledComponents = require('styled-components');

var _colorManipulator = require('./colorManipulator');

var _grid = require('./grid');

var _grid2 = _interopRequireDefault(_grid);

var _fonts = require('./fonts');

var _fonts2 = _interopRequireDefault(_fonts);

var _tooltip = require('./tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _markdown = require('./markdown');

var _markdown2 = _interopRequireDefault(_markdown);

var _layout = require('./layout');

var _layout2 = _interopRequireDefault(_layout);

var _simpleLayout = require('./simpleLayout');

var _simpleLayout2 = _interopRequireDefault(_simpleLayout);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// import { css } from 'styled-components';

/** those are css`` mixins import */
// eslint-disable-line import/no-named-as-default

// import synthaxHighlight from './synthaxHighlight';


// eslint-disable-line import/no-named-as-default
/**
 * injectGlobal: A helper method to write global CSS.
 * It does not return a component,
 * but adds the styles to the stylesheet directly.
 *
 * and I guess does not depend on the
 * theme provider to be already rendered -df
 */
/* eslint-disable indent */
/* eslint-disable prefer-template */

// export const makeGlobalCSSInjector = (theme) => {
//   if (!theme) {
//     return () => console.warn('called `makeGlobalCSSInjector` without passing a theme');
//   }
//   const {
//     palette,
//     transition,
//   } = theme;

//   return `
//     ${markdown}
//     ${fonts}
//     ${tooltip}

//     * {
//       scroll-behavior: smooth; /* is not an inherited prop */
//     }

//     html {
//       min-height: 100%;
//       margin: 0;
//       padding: 0;
//       background: ${palette.white};
//       font-family: 'Open Sans', sans-serif;
//       font-weight: 400;
//     }
//     body {
//       min-height: 100%;
//       margin: 0;
//       padding: 0;
//       font-size: 14px;
//       color: ${palette.darkGrey};
//     }
//     ::selection {
//       color: white;
//       /* text-decoration-color: white; */
//       background-color: rgba(0, 137, 122, 0.9); /* theme.accent.dark for contrast */
//     }

//     button::-moz-focus-inner {
//       border: 0;
//     }

//     /** Links */
//     a {
//       color: ${palette.accent.main};
//       text-decoration: none;
//       cursor: pointer;
//     }
//     a:hover {
//       color: ${lighten(palette.accent.main, 0.1)};
//       text-decoration: underline;
//     }


//     /** Headings */
//     h1, h2, h3, h4 {
//       color: currentColor;
//     }


//     /** UL */
//     ul {
//       margin: 0;
//       padding: 0;
//       list-style: none;
//     }


//     /** SVG */
//     svg {
//       transition: ${transition.defaultAll};
//     }
//     svg.uxi_svg-icon-wrapper {
//       transition: none;
//     }
//     svg.uxi_svg-icon-wrapper svg {
//       transition: ${transition.defaultAll};
//     }
//     /* little trick relating to SvgIcon: a svg wrapper */
//     // svg>svg { fill: inherit; }


//     /**
//      * Extend using css from styled-components
//      */
//     ${grid}
//     ${layout}
//     ${simpleLayout}
//   `;
//   // return injectGlobal`${getGlobaStyles(theme)}`
// };

// export default makeGlobalCSSInjector;
exports.default = null;
var GlobalStyle = exports.GlobalStyle = (0, _styledComponents.createGlobalStyle)(_templateObject, _markdown2.default, _fonts2.default, _tooltip2.default, function (_ref) {
  var palette = _ref.theme.palette;
  return palette.white;
}, function (_ref2) {
  var palette = _ref2.theme.palette;
  return palette.darkGrey;
}, function (_ref3) {
  var palette = _ref3.theme.palette;
  return palette.accent.main;
}, function (_ref4) {
  var palette = _ref4.theme.palette;
  return (0, _colorManipulator.lighten)(palette.accent.main, 0.1);
}, function (_ref5) {
  var transition = _ref5.theme.transition;
  return transition.defaultAll;
}, function (_ref6) {
  var transition = _ref6.theme.transition;
  return transition.defaultAll;
}, _grid2.default, _layout2.default, _simpleLayout2.default);