'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  box-sizing: border-box;\n  border-bottom: 1px solid #ececec;\n  display: flex;\n  height:50px;\n  align-items:center;\n'], ['\n  box-sizing: border-box;\n  border-bottom: 1px solid #ececec;\n  display: flex;\n  height:50px;\n  align-items:center;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  color: #2F2F32;\n  font-weight: 600;\n  font-size: 16px;\n  font-family: \'Fira Sans\', sans-serif;\n  padding-left:12px;\n  padding-right:12px;\n'], ['\n  color: #2F2F32;\n  font-weight: 600;\n  font-size: 16px;\n  font-family: \'Fira Sans\', sans-serif;\n  padding-left:12px;\n  padding-right:12px;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  flex:1;\n  /* flex-shrink: 1; */\n  height:100%;\n  position:relative;\n  display: flex;\n  align-items:center;\n'], ['\n  flex:1;\n  /* flex-shrink: 1; */\n  height:100%;\n  position:relative;\n  display: flex;\n  align-items:center;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  flex:1;\n  /* flex-shrink: 0; */\n  display: flex;\n  height:100%;\n  width: 100%;\n  justify-content: flex-end;\n  align-items:center;\n  &>* {\n    display: flex;\n    align-items:center;\n    height: 100%;\n  }\n'], ['\n  flex:1;\n  /* flex-shrink: 0; */\n  display: flex;\n  height:100%;\n  width: 100%;\n  justify-content: flex-end;\n  align-items:center;\n  &>* {\n    display: flex;\n    align-items:center;\n    height: 100%;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Motion = require('../Motion');

var _Layout = require('../Layout');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var WidgetHeaderWrapper = _styledComponents2.default.div(_templateObject);

var WidgetHeaderTitle = _styledComponents2.default.div(_templateObject2);

var WidgetRest = _styledComponents2.default.div(_templateObject3);

var MenuWrapper = _styledComponents2.default.div(_templateObject4);

var WidgetHeader = function WidgetHeader(_ref) {
  var title = _ref.title,
      isLoading = _ref.isLoading,
      menu = _ref.menu,
      style = _ref.style;
  return _react2.default.createElement(
    WidgetHeaderWrapper,
    null,
    _react2.default.createElement(
      WidgetHeaderTitle,
      { style: style },
      title
    ),
    _react2.default.createElement(
      WidgetRest,
      null,
      _react2.default.createElement(
        _Layout.Flex,
        null,
        isLoading && _react2.default.createElement(_Motion.MiniLoader, null)
      ),
      menu && _react2.default.createElement(
        MenuWrapper,
        null,
        menu
      )
    )
  );
};

exports.default = WidgetHeader;