'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropDown = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  ', ';\n  ', ';\n    /* box-shadow: ', ';\n    outline: ', '; */\n  /* &:focus-within {\n    box-shadow: ', ';\n    outline: ', ';\n  } */\n'], ['\n  ', ';\n  ', ';\n    /* box-shadow: ', ';\n    outline: ', '; */\n  /* &:focus-within {\n    box-shadow: ', ';\n    outline: ', ';\n  } */\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  /* overflow: ', '; */\n  /* clip: rect(0px 20px 10px 0px); */\n\n  clip: rect(-8px 38px 11px -8px);\n\n  position: absolute;\n  width: 20px;\n  height: 20px;\n  min-height: 29px;\n  background: transparent;\n  top: -11px;\n  ', ';\n\n  &:after {\n    ', ';\n    display: block;\n    width: 20px;\n    height: 20px;\n    /* min-height: 20px; */\n    position: absolute;\n    /* top: -10px;\n    left: 20px; */\n    box-sizing: border-box;\n    background: white;\n    transform: rotate(-45deg);\n    transform-origin: center center;\n    border-style: solid;\n    border-color: rgb(206, 206, 206);\n    border-width: 1px;\n    /* clip-path: polygon(0 0, 100% 0, 100% 100%); */\n    ', ';\n  }\n\n'], ['\n  /* overflow: ', '; */\n  /* clip: rect(0px 20px 10px 0px); */\n\n  clip: rect(-8px 38px 11px -8px);\n\n  position: absolute;\n  width: 20px;\n  height: 20px;\n  min-height: 29px;\n  background: transparent;\n  top: -11px;\n  ', ';\n\n  &:after {\n    ', ';\n    display: block;\n    width: 20px;\n    height: 20px;\n    /* min-height: 20px; */\n    position: absolute;\n    /* top: -10px;\n    left: 20px; */\n    box-sizing: border-box;\n    background: white;\n    transform: rotate(-45deg);\n    transform-origin: center center;\n    border-style: solid;\n    border-color: rgb(206, 206, 206);\n    border-width: 1px;\n    /* clip-path: polygon(0 0, 100% 0, 100% 100%); */\n    ', ';\n  }\n\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  position: relative;\n  display: inline-block;\n  height: 100%;\n  ', ';\n'], ['\n  position: relative;\n  display: inline-block;\n  height: 100%;\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactClickOutside = require('react-click-outside');

var _reactClickOutside2 = _interopRequireDefault(_reactClickOutside);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _UnstyledButton = require('../Button/UnstyledButton1');

var _UnstyledButton2 = _interopRequireDefault(_UnstyledButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// import { UnstyledButton } from '../Button';


// import Ripples from '../Motion/Ripples';

/* eslint-disable indent */
var ItemsWrapper = _styledComponents2.default.div(_templateObject, function (_ref) {
  var transition = _ref.theme.transition;
  return transition.defaultAll;
}, function (_ref2) {
  var isOpen = _ref2.isOpen,
      theme = _ref2.theme;
  return isOpen ? 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline : '';
}, function (_ref3) {
  var outlineShadow = _ref3.theme.outlineShadow;
  return outlineShadow;
}, function (_ref4) {
  var outline = _ref4.theme.outline;
  return outline;
}, function (_ref5) {
  var outlineShadow = _ref5.theme.outlineShadow;
  return outlineShadow;
}, function (_ref6) {
  var outline = _ref6.theme.outline;
  return outline;
});

var PopOverArrow = _styledComponents2.default.div(_templateObject2, function (_ref7) {
  var isPopOver = _ref7.isPopOver;
  return isPopOver ? 'visible' : 'hidden';
}, function (_ref8) {
  var anchor = _ref8.anchor;
  return anchor === 'right' ? 'right: 20px;' : 'left: 20px;';
}, function (_ref9) {
  var isPopOver = _ref9.isPopOver;
  return isPopOver ? 'content: ""' : '';
}, function (_ref10) {
  var theme = _ref10.theme;
  return 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline;
});

var WrapperUI = _styledComponents2.default.div(_templateObject3, function (_ref11) {
  var isFullWidth = _ref11.isFullWidth;
  return isFullWidth ? 'width: 100%' : '';
});
/* eslint-enable indent */

/**
 * DropDown
 *
 * default to right aligning the droped down part
 */
var styles = {
  triggerWrapper: {
    cursor: 'pointer'
  },
  itemsWrapper: {
    zIndex: 9,
    minWidth: '100px',
    background: 'white',
    position: 'absolute',
    border: '1px solid #cecece',
    borderColor: 'transparent',
    marginTop: '1px',
    borderRadius: '3px',
    opacity: 0,
    display: 'flex',
    flexDirection: 'column'
  },
  triggerInnerWrapper: {
    width: '100%',
    height: '100%',
    display: 'flex',
    alignItems: 'stretch'
  }
  // itemsWrapperString: `
  //   z-index: 1,
  //   min-width: 180px,
  //   background: white,
  //   position: absolute,
  //   overflow: hidden,
  //   border: 1px solid #cecece,
  //   border-color: transparent,
  //   margin-top: 1px,
  //   border-radius: 3px,
  //   transition: max-height .3s ease-out, opacity .3,8s ease-out,
  //   opacity: 0,
  //   display: flex,
  //   flex-direction: column,
  // `,
};

/**
 * @deprecated
 */
/* eslint-disable */
// eslint-disable-next-line react/prefer-stateless-function

var DropDown = exports.DropDown = function (_PureComponent) {
  _inherits(DropDown, _PureComponent);

  function DropDown(props) {
    _classCallCheck(this, DropDown);

    var _this = _possibleConstructorReturn(this, (DropDown.__proto__ || Object.getPrototypeOf(DropDown)).call(this, props));

    _this.isOpenControlled = _this.props.isOpen !== undefined;

    _this.state = {
      isOpen: _this.isOpenControlled ? _this.props.isOpen : false,
      windowWidth: window.innerWidth,
      windowHeight: window.innerHeight,
      initalStyleValue: null
    };

    _this.handleToggleVisibility = _this.handleToggleVisibility.bind(_this);
    _this.handleWindowResize = _this.handleWindowResize.bind(_this);
    _this.handleWindowScroll = _this.handleWindowScroll.bind(_this);
    _this.attachListeners = _this.attachListeners.bind(_this);
    _this.detachListeners = _this.detachListeners.bind(_this);
    _this.storeMainRef = _this.storeMainRef.bind(_this);
    return _this;
  }

  // componentWillMount() {
  // this.isControlled = this.props.isOpen !== undefined;
  // if (!this.isControlled) {
  //   // not controlled, use internal state
  //   this.setState({
  //     isOpen: this.props.defaultChecked !== undefined ? this.props.defaultChecked : false,
  //   });
  // }
  // }

  _createClass(DropDown, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _props = this.props,
          style = _props.style,
          mainScrollingElementSelector = _props.mainScrollingElementSelector;


      this.htmlNodeRef = document;
      if (mainScrollingElementSelector) {
        var htmlNodeRef = document.querySelector(mainScrollingElementSelector);
        if (htmlNodeRef) {
          this.htmlNodeRef = htmlNodeRef;
        }
      }

      this.setState({
        initalStyleValue: style
      });

      var isOpen = this.isOpenControlled ? this.props.isOpen : this.state.isOpen;

      if (isOpen) {
        this.attachListeners();
      }
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var onIsOpenChange = this.props.onIsOpenChange;


      if (nextProps.isOpen !== undefined) {
        this.setState({
          isOpen: nextProps.isOpen
        }, function () {
          if (onIsOpenChange) {
            onIsOpenChange(nextProps.isOpen);
          }
        });
      }
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      if (prevProps.items.length !== this.props.items.length) {
        // setTimeout(() => this.forceUpdate(), 1);
      } else if (prevProps.items !== this.props.items) {
        // setTimeout(() => this.forceUpdate(), 1);
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.detachListeners();
    }
  }, {
    key: 'getDynamicItemsStyles',
    value: function getDynamicItemsStyles() {
      var _state = this.state,
          isOpenState = _state.isOpen,
          mainRef = _state.mainRef,
          itemsRef = _state.itemsRef;
      var _props2 = this.props,
          itemsStyle = _props2.itemsStyle,
          anchor = _props2.anchor,
          isFullWidth = _props2.isFullWidth,
          isPopOver = _props2.isPopOver,
          isOpenProp = _props2.isOpen;


      var isOpen = this.isOpenControlled ? isOpenProp : isOpenState;

      if (!mainRef || !itemsRef || !mainRef.getBoundingClientRect) {
        return {};
      }

      var itemsHeight = void 0;
      if (itemsStyle && 'maxHeight' in itemsStyle) {
        itemsHeight = itemsStyle.maxHeight;
      } else {
        itemsHeight = [].concat(_toConsumableArray(itemsRef.children)).reduce(function (acc, el) {
          return acc + el.getBoundingClientRect().height;
        }, 0);
      }

      var cRectMain = mainRef.getBoundingClientRect();
      var cRectItems = itemsRef.getBoundingClientRect();
      var ItemsTop = cRectMain.bottom;
      var ItemsLeft = cRectMain.left; // - (cRectItems.width - cRectMain.width);
      var width = cRectMain.width;

      var left = 'sdrgqerg';
      var right = '';
      if (anchor === 'left') {
        left = ItemsLeft + 'px';
      } else if (anchor === 'right') {
        left = ItemsLeft - (cRectItems.width - cRectMain.width) + 'px';
      }
      /*
      else if (anchor === 'bottom') {
      } else if (anchor === 'top') {
      }
      */

      var top = isPopOver ? ItemsTop + 20 : ItemsTop;

      var res = {
        maxHeight: isOpen ? itemsHeight : 0,

        width: isFullWidth ? width + 'px' : 'auto',
        left: left,
        right: right,

        top: top,
        borderColor: isOpen ? '#cecece' : 'transparent',
        opacity: isOpen ? 1 : 0,
        pointerEvents: isOpen ? 'all' : 'none',
        position: 'fixed'
      };

      return _extends({}, res);
    }
  }, {
    key: 'attachListeners',
    value: function attachListeners() {
      window.addEventListener('resize', this.handleWindowResize);
      if (this.props.mainScrollingElementSelector) {
        if (this.htmlNodeRef) {
          this.htmlNodeRef.addEventListener('scroll', this.handleWindowScroll);
        }
      } else {
        window.addEventListener('scroll', this.handleWindowScroll);
      }
    }
  }, {
    key: 'detachListeners',
    value: function detachListeners() {
      window.removeEventListener('resize', this.handleWindowResize);
      if (this.props.mainScrollingElementSelector) {
        if (this.htmlNodeRef) {
          this.htmlNodeRef.removeEventListener('scroll', this.handleWindowScroll);
        }
      } else {
        window.removeEventListener('scroll', this.handleWindowScroll);
      }
    }
  }, {
    key: 'handleWindowResize',
    value: function handleWindowResize() {
      // this.forceUpdate();
      if (!this.isOpenControlled) {
        this.setState({ isOpen: false });
      }
    }
  }, {
    key: 'handleWindowScroll',
    value: function handleWindowScroll() {
      // this.forceUpdate();
      if (!this.isOpenControlled) {
        this.setState({ isOpen: false });
      }
    }
  }, {
    key: 'handleClickOutside',
    value: function handleClickOutside() {
      var isOpenState = this.state.isOpen;
      var _props3 = this.props,
          onIsOpenChange = _props3.onIsOpenChange,
          isOpenProp = _props3.isOpen;


      var isOpen = this.isOpenControlled ? isOpenProp : isOpenState;

      if (isOpen) {
        var newOpen = false;
        var leaveOpenOnClickOutside = this.props.leaveOpenOnClickOutside;

        if (!leaveOpenOnClickOutside) {
          this.setState({
            isOpen: newOpen
          }, function () {
            if (onIsOpenChange) {
              onIsOpenChange(newOpen);
            }
          });
        }
        this.detachListeners();
      }
    }
  }, {
    key: 'handleToggleVisibility',
    value: function handleToggleVisibility(e) {
      if (this.props.main.props.onClick) {
        this.props.main.props.onClick(e);
      }

      var isOpen = this.state.isOpen;
      var onIsOpenChange = this.props.onIsOpenChange;

      var nextOpenState = !isOpen;
      this.setState({ isOpen: nextOpenState }, function () {
        if (onIsOpenChange) {
          onIsOpenChange(nextOpenState);
        }
      });

      if (!this.isOpenControlled) {
        if (nextOpenState) {
          this.attachListeners();
        } else {
          this.detachListeners();
        }
      }
    }
  }, {
    key: 'storeMainRef',
    value: function storeMainRef(ref) {
      var mainRef = _reactDom2.default // eslint-disable-line react/no-find-dom-node
      .findDOMNode(ref);
      // .getBoundingClientRect(); // outputs <h3> coordinates

      this.setState({ mainRef: mainRef });
    }
  }, {
    key: 'storeItemsRef',
    value: function storeItemsRef(ref) {
      var onItemRef = this.props.onItemRef;


      var itemsRef = _reactDom2.default // eslint-disable-line react/no-find-dom-node
      .findDOMNode(ref);

      this.setState({ itemsRef: itemsRef });

      if (onItemRef) {
        onItemRef(itemsRef);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props4 = this.props,
          isFullWidth = _props4.isFullWidth,
          anchor = _props4.anchor,
          main = _props4.main,
          inertMain = _props4.inertMain,
          itemsBefore = _props4.items,
          style = _props4.style,
          itemsStyle = _props4.itemsStyle,
          triggerWrapperStyle = _props4.triggerWrapperStyle,
          isPopOver = _props4.isPopOver,
          isOpenProp = _props4.isOpen,
          disabled = _props4.disabled,
          _state2 = this.state,
          isOpenState = _state2.isOpen,
          shouldFocusTrigerrer = _state2.shouldFocusTrigerrer;


      var isOpen = isOpenProp || isOpenState;

      // quikc dirty check
      // if (!(main && main.prototype && main.prototype.render)) {
      //   console.warn('The `main` element of DropDown cannot be stateless, because it needs a ref')
      // }

      var dropDownMain = _react2.default.cloneElement(main, {
        // ref: (ref) => {
        //   this.storeMainRef(ref);
        // },
        // this next line is useless
        // onClick: () => {
        //   this.handleToggleVisibility();
        //   if (main.props.onClick) {
        //     main.props.onClick();
        //   }
        // },
      });
      // const dropDownMainDOMNode = ReactDOM.findDOMNode(dropDownMain);


      var items = _react2.default.Children.map(itemsBefore, function (child) {
        return child && _react2.default.cloneElement(child, {
          style: _extends({}, child && child.props.style ? child.props.style : {}, {
            ':hover': {
              backgroundColor: '#bebebe'
            }
          }),
          onClose: function onClose() {
            _this2.handleToggleVisibility();
          }
        });
      });

      var cleanedItemsStyle = _extends({}, itemsStyle, isOpen && itemsStyle && 'maxHeight' in itemsStyle ? { maxHeight: itemsStyle.maxHeight } : {});

      if (isPopOver) {
        // find the close btn
      }

      var tabIndexButtonattr = shouldFocusTrigerrer ? { tabIndex: inertMain ? '-1' : '0' } : {};

      var GDDynamicstyles = this.getDynamicItemsStyles();

      return _react2.default.createElement(
        WrapperUI,
        { style: style, isFullWidth: isFullWidth },
        _react2.default.createElement(
          _UnstyledButton2.default,
          _extends({
            onClick: this.handleToggleVisibility,
            ref: this.storeMainRef,
            inert: inertMain,
            'data-drop-down-main': true,
            role: inertMain === false ? undefined : 'menu',
            isFullWidth: isFullWidth,
            disabled: disabled,
            style: _extends({}, styles.triggerWrapper, triggerWrapperStyle, { width: '100%' })
          }, tabIndexButtonattr),
          _react2.default.createElement(
            'div',
            { style: styles.triggerInnerWrapper },
            dropDownMain
          )
        ),
        _react2.default.createElement(
          ItemsWrapper,
          {
            isOpen: isOpen,
            'data-is-the-one': 'true',
            'data-drop-down-items': true
            // aria-hidden={isOpen ? false : true}
            // autoFocus={isOpen}
            // tabIndex={isOpen ? 1 : -1}
            , isPopOver: isPopOver,
            style: _extends({}, styles.itemsWrapper, GDDynamicstyles, cleanedItemsStyle),
            ref: function ref(_ref12) {
              return _this2.storeItemsRef(_ref12);
            }
          },
          isPopOver && _react2.default.createElement(PopOverArrow, { isPopOver: isPopOver, anchor: anchor }),
          _react2.default.Children.map(items, function (child) {
            return child && _react2.default.cloneElement(child, _extends({}, child.props || {}, {
              onClick: function onClick(e) {
                _this2.handleToggleVisibility();
                if (child.props && child.props.onClick) {
                  child.props.onClick(e);
                }
              }
              //   tabIndex: isOpen ? 0 : -1,
              //   'aria-hidden': isOpen
              //     ? (child.type === Separator ? false : true)
              //     : false
            }));
          })
        )
      );
    }
  }]);

  return DropDown;
}(_react.PureComponent);

DropDown.propTypes = {
  main: _propTypes2.default.node,
  inertMain: _propTypes2.default.bool,
  items: _propTypes2.default.array
};
DropDown.defaultProps = {
  main: _react2.default.createElement('div', null),
  items: [],
  inertMain: false,
  anchor: 'left'
};
exports.default = (0, _reactClickOutside2.default)(DropDown);
/* eslint-enable */