'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _reactClickOutside = require('react-click-outside');

var _reactClickOutside2 = _interopRequireDefault(_reactClickOutside);

var _DropDown2 = require('./DropDown2');

var _DropDown3 = _interopRequireDefault(_DropDown2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DropDownWithClickOutside = function (_DropDown) {
  _inherits(DropDownWithClickOutside, _DropDown);

  function DropDownWithClickOutside() {
    _classCallCheck(this, DropDownWithClickOutside);

    return _possibleConstructorReturn(this, (DropDownWithClickOutside.__proto__ || Object.getPrototypeOf(DropDownWithClickOutside)).apply(this, arguments));
  }

  _createClass(DropDownWithClickOutside, [{
    key: 'handleClickOutside',
    value: function handleClickOutside() {
      var isOpen = this.isControlled ? this.props.isOpen : this.state.isOpen;
      if (isOpen) {
        if (!this.isControlled) {
          this.setState({ isOpen: false });
        } else {
          var onClickOutside = this.props.onClickOutside;

          if (onClickOutside) {
            onClickOutside();
          }
        }
      }
    }
  }]);

  return DropDownWithClickOutside;
}(_DropDown3.default);

exports.default = (0, _reactClickOutside2.default)(DropDownWithClickOutside);