'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  z-index: 99;\n  position: fixed;\n  top: ', 'px;\n  max-height: 0;\n  border-radius: ', ';\n  transition: ', ';\n  transition-duration: ', ';\n  max-height: ', 'px;\n  overflow: ', ';\n  ', ';\n'], ['\n  z-index: 99;\n  position: fixed;\n  top: ', 'px;\n  max-height: 0;\n  border-radius: ', ';\n  transition: ', ';\n  transition-duration: ', ';\n  max-height: ', 'px;\n  overflow: ', ';\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/* eslint-disable indent */
var BoxWrapperUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var top = _ref.top;
  return top;
}, function (_ref2) {
  var radius = _ref2.theme.radius;
  return radius;
}, function (_ref3) {
  var transition = _ref3.theme.transition;
  return transition.defaultAll;
}, function (_ref4) {
  var isOpen = _ref4.isOpen,
      transition = _ref4.theme.transition;
  return isOpen ? transition.durationIn : transition.durationOut;
}, function (_ref5) {
  var isOpen = _ref5.isOpen,
      height = _ref5.height;
  return isOpen ? height : 0;
}, function (_ref6) {
  var isOpen = _ref6.isOpen;
  return isOpen ? 'auto' : 'hidden';
}, function (_ref7) {
  var isOpen = _ref7.isOpen,
      theme = _ref7.theme;
  return isOpen ? 'box-shadow: ' + theme.outlineShadow + '; outline: ' + theme.outline : '';
});
/* eslint-enble indent */

var FixedDropDown = function (_Component) {
  _inherits(FixedDropDown, _Component);

  function FixedDropDown(props) {
    _classCallCheck(this, FixedDropDown);

    var _this = _possibleConstructorReturn(this, (FixedDropDown.__proto__ || Object.getPrototypeOf(FixedDropDown)).call(this, props));

    _this.ref = null;
    _this.triggerRef = null;

    _this.isControlled = _this.props.isOpen !== undefined;

    _this.state = {
      isOpen: _this.isControlled ? _this.props.isOpen : false,
      scrollOffset: 0,
      top: 0,
      height: 0
    };

    _this.update = _this.update.bind(_this);
    _this.storeRef = _this.storeRef.bind(_this);
    _this.storeTriggerRef = _this.storeTriggerRef.bind(_this);
    _this.findScrollingContextRef = _this.findScrollingContextRef.bind(_this);
    _this.toggleVisibility = _this.toggleVisibility.bind(_this);
    return _this;
  }

  _createClass(FixedDropDown, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.update();
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.scrollingContextRef = null;

      this.cancelRAF();
    }
  }, {
    key: 'findScrollingContextRef',
    value: function findScrollingContextRef() {
      if (!this.scrollingContextRef) {
        this.scrollingContextRef = this.props.mainScrollingElementSelector ? document.querySelector(this.props.mainScrollingElementSelector) : window;
      }
    }
  }, {
    key: 'toggleVisibility',
    value: function toggleVisibility() {
      var _this2 = this;

      if (!this.isControlled) {
        this.setState(_extends({}, this.state, {
          isOpen: !this.state.isOpen
        }), function () {
          _this2.update();
        });
      } /* else {
        const { onToggleVisibility } = this.props;
        if (onToggleVisibility) {
          onToggleVisibility();
        }
        } */
    }
  }, {
    key: 'update',
    value: function update() {
      var isOpen = this.isControlled ? this.props.isOpen : this.state.isOpen;

      if (isOpen) {
        this.findScrollingContextRef();
        if (this.ref && this.scrollingContextRef && this.triggerRef) {
          var rect = this.ref.getBoundingClientRect();
          var triggerRect = this.triggerRef.getBoundingClientRect();
          var newState = _extends({}, this.state, {
            height: rect.height,
            top: triggerRect.bottom,
            scrollOffset: this.scrollingContextRef.scrollTop
          });
          this.setState(newState);

          this.rafRef = requestAnimationFrame(this.update);
        }
      } else {
        this.cancelRAF();
      }
    }
  }, {
    key: 'cancelRAF',
    value: function cancelRAF() {
      if (this.rafRef) {
        window.cancelAnimationFrame(this.rafRef);
        this.rafRef = null;
      }
    }
  }, {
    key: 'storeTriggerRef',
    value: function storeTriggerRef(node) {
      this.triggerRef = node;
      this.update();
    }
  }, {
    key: 'storeRef',
    value: function storeRef(node) {
      this.ref = node;
      this.update();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props = this.props,
          trigger = _props.trigger,
          children = _props.children;
      var _state = this.state,
          height = _state.height,
          top = _state.top;


      var isOpen = this.isControlled ? this.props.isOpen : this.state.isOpen;

      var _children$props = children.props,
          childrenProps = _children$props === undefined ? {} : _children$props;


      var TriggerWithHandler = _react2.default.cloneElement(trigger, {
        onClick: function onClick() {
          _this3.toggleVisibility.apply(_this3, arguments);
          if (trigger.props && trigger.props.onClick) {
            var _trigger$props;

            (_trigger$props = trigger.props).onClick.apply(_trigger$props, arguments);
          }
        }
      });

      return _react2.default.createElement(
        'div',
        { style: { position: 'relative' } },
        _react2.default.createElement(
          'div',
          { ref: this.storeTriggerRef },
          TriggerWithHandler
        ),
        _react2.default.createElement(
          BoxWrapperUI,
          {
            isOpen: isOpen,
            height: height,
            top: top,
            style: _extends({}, childrenProps.style && childrenProps.style.width ? { width: childrenProps.style.width } : {})
          },
          _react2.default.createElement(
            'div',
            { ref: this.storeRef },
            children
          )
        )
      );
    }
  }]);

  return FixedDropDown;
}(_react.Component);

exports.default = FixedDropDown;