'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };
// eslint-disable-next-line import/no-named-as-default


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _DropDown = require('../internal/DropDown');

var _DropDown2 = _interopRequireDefault(_DropDown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PopOver = function PopOver(props) {
  'r';

  var main = props.main,
      children = props.children,
      anchor = props.anchor,
      itemsStyle = props.itemsStyle;


  return _react2.default.createElement(_DropDown2.default, {
    itemsStyle: _extends({ zIndex: 150 }, itemsStyle),
    items: children,
    main: main,
    isPopOver: true,
    anchor: anchor
  });
};

exports.default = PopOver;