'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  pointer-events: none;\n  ', ';\n  transition: all 1s linear;\n  transform: ', ';\n  transition: all ', ';\n  /* position: fixed; */\n  position: ', ';\n  top: 0;\n  bottom: 0;\n  /* ', '; */\n  ', ';\n\n  /*\n  ', ';\n  ', ';\n  ', ';\n  ', ';\n  */\n\n  ', ';\n  ', ';\n  ', ';\n  ', ';\n'], ['\n  pointer-events: none;\n  ', ';\n  transition: all 1s linear;\n  transform: ', ';\n  transition: all ', ';\n  /* position: fixed; */\n  position: ', ';\n  top: 0;\n  bottom: 0;\n  /* ', '; */\n  ', ';\n\n  /*\n  ', ';\n  ', ';\n  ', ';\n  ', ';\n  */\n\n  ', ';\n  ', ';\n  ', ';\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); } // @inheritedComponent Transition

var slidesHorizontaly = function slidesHorizontaly(direction) {
  return direction === 'right' || direction === 'left';
};

var addUnitIfNeeded = function addUnitIfNeeded(value) {
  if (!value) {
    return '';
  }

  if (value.match && value.match(/px|pc|%|em|rem/)) {
    return value;
  }

  return value.match + 'px';
};
/* eslint-disable */
var SlideUI = _styledComponents2.default.div(_templateObject, function (_ref) {
  var inline = _ref.inline,
      regional = _ref.regional;
  return !inline && !regional ? 'z-index: 200' : '';
}, function (_ref2) {
  var isIn = _ref2.inAttr,
      dir = _ref2.dir;

  if (isIn === false) {
    return 'translate3d(0, 0, 0); opacity: 0';
  } else {
    if (dir === 'left') return 'translate3d(-100%, 0, 0)';
    if (dir === 'right') return 'translate3d(100%, 0, 0)';
    if (dir === 'top') return 'translate3d(0, -100%, 0)';
    if (dir === 'bottom') return 'translate3d(0, 100%, 0)';
  }
}, function (_ref3) {
  var isIn = _ref3.inAttr,
      timeout = _ref3.timeout,
      _ref3$timeout = _ref3.timeout,
      enter = _ref3$timeout.enter,
      exit = _ref3$timeout.exit,
      transition = _ref3.theme.transition;
  return isIn ? transition.durationIn + transition.easing : transition.durationOut + transition.easing;
}, function (_ref4) {
  var inline = _ref4.inline,
      regional = _ref4.regional;
  return inline ? 'relative' : regional ? 'absolute' : 'fixed';
}, function (_ref5) {
  var dir = _ref5.dir;
  dir === 'left' || dir === 'right' ? 'height: 100vh' : 'width: 100vw';
}, function (_ref6) {
  var dir = _ref6.dir;

  if (dir === 'left') return 'left: 100%; right: auto; top: 0; bottom: 0';
  if (dir === 'right') return 'right: 100%; left: auto; top: 0; bottom: 0';
  if (dir === 'top') return 'top: 100%; bottom: auto; left: 0; right:0';
  if (dir === 'bottom') return 'bottom: 100%; top: auto; left: 0; right:0';
}, function (_ref7) {
  var offsetTop = _ref7.offsetTop;
  return offsetTop && 'top: ' + offsetTop + 'px';
}, function (_ref8) {
  var offsetBottom = _ref8.offsetBottom;
  return offsetBottom && 'bottom: ' + offsetBottom + 'px';
}, function (_ref9) {
  var offsetLeft = _ref9.offsetLeft;
  return offsetLeft && 'left: ' + offsetLeft + 'px';
}, function (_ref10) {
  var offsetRight = _ref10.offsetRight;
  return offsetRight && 'right: ' + offsetRight + 'px';
}, function (_ref11) {
  var dir = _ref11.dir,
      offsetTop = _ref11.offsetTop;
  return offsetTop ? slidesHorizontaly(dir) ? 'top: ' + addUnitIfNeeded(offsetTop) : 'padding-top: ' + addUnitIfNeeded(offsetTop) : '';
}, function (_ref12) {
  var dir = _ref12.dir,
      offsetBottom = _ref12.offsetBottom;
  return offsetBottom ? slidesHorizontaly(dir) ? 'bottom: ' + addUnitIfNeeded(offsetBottom) : 'padding-bottom: ' + addUnitIfNeeded(offsetBottom) : '';
}, function (_ref13) {
  var offsetLeft = _ref13.offsetLeft;
  return offsetLeft && 'left: ' + addUnitIfNeeded(offsetLeft);
}, function (_ref14) {
  var offsetRight = _ref14.offsetRight;
  return offsetRight && 'right: ' + addUnitIfNeeded(offsetRight);
});

var Slide = function (_React$Component) {
  _inherits(Slide, _React$Component);

  function Slide(props) {
    _classCallCheck(this, Slide);

    var _this = _possibleConstructorReturn(this, (Slide.__proto__ || Object.getPrototypeOf(Slide)).call(this, props));

    _this.handleEntered = _this.handleEntered.bind(_this);
    _this.handleEntering = _this.handleEntering.bind(_this);
    _this.handleExit = _this.handleExit.bind(_this);
    _this.handleExited = _this.handleExited.bind(_this);
    return _this;
  }

  // componentDidUpdate() {
  //   const {
  //     onEnter,
  //     onEntering,
  //     onExit,
  //     onExited,
  //   } = this.props
  // }

  _createClass(Slide, [{
    key: 'handleEntered',
    value: function handleEntered(event) {
      var onEnter = this.props.onEnter;
      if (onEnter) onEnter(event);
    }
  }, {
    key: 'handleEntering',
    value: function handleEntering(event) {
      var onEntering = this.props.onEntering;
      if (onEntering) onEntering(event);
    }
  }, {
    key: 'handleExit',
    value: function handleExit(event) {
      var onExit = this.props.onExit;
      if (onExit) onExit(event);
    }
  }, {
    key: 'handleExited',
    value: function handleExited(event) {
      var onExited = this.props.onExited;
      if (onExited) onExited(event);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          onEnter = _props.onEnter,
          onEntering = _props.onEntering,
          onExit = _props.onExit,
          onExited = _props.onExited,
          styleProp = _props.style,
          timeout = _props.timeout,
          inAttr = _props.inAttr,
          direction = _props.direction,
          offsetBottom = _props.offsetBottom,
          offsetTop = _props.offsetTop,
          offsetLeft = _props.offsetLeft,
          offsetRight = _props.offsetRight,
          regional = _props.regional,
          inline = _props.inline,
          other = _objectWithoutProperties(_props, ['children', 'onEnter', 'onEntering', 'onExit', 'onExited', 'style', 'timeout', 'inAttr', 'direction', 'offsetBottom', 'offsetTop', 'offsetLeft', 'offsetRight', 'regional', 'inline']);

      var handlers = {
        onAnimationStart: inAttr ? this.handleEntering : this.handleExit,
        onAnimationEnd: inAttr ? this.handleEntered : this.handleExited
      };

      return _react2.default.createElement(
        SlideUI,
        _extends({
          regional: regional,
          inline: inline,
          timeout: timeout,
          className: 'SlideUI',
          inAttr: inAttr,
          dir: direction,
          offsetTop: offsetTop,
          offsetBottom: offsetBottom,
          offsetLeft: offsetLeft,
          offsetRight: offsetRight
        }, handlers),
        children
      );
    }
  }]);

  return Slide;
}(_react2.default.Component);

Slide.propTypes = {
  children: _propTypes2.default.element,
  direction: _propTypes2.default.oneOf(['left', 'right', 'top', 'bottom']),
  inAttr: _propTypes2.default.bool,
  onEnter: _propTypes2.default.func,
  onEntered: _propTypes2.default.func,
  onEntering: _propTypes2.default.func,
  onExit: _propTypes2.default.func,
  onExited: _propTypes2.default.func,
  onExiting: _propTypes2.default.func,
  timeout: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.shape({ enter: _propTypes2.default.number, exit: _propTypes2.default.number })])
};

Slide.defaultProps = {
  timeout: {
    enter: 225,
    exit: 195
  },
  direction: 'right'
};

exports.default = Slide;